GNU bug report logs - #53208
[PATCH]: gnu: rust-analyzer: Update to 2020-01-10.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Z572 <873216071@HIDDEN>; Keywords: patch; Done: Nicolas Goaziou <mail@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 24 Jan 2022 10:12:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 24 05:12:53 2022
Received: from localhost ([127.0.0.1]:42211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBwLE-0005aA-TF
	for submit <at> debbugs.gnu.org; Mon, 24 Jan 2022 05:12:53 -0500
Received: from out162-62-57-210.mail.qq.com ([162.62.57.210]:52373)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1nBwLB-0005Zj-Si
 for 53208 <at> debbugs.gnu.org; Mon, 24 Jan 2022 05:12:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1643019160; bh=pwSijxxR6ZoaAXsZ0F8cnc9+XtQoP29gSNmzNrE1Fhs=;
 h=References:From:To:Cc:Subject:Date:In-reply-to;
 b=MzocMkH0crjPdf7CQ8+vuD4e98y/CLdIWADWczazYYpZ4cprF0Nc1ZjkquubMFsKK
 Y0AoobWYyfoOqo/rBbcBaWunggAcOhG1vgOD+d/74+3jOVSfCOwiA2oQ2CwkUFIJsu
 h3c5lZ2v5iWvfi21NVR+SWuNUm1lyrmI2PtBlncw=
Received: from asus ([39.183.1.114])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 32701494; Mon, 24 Jan 2022 18:12:39 +0800
X-QQ-mid: xmsmtpt1643019159tlwfsmohu
Message-ID: <tencent_56A99559AD7F963A25E5E625E5B59D9B6208@HIDDEN>
X-QQ-XMAILINFO: MIXpHopat2Iasj5e+3zvjODfTEcs7+EnOoSmMrIvsm1+CY3UBFGMr0gazCQc6K
 PsD96TpnMBkVfYLidprEdAM19ZpOULwF4mGyvTmWyAW84VyyXJnbiL8L/lLGvcxF59H7EBIzeGBH
 GLhi9k8a3aF1Lah/zuktDGxem8po3y3rdnfJnCqAB6VxX6JQlxCJNNOaQjaI5uUOF4CSFuli4+dB
 TDfm3Q1FrZcRD1TLe4YzwJaDw5QAVRx82fg1pimXo8u9/c+jh6hJM1ad2qPBrk+eNK3XejLrBoEW
 UMs8Bomhge01DYGJtP9xW57kTcMXvFQkaZzTaqTm/07dEuNN6O3iq8KMktAE6VclFRaUZmAtP/vv
 GffBIhLjGC9Azxmq03uS6BhjBLRIVtg3xANGtawxhZcm+gDe5WswJ9cQ9CUHSxwU3bnt07R2heVc
 dYRI8oVmliyUnRzDITc+STkPfkGNZMN3Nln8HdZmC7V7ulUdAADdscb4+ZYaiAtxHQZeUYoqCEUP
 LZzXafd4ZVCvxFmXBmDIrmWkHZK/Eatc40UjAaqO/qSgW5bk70W9cIFiceCnLSbVc2787w3AOPM7
 KHtijznDaeVXCCLph/4iKWxzCTiJ26hH4h8ONAnms3fRJJZa4Ob/JCULa/xkfz1AF0PsTLlZ/bSz
 NV+SnKjdbY5z2UdNMNljc3JfEUVt/Qppfeik9bruSAyRcMsJCDZI4B6TLWYWL5UvcKbIFaNtfDS/
 e2ejyDdcFbUYGP4SzRQP6VzSGwzG2BNV+5wZGcpr2APsBNn27lhPHqe6CeU3zrUOJ7GHs9KR2jzM
 xTapHnT8MgfAGdvqXbe6Zn
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_722DC8A675AA52D6F5DF868E56395C894006@HIDDEN>
 <45b62b8d110e6ec8a469cea32dfd84163a9aa398.camel@HIDDEN>
 <87iluc4cac.fsf@HIDDEN> <87h79v8bzv.fsf@nckx>
 <cf85af933c9396ee420fab1a48034732790d0668.camel@HIDDEN>
User-agent: mu4e 1.6.10; emacs 29.0.50
From: Z572 <873216071@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#53208] [PATCH 04/39] gnu: Add rust-windows-x86-64-msvc-0.28.
Date: Mon, 24 Jan 2022 18:01:18 +0800
In-reply-to: <cf85af933c9396ee420fab1a48034732790d0668.camel@HIDDEN>
Message-ID: <87ilu9qw6h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Maxime Devos writes: > [[PGP Signed Part:Undecided]] > Tobias
    Geerinckx-Rice schreef op zo 23-01-2022 om 02:39 [+0100]: >> Z572 via Guix-patches
    via 写道: >> > Cargo need all dependency, even though it’s optional
    or [...] 
 
 Content analysis details:   (3.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.57.210 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)
X-Debbugs-Envelope-To: 53208
Cc: 53208 <at> debbugs.gnu.org, Tobias Geerinckx-Rice <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Maxime Devos writes: > [[PGP Signed Part:Undecided]] > Tobias
    Geerinckx-Rice schreef op zo 23-01-2022 om 02:39 [+0100]: >> Z572 via Guix-patches
    via 写道: >> > Cargo need all dependency, even though it’s optional
    or [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.57.210 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)


Maxime Devos <maximedevos@HIDDEN> writes:

> [[PGP Signed Part:Undecided]]
> Tobias Geerinckx-Rice schreef op zo 23-01-2022 om 02:39 [+0100]:
>> Z572 via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
>> > Cargo need all dependency, even though it=E2=80=99s optional or=20
>> > platform-specific.
>> > so if missing any one optional dependency, build will fail,=20
>> > maybe edit
>> > crate's Cargo.toml files to remove them can be work, but it is a
>> > terrible hack.
>
> I haven't received this mail by Z572, any idea what happened here?
send mail to you fail, postmaster@HIDDEN say:
  host mx1.telenet-ops.be [195.130.132.8] said: 452 4.1.1
  <maximedevos@HIDDEN> Greylisting in action, please try again later
  (in reply to RCPT TO command)=20

maybe telenet.be think i'm spam :)

>
> Greetings,
> Maxime.
>
> [[End of PGP Signed Part]]


--=20
over




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 24 Jan 2022 10:01:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 24 05:01:14 2022
Received: from localhost ([127.0.0.1]:42182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBw9v-00042l-EI
	for submit <at> debbugs.gnu.org; Mon, 24 Jan 2022 05:01:14 -0500
Received: from out162-62-57-87.mail.qq.com ([162.62.57.87]:43937)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1nBw9n-0003ky-61
 for 53208 <at> debbugs.gnu.org; Mon, 24 Jan 2022 05:01:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1643018453; bh=sUP4N4++sb+sMxyVhvH4Le5SwwlBow/g8XQ+wxwfwzg=;
 h=References:From:To:Cc:Subject:Date:In-reply-to;
 b=XCMqdiLv8XE74JzXxjWs1PivwcNoryRRo3H7Zlro0R0kUANyAZ2ji1C/FmrjveDew
 Gr1rfJRtPB4nipSym8VSLNzq+pJQn+3+tO6iLbvcbhLwqO33JqbZYwewgHLzifXTx7
 XRfh/A1JzTXQPG0fpT8IPbc2k//tavBDqgt2NEGs=
Received: from asus ([39.183.1.114])
 by newxmesmtplogicsvrszc10.qq.com (NewEsmtp) with SMTP
 id 3331A31; Mon, 24 Jan 2022 18:00:51 +0800
X-QQ-mid: xmsmtpt1643018451thid0bo1v
Message-ID: <tencent_A0965CD5426CFAA49665D9FDA9EB68962B0A@HIDDEN>
X-QQ-XMAILINFO: NWMVHcapKDHti+Xey6cGZY4dt4Xnnb86JTFeomn+sacF5CSB52AqpB4MVxsmWe
 mKfA4tYlEuM8RdjZpuQo6+iMDFIjotLlFa/J1Z/qMJN2wzvEC8A57Y2opPdOeTOsibsoNF/5q5CZ
 EKEibV0yI5qlNUUSjo1Fx+5DCn4v+U+dus62ybIVSRwz2goa0eC7jGkedGkG1XipTiOexawEEWJz
 X8WM8zRg1aqFRdOjTHEAsfrgUWLo9ZikromMqzQTSo7L12nx651sXqowlNVpuhTFFcr5E342c4fY
 GoRRtEdUYxJW3AQJA214iheVT/RNK0NvG5PhMDqfPPLfwRO8Sk9F1AEs58dBpKpmRiBJlcRlkBqi
 lGqvJ6fbMciBWBHmh4z11nhpxjCUdFJaHWmXgCFQjy7FLyOfMe3BwitRUQ2/rhE9DhAl4dmMwruu
 v4Dy7KiOdY2RX5wjGTYfoQHYy4HuXBTFxwWMmPs99iBFSI7FT/G6PrKBT+YtZwVYPFguDHAZq+I7
 4l1SLfUhE3h3GZrR3XTSq7h4sQRjwmwo+M0W/6pCgqoqR+Z3QLkbzoSQNVzqE2fYyyeYQWM3klFL
 DfH78sf0kEx8ny5c6EhED89GKFfHSk2qQAmWs9ZvMNETFBd8gyint5E+QjItlvyN2D/eLrzNbcno
 OCKCwAlGNlfn6Nm2yTKMeG9tBS8b9UyXxZYPYmTJUk2bFCdzj4uZftJslIEXWJy0TWAhcqjvU8wP
 eZmgrW5lGbzf5cBZInufuHqSas0KPltuvzvjwVSAfn2Cnqpjqhq1KvzRBlQbhUZkmSsmVyf5wNKQ
 BanEE5gv0BBg==
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_722DC8A675AA52D6F5DF868E56395C894006@HIDDEN>
 <45b62b8d110e6ec8a469cea32dfd84163a9aa398.camel@HIDDEN>
 <87iluc4cac.fsf@HIDDEN> <87h79v8bzv.fsf@nckx>
User-agent: mu4e 1.6.10; emacs 29.0.50
From: Z572 <873216071@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#53208] [PATCH 04/39] gnu: Add rust-windows-x86-64-msvc-0.28.
Date: Mon, 24 Jan 2022 17:55:04 +0800
In-reply-to: <87h79v8bzv.fsf@nckx>
Message-ID: <87mtjlqwq5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tobias Geerinckx-Rice writes: > [[PGP Signed Part:Undecided]]
    > Hullo Z, > > Z572 via Guix-patches via 写道: >> Cargo need all dependency,
    even though it’s optional or >> platform-specific. >> so if missing any
    one optional [...] 
 
 Content analysis details:   (3.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.57.87 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)
X-Debbugs-Envelope-To: 53208
Cc: 53208 <at> debbugs.gnu.org, Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tobias Geerinckx-Rice writes: > [[PGP Signed Part:Undecided]]
    > Hullo Z, > > Z572 via Guix-patches via 写道: >> Cargo need all dependency,
    even though it’s optional or >> platform-specific. >> so if missing any
    one optional [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.57.87 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)


Tobias Geerinckx-Rice <me@HIDDEN> writes:

> [[PGP Signed Part:Undecided]]
> Hullo Z,
>
> Z572 via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
>> Cargo need all dependency, even though it=E2=80=99s optional or
>> platform-specific.
>> so if missing any one optional dependency, build will fail, maybe
>> edit
>> crate's Cargo.toml files to remove them can be work, but it is a
>> terrible hack.
>
> I think it's a hack worth trying if upstream can't or won't fix it.

Ok, I will try edit Cargo.toml in the future.

>
> Kind regards,
>
> T G-R
>
> [[End of PGP Signed Part]]


--=20
over




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 23 Jan 2022 21:02:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 23 16:02:40 2022
Received: from localhost ([127.0.0.1]:41385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBk0W-000897-8v
	for submit <at> debbugs.gnu.org; Sun, 23 Jan 2022 16:02:40 -0500
Received: from albert.telenet-ops.be ([195.130.137.90]:38410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nBk0T-00088x-UY
 for 53208 <at> debbugs.gnu.org; Sun, 23 Jan 2022 16:02:38 -0500
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by albert.telenet-ops.be with bizsmtp
 id mM2b2600G4UW6Th06M2biC; Sun, 23 Jan 2022 22:02:36 +0100
Message-ID: <cf85af933c9396ee420fab1a48034732790d0668.camel@HIDDEN>
Subject: Re: [bug#53208] [PATCH 04/39] gnu: Add rust-windows-x86-64-msvc-0.28.
From: Maxime Devos <maximedevos@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>, Z572 <873216071@HIDDEN>
Date: Sun, 23 Jan 2022 22:02:31 +0100
In-Reply-To: <87h79v8bzv.fsf@nckx>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_722DC8A675AA52D6F5DF868E56395C894006@HIDDEN>
 <45b62b8d110e6ec8a469cea32dfd84163a9aa398.camel@HIDDEN>
 <87iluc4cac.fsf@HIDDEN> <87h79v8bzv.fsf@nckx>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-XReYYJq6KHzuRcxTLTv4"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1642971756; bh=D4V/8kb3nnrt3sp1ZbLmFfWACTbcCF0zmbISdq33Rb4=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=FkBdSX2v+oewRbLEjn2tesEPH7q0Nlf45Bx3VZ3QeEMvIVNzPGrg21R5Fu+pq4EWF
 JEvHrkJHRcdOZH31lLhG1oYkjAPzdXLbXsy4NT+c8Jz9ulU6zSSbMNH5mwSbjo95Ew
 oCdyPjbx3UsWpfZ8a6RiRQG9OXaVuh83LfPzI7M0iK7w6IvBQpzudfr1mlgLiB4V3h
 6cs5mmOGfchGH6/ZipRCboiQmWLlvTUu5ilKY5OxIeocfa5KecJWbaL9NbWR51VqbT
 gZHdTrMB08ORsFoNLq/iVfzdRscoQ1lriGim33F0ojuCfEAs1TKXIk3w53rTpZraVv
 74FmXds+qUGNQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53208
Cc: 53208 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-XReYYJq6KHzuRcxTLTv4
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice schreef op zo 23-01-2022 om 02:39 [+0100]:
> Z572 via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
> > Cargo need all dependency, even though it=E2=80=99s optional or=20
> > platform-specific.
> > so if missing any one optional dependency, build will fail,=20
> > maybe edit
> > crate's Cargo.toml files to remove them can be work, but it is a
> > terrible hack.

I haven't received this mail by Z572, any idea what happened here?

Greetings,
Maxime.

--=-XReYYJq6KHzuRcxTLTv4
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYe3CZxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7l9fAQCA22ZyDoBITi0vrr/JYW3U612P
gxabLqEVFR+4Qe5gtAEA22zioUOaJNXz2CZ6KV57oFsAEA/OVvo5WUX3DX8anAM=
=ecFt
-----END PGP SIGNATURE-----

--=-XReYYJq6KHzuRcxTLTv4--





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 23 Jan 2022 18:54:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 23 13:54:06 2022
Received: from localhost ([127.0.0.1]:41288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBi06-0004nI-GE
	for submit <at> debbugs.gnu.org; Sun, 23 Jan 2022 13:54:06 -0500
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:56693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1nBi04-0004mo-Ik
 for 53208 <at> debbugs.gnu.org; Sun, 23 Jan 2022 13:54:05 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 6A4355C0131;
 Sun, 23 Jan 2022 13:53:59 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute1.internal (MEProxy); Sun, 23 Jan 2022 13:53:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:cc:content-type:date:date:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to; s=mesmtp; bh=bpLtNEjGKE9yXxjSF+nCL47+BUP
 sbA/jzgc0tlvO6pQ=; b=zjOWm4S2tdFse3eEXnV17fKu05hiAk+JNxN8Iv45N97
 Z8+CncALbNy4XEzY3BhYdT3YuA6xQj/r3kE0bFg475Dpa3++zBWhTmmG63dPXoZN
 /fMEy4Cw78YvkoSzd2Z7WXJjeqbsbIyBkjqSbvzEN2v5jHnkagC5cv9zoB3PZizc
 =
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=bpLtNEjGKE9yXxjSF
 +nCL47+BUPsbA/jzgc0tlvO6pQ=; b=fbA5mS5WZ+wYUvZEGk9KYLmUWJ1FGs0HI
 GtG6J+HJgEoFG9/qhJPyKn7dBHtaGaEZp/sA5qzzVGSORJq3xEJXUn6Ff/LgJ7qL
 pRKCqA2adVlPDOyPf4Ew90qvJ3ArFEHbSLWmpt8AwtpdzF2cYs3RqTxz8o0XY6Kq
 Of0ocxCBD2SVJvWFvWEvkCa4mFDllH4jek8SNd2tzRaHVI3UdJ0WcjtDQTqV6Uyz
 yj6WywjkbJR5fN7uA6HimVyLUcb9qtoeBVWVXRBjn4pkDDtdnZ7kVN2fH719htzW
 NY5oFEnemyuqD4AeZaeR2qH4fEYvt7g1SM/YSz3b8g5pkb9kgnXPg==
X-ME-Sender: <xms:RqTtYQrX5pTYtXXPWew0GYEhOPsKpKUwz06BIGFKKYQaS860wIk6lg>
 <xme:RqTtYWqnqvwnkQNfMH9DTjNBS0yKCMhfiO5vndpOGLFBMOj7DYuj6VsdVbwiP2-As
 7BmUzQbNo8QTvrohA>
X-ME-Received: <xmr:RqTtYVPcKiDtuo7E9ZdzeUf2VDTuZZRqpTlVtlvjVICXAI5fs3IQP1UOZoMlZFNAvQQkBdMqi8pGIf0WCmQ-3Z-g1w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrvdeggdduvddtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehttdertddttddvnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpedvvddugefffeeitddthfefvdeuhffgkeeikeegkeevteeghfeftefggeeuudff
 ieenucffohhmrghinhepghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedtnecurf
 grrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:RqTtYX7NmY_a30gKPqiX0ghPyrwSn2Ia2wjwG9ykIIAtRzxv_krZmA>
 <xmx:RqTtYf52h0PWsok__8jQQut0q_yIdQ4JmSqCfc8cgj3h8G7x_adVHw>
 <xmx:RqTtYXh6pOx2ltOEJk8mARliHDWd2K45bM7lhxkDUIUy7ucw9y1-FA>
 <xmx:R6TtYZTKARqQTYWvDQfhzTCWCBciW99sjxLXLXKm4aSL3RT9P7ENJA>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sun,
 23 Jan 2022 13:53:58 -0500 (EST)
Date: Sun, 23 Jan 2022 13:53:56 -0500
From: Leo Famulari <leo@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
Subject: Re: [bug#53208] [PATCH 38/39] gnu: rust-analyzer: Update to
 2022-01-10.
Message-ID: <Ye2kRODelov4i6hJ@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_DDA6BCB544AEF678B32DB53DCBECAF4E8705@HIDDEN>
 <Yeyooxq0TvjkFOIn@HIDDEN> <87tuduetoh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87tuduetoh.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53208
Cc: 53208 <at> debbugs.gnu.org, Z572 via Guix-patches via <guix-patches@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sun, Jan 23, 2022 at 09:35:10AM +0100, Nicolas Goaziou wrote:
> As you may guess, I know this part (which IMO could be refreshed as the
> capacity of the build farm and the number of Guix packages evolved since
> 2016) of the manual.

I agree about refreshing the guidelines, although I'm waiting until
after the 1.4.0 release to start a discussion about it. Think about
ideas for improving the workflow!

> What I do not know, however, is how to predict the number of rebuilds
> when it comes to Rust packages. Do you have an idea?

It's tough, indeed.

Maybe something like `./pre-inst-env guix build --no-grafts gnome
--dry-run` can reliably give a good answer.

GNOME does depend on Rust packages, in at least two ways: via librsvg
and via rav1e.

------
$ guix graph --path gnome rav1e
gnome@HIDDEN    
tracker-miners@HIDDEN
ffmpeg@HIDDEN
rav1e@HIDDEN
$ guix graph --path gnome librsvg
gnome@HIDDEN    
gnome-control-center@HIDDEN
librsvg@HIDDEN
------

And anyways, it's good practice to make sure that GNOME builds after
changing big parts of the dependency graph.

If it's too computationally expensive for you to perform builds like
that, let us know maybe we can provide a solution via ci.guix.gnu.org




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jan 2022 18:54:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 23 13:54:24 2022
Received: from localhost ([127.0.0.1]:41293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBi0N-0004nt-PY
	for submit <at> debbugs.gnu.org; Sun, 23 Jan 2022 13:54:24 -0500
Received: from lists.gnu.org ([209.51.188.17]:51338)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1nBi0L-0004ng-IL
 for submit <at> debbugs.gnu.org; Sun, 23 Jan 2022 13:54:21 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44720)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1nBi04-0007x5-2U
 for guix-patches@HIDDEN; Sun, 23 Jan 2022 13:54:14 -0500
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:44169)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1nBi02-0002xQ-24
 for guix-patches@HIDDEN; Sun, 23 Jan 2022 13:54:03 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 6A4355C0131;
 Sun, 23 Jan 2022 13:53:59 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute1.internal (MEProxy); Sun, 23 Jan 2022 13:53:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:cc:content-type:date:date:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to; s=mesmtp; bh=bpLtNEjGKE9yXxjSF+nCL47+BUP
 sbA/jzgc0tlvO6pQ=; b=zjOWm4S2tdFse3eEXnV17fKu05hiAk+JNxN8Iv45N97
 Z8+CncALbNy4XEzY3BhYdT3YuA6xQj/r3kE0bFg475Dpa3++zBWhTmmG63dPXoZN
 /fMEy4Cw78YvkoSzd2Z7WXJjeqbsbIyBkjqSbvzEN2v5jHnkagC5cv9zoB3PZizc
 =
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=bpLtNEjGKE9yXxjSF
 +nCL47+BUPsbA/jzgc0tlvO6pQ=; b=fbA5mS5WZ+wYUvZEGk9KYLmUWJ1FGs0HI
 GtG6J+HJgEoFG9/qhJPyKn7dBHtaGaEZp/sA5qzzVGSORJq3xEJXUn6Ff/LgJ7qL
 pRKCqA2adVlPDOyPf4Ew90qvJ3ArFEHbSLWmpt8AwtpdzF2cYs3RqTxz8o0XY6Kq
 Of0ocxCBD2SVJvWFvWEvkCa4mFDllH4jek8SNd2tzRaHVI3UdJ0WcjtDQTqV6Uyz
 yj6WywjkbJR5fN7uA6HimVyLUcb9qtoeBVWVXRBjn4pkDDtdnZ7kVN2fH719htzW
 NY5oFEnemyuqD4AeZaeR2qH4fEYvt7g1SM/YSz3b8g5pkb9kgnXPg==
X-ME-Sender: <xms:RqTtYQrX5pTYtXXPWew0GYEhOPsKpKUwz06BIGFKKYQaS860wIk6lg>
 <xme:RqTtYWqnqvwnkQNfMH9DTjNBS0yKCMhfiO5vndpOGLFBMOj7DYuj6VsdVbwiP2-As
 7BmUzQbNo8QTvrohA>
X-ME-Received: <xmr:RqTtYVPcKiDtuo7E9ZdzeUf2VDTuZZRqpTlVtlvjVICXAI5fs3IQP1UOZoMlZFNAvQQkBdMqi8pGIf0WCmQ-3Z-g1w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrvdeggdduvddtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehttdertddttddvnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpedvvddugefffeeitddthfefvdeuhffgkeeikeegkeevteeghfeftefggeeuudff
 ieenucffohhmrghinhepghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedtnecurf
 grrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:RqTtYX7NmY_a30gKPqiX0ghPyrwSn2Ia2wjwG9ykIIAtRzxv_krZmA>
 <xmx:RqTtYf52h0PWsok__8jQQut0q_yIdQ4JmSqCfc8cgj3h8G7x_adVHw>
 <xmx:RqTtYXh6pOx2ltOEJk8mARliHDWd2K45bM7lhxkDUIUy7ucw9y1-FA>
 <xmx:R6TtYZTKARqQTYWvDQfhzTCWCBciW99sjxLXLXKm4aSL3RT9P7ENJA>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sun,
 23 Jan 2022 13:53:58 -0500 (EST)
Date: Sun, 23 Jan 2022 13:53:56 -0500
From: Leo Famulari <leo@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
Subject: Re: [bug#53208] [PATCH 38/39] gnu: rust-analyzer: Update to
 2022-01-10.
Message-ID: <Ye2kRODelov4i6hJ@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_DDA6BCB544AEF678B32DB53DCBECAF4E8705@HIDDEN>
 <Yeyooxq0TvjkFOIn@HIDDEN> <87tuduetoh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87tuduetoh.fsf@HIDDEN>
Received-SPF: pass client-ip=66.111.4.27; envelope-from=leo@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 53208 <at> debbugs.gnu.org, Z572 via Guix-patches via <guix-patches@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On Sun, Jan 23, 2022 at 09:35:10AM +0100, Nicolas Goaziou wrote:
> As you may guess, I know this part (which IMO could be refreshed as the
> capacity of the build farm and the number of Guix packages evolved since
> 2016) of the manual.

I agree about refreshing the guidelines, although I'm waiting until
after the 1.4.0 release to start a discussion about it. Think about
ideas for improving the workflow!

> What I do not know, however, is how to predict the number of rebuilds
> when it comes to Rust packages. Do you have an idea?

It's tough, indeed.

Maybe something like `./pre-inst-env guix build --no-grafts gnome
--dry-run` can reliably give a good answer.

GNOME does depend on Rust packages, in at least two ways: via librsvg
and via rav1e.

------
$ guix graph --path gnome rav1e
gnome@HIDDEN    
tracker-miners@HIDDEN
ffmpeg@HIDDEN
rav1e@HIDDEN
$ guix graph --path gnome librsvg
gnome@HIDDEN    
gnome-control-center@HIDDEN
librsvg@HIDDEN
------

And anyways, it's good practice to make sure that GNOME builds after
changing big parts of the dependency graph.

If it's too computationally expensive for you to perform builds like
that, let us know maybe we can provide a solution via ci.guix.gnu.org




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 23 Jan 2022 08:35:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 23 03:35:21 2022
Received: from localhost ([127.0.0.1]:38489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBYLI-0001JP-Px
	for submit <at> debbugs.gnu.org; Sun, 23 Jan 2022 03:35:20 -0500
Received: from relay11.mail.gandi.net ([217.70.178.231]:43947)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nBYLH-0001J5-94
 for 53208 <at> debbugs.gnu.org; Sun, 23 Jan 2022 03:35:20 -0500
Received: (Authenticated sender: admin@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id B35CF100002;
 Sun, 23 Jan 2022 08:35:11 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: [bug#53208] [PATCH 38/39] gnu: rust-analyzer: Update to
 2022-01-10.
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_DDA6BCB544AEF678B32DB53DCBECAF4E8705@HIDDEN>
 <Yeyooxq0TvjkFOIn@HIDDEN>
Date: Sun, 23 Jan 2022 09:35:10 +0100
In-Reply-To: <Yeyooxq0TvjkFOIn@HIDDEN> (Leo Famulari's message of "Sat,
 22 Jan 2022 20:00:19 -0500")
Message-ID: <87tuduetoh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53208
Cc: 53208 <at> debbugs.gnu.org, Z572 via Guix-patches via <guix-patches@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Leo Famulari <leo@HIDDEN> writes:

> This patch series caused ~2300 rebuilds on the build farm, if I
> understand correctly:
>
> https://ci.guix.gnu.org/eval/56317

Ouch! Sorry about the mess.

Fortunately, all packages are rebuilt already, IIUC.

> Remember: changes that cause more than 300 rebuilds per architecture
> may not be pushed to the master branch:
>
> https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html#Submitting-Patches

As you may guess, I know this part (which IMO could be refreshed as the
capacity of the build farm and the number of Guix packages evolved since
2016) of the manual.

What I do not know, however, is how to predict the number of rebuilds
when it comes to Rust packages. Do you have an idea?

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jan 2022 08:35:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 23 03:35:31 2022
Received: from localhost ([127.0.0.1]:38492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBYLT-0001Jp-1J
	for submit <at> debbugs.gnu.org; Sun, 23 Jan 2022 03:35:31 -0500
Received: from lists.gnu.org ([209.51.188.17]:43998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nBYLR-0001Ji-PA
 for submit <at> debbugs.gnu.org; Sun, 23 Jan 2022 03:35:30 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60202)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1nBYLR-0008Vm-HQ
 for guix-patches@HIDDEN; Sun, 23 Jan 2022 03:35:29 -0500
Received: from relay11.mail.gandi.net ([217.70.178.231]:53893)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1nBYLE-0004dL-RA
 for guix-patches@HIDDEN; Sun, 23 Jan 2022 03:35:19 -0500
Received: (Authenticated sender: admin@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id B35CF100002;
 Sun, 23 Jan 2022 08:35:11 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: [bug#53208] [PATCH 38/39] gnu: rust-analyzer: Update to
 2022-01-10.
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_DDA6BCB544AEF678B32DB53DCBECAF4E8705@HIDDEN>
 <Yeyooxq0TvjkFOIn@HIDDEN>
Date: Sun, 23 Jan 2022 09:35:10 +0100
In-Reply-To: <Yeyooxq0TvjkFOIn@HIDDEN> (Leo Famulari's message of "Sat,
 22 Jan 2022 20:00:19 -0500")
Message-ID: <87tuduetoh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=217.70.178.231;
 envelope-from=mail@HIDDEN; helo=relay11.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: 53208 <at> debbugs.gnu.org, Z572 via Guix-patches via <guix-patches@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hello,

Leo Famulari <leo@HIDDEN> writes:

> This patch series caused ~2300 rebuilds on the build farm, if I
> understand correctly:
>
> https://ci.guix.gnu.org/eval/56317

Ouch! Sorry about the mess.

Fortunately, all packages are rebuilt already, IIUC.

> Remember: changes that cause more than 300 rebuilds per architecture
> may not be pushed to the master branch:
>
> https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html#Submitting-Patches

As you may guess, I know this part (which IMO could be refreshed as the
capacity of the build farm and the number of Guix packages evolved since
2016) of the manual.

What I do not know, however, is how to predict the number of rebuilds
when it comes to Rust packages. Do you have an idea?

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 23 Jan 2022 01:41:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 22 20:41:11 2022
Received: from localhost ([127.0.0.1]:38260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBRsI-0005AM-Om
	for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 20:41:11 -0500
Received: from tobias.gr ([80.241.217.52]:35106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1nBRsG-0005AA-3T
 for 53208 <at> debbugs.gnu.org; Sat, 22 Jan 2022 20:40:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=TBXCGfWammvPZ
 nA+uCwWmx1l3knuy+PV1vrzRMxxs3A=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=e/9eihByL/Rt8LxQ4C7+BIWxZHezO7oPPrU6Rm
 QVijAstNTYIfIMaDdyfNcfj/RAtsFcJFC86DftV2u5fAeGfJ5mbqPtnSJWkouEfshGDx/5
 wuzpCPEWuzCpPHFUaV330B/L5XCqvqww7jeF7uHXUFnNIeQe6e+GH+zdtmcAvsi2L/vxSr
 fVi9zNVJfVA41OV33IyH6rv5Y+TqbGiuNqPSItx4mMSpPb8cHJTC6aaybAz9cSqZ1juB0Q
 BCHD+Jk+vgmHzIMk6XU4G9gpdbu/TVMotl/wWZGXC8+3hI7tSqj2UoaM+aDAdbiHnCFXWi
 v0dQ7DaGgfzklcfP2Td0dP4g==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 652425fb
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sun, 23 Jan 2022 01:40:52 +0000 (UTC)
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_722DC8A675AA52D6F5DF868E56395C894006@HIDDEN>
 <45b62b8d110e6ec8a469cea32dfd84163a9aa398.camel@HIDDEN>
 <87iluc4cac.fsf@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Z572 <873216071@HIDDEN>
Subject: Re: [bug#53208] [PATCH 04/39] gnu: Add rust-windows-x86-64-msvc-0.28.
Date: Sun, 23 Jan 2022 02:39:58 +0100
In-reply-to: <87iluc4cac.fsf@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87h79v8bzv.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53208
Cc: 53208 <at> debbugs.gnu.org, Maxime Devos <maximedevos@HIDDEN>,
 guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hullo Z,

Z572 via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
> Cargo need all dependency, even though it=E2=80=99s optional or=20
> platform-specific.
> so if missing any one optional dependency, build will fail,=20
> maybe edit
> crate's Cargo.toml files to remove them can be work, but it is a
> terrible hack.

I think it's a hack worth trying if upstream can't or won't fix=20
it.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYeyyRA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15ghAA+wUZeyqa1lNMwVybDDbWi/OnqKaEISVAmrSc04xb
FaATAP9Ayd02cdo3L62yV5e92OOXGZDJ4OH4YXzvftA+RqLjBg==
=KORc
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jan 2022 01:41:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 22 20:41:11 2022
Received: from localhost ([127.0.0.1]:38266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBRsV-0005BH-2l
	for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 20:41:11 -0500
Received: from lists.gnu.org ([209.51.188.17]:36812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1nBRsL-0005AR-K7
 for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 20:41:01 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43440)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1nBRsL-0004oF-D0
 for guix-patches@HIDDEN; Sat, 22 Jan 2022 20:41:01 -0500
Received: from [2a02:c205:2020:6054::1] (port=42498 helo=tobias.gr)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1nBRsI-000690-BV
 for guix-patches@HIDDEN; Sat, 22 Jan 2022 20:41:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=TBXCGfWammvPZ
 nA+uCwWmx1l3knuy+PV1vrzRMxxs3A=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=e/9eihByL/Rt8LxQ4C7+BIWxZHezO7oPPrU6Rm
 QVijAstNTYIfIMaDdyfNcfj/RAtsFcJFC86DftV2u5fAeGfJ5mbqPtnSJWkouEfshGDx/5
 wuzpCPEWuzCpPHFUaV330B/L5XCqvqww7jeF7uHXUFnNIeQe6e+GH+zdtmcAvsi2L/vxSr
 fVi9zNVJfVA41OV33IyH6rv5Y+TqbGiuNqPSItx4mMSpPb8cHJTC6aaybAz9cSqZ1juB0Q
 BCHD+Jk+vgmHzIMk6XU4G9gpdbu/TVMotl/wWZGXC8+3hI7tSqj2UoaM+aDAdbiHnCFXWi
 v0dQ7DaGgfzklcfP2Td0dP4g==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 652425fb
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sun, 23 Jan 2022 01:40:52 +0000 (UTC)
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_722DC8A675AA52D6F5DF868E56395C894006@HIDDEN>
 <45b62b8d110e6ec8a469cea32dfd84163a9aa398.camel@HIDDEN>
 <87iluc4cac.fsf@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Z572 <873216071@HIDDEN>
Subject: Re: [bug#53208] [PATCH 04/39] gnu: Add rust-windows-x86-64-msvc-0.28.
Date: Sun, 23 Jan 2022 02:39:58 +0100
In-reply-to: <87iluc4cac.fsf@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87h79v8bzv.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a02:c205:2020:6054::1
 (failed)
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RDNS_NONE=0.793,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: 53208 <at> debbugs.gnu.org, Maxime Devos <maximedevos@HIDDEN>,
 guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hullo Z,

Z572 via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
> Cargo need all dependency, even though it=E2=80=99s optional or=20
> platform-specific.
> so if missing any one optional dependency, build will fail,=20
> maybe edit
> crate's Cargo.toml files to remove them can be work, but it is a
> terrible hack.

I think it's a hack worth trying if upstream can't or won't fix=20
it.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYeyyRA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15ghAA+wUZeyqa1lNMwVybDDbWi/OnqKaEISVAmrSc04xb
FaATAP9Ayd02cdo3L62yV5e92OOXGZDJ4OH4YXzvftA+RqLjBg==
=KORc
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 23 Jan 2022 01:00:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 22 20:00:29 2022
Received: from localhost ([127.0.0.1]:38243 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBRF6-0004Cx-U8
	for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 20:00:29 -0500
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:36087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1nBRF5-0004Cj-0x
 for 53208 <at> debbugs.gnu.org; Sat, 22 Jan 2022 20:00:27 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id D0E145C00AE;
 Sat, 22 Jan 2022 20:00:21 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Sat, 22 Jan 2022 20:00:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:cc:content-type:date:date:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to; s=mesmtp; bh=BgDse0ZvzL6pWy6i34K71luy7I2
 ItawEKO2CzmDomEw=; b=E7LBsRkMGIM7kl5Wz0gXtXk8h8DZAXOd1yKaZy++kVE
 ktQT19nMQS4jS2DR2Q9pMhLBE6BPNJ+0cimoGXBznIJFEbO1VA/Fc+FnwQ89sa3A
 D+gql61RzblMXw5UwOUpvT0bxqOfrhGRuDHT1DULTiNPAeMEiMPRORmuH5IG27k0
 =
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=BgDse0ZvzL6pWy6i3
 4K71luy7I2ItawEKO2CzmDomEw=; b=hnZnZm1QBVraAcC7Y1MtW2sHLJ+G7FFoe
 FDAo4Av3tYU8VNNuSvBfkLNwd93nn7aVXKRgMi3TKO4Fw8v/ae7io42VDX9IMYMJ
 2APfS5D82ghvnCC71tRuJrJRLdpapHFF8O+R05+Jgqz8TMB9g/LyWWUHbILnZkxO
 DAoTGY2YlaAOkVZ60B8yHg5V2J8EFfbYXwhck85eseds+XmeaEj99dfjVgzljVCt
 JhR3VnUQJsMsdTJVw2+qEoVTXQJFE/XVWM2NC1SJqUmrbIoos08fqirjjmTihBgP
 uO6/FgHK222pr9QyZ1SH2Aq2ohmBR6BKcTAimXI1T3FD8tu+R/hVQ==
X-ME-Sender: <xms:pajsYdPDbM9s7eP7RLK2qOX-C3rYmox4Pg3r9pCvY325xpebqnJLEQ>
 <xme:pajsYf8OudFkKtFegiSy_0RzC8GGZ4uPusc91SlzeZTgKUh0SaeXBkixMr-3TSc7b
 2JljVgwmRlJ6z1jlg>
X-ME-Received: <xmr:pajsYcTUuHsqjfn_MJxEtRFtscpZ580QYy7i9cnv1wL5hObO3x4gizHAd-ehxqsC5plqyXSG1lO-JneyRsstsl4-6Q>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrvdefgdeftdcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeffhffvuffkfhggtggujgesthdtredttddtvdenucfhrhhomhepnfgvohcuhfgr
 mhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrthhtvg
 hrnhepvddvudegffefiedttdfhfedvuefhgfekieekgeekveetgefhfeetgfegueduffei
 necuffhomhgrihhnpehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptdenucfrrg
 hrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:pajsYZsbbh5i9nDNxAGN2cfJwmPcRvPlm8ioBPuEdBkGXUn215nx0A>
 <xmx:pajsYVfH1vr4VppIYQ7NdOM7xPdGTdIrrL3PZwgg4SlmR_vCv-VhdQ>
 <xmx:pajsYV2mpXujnqbR3bR6OpxvWmqrPa7IJVzGyE7MbCO0YG4GkCCREg>
 <xmx:pajsYVHfFK2lvRTb04Lmr-ePMNqsmK1Mxk9Zt67hnKQsBntS4ITgOg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sat,
 22 Jan 2022 20:00:21 -0500 (EST)
Date: Sat, 22 Jan 2022 20:00:19 -0500
From: Leo Famulari <leo@HIDDEN>
To: Z572 via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#53208] [PATCH 38/39] gnu: rust-analyzer: Update to
 2022-01-10.
Message-ID: <Yeyooxq0TvjkFOIn@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_DDA6BCB544AEF678B32DB53DCBECAF4E8705@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <tencent_DDA6BCB544AEF678B32DB53DCBECAF4E8705@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53208
Cc: 53208 <at> debbugs.gnu.org, mail@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Jan 12, 2022 at 11:27:58PM +0800, Z572 via Guix-patches via wrote:
> * gnu/packages/rust-apps.scm (rust-analyzer): Update to 2022-01-10.

This patch series caused ~2300 rebuilds on the build farm, if I
understand correctly:

https://ci.guix.gnu.org/eval/56317

Remember: changes that cause more than 300 rebuilds per architecture
may not be pushed to the master branch:

https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html#Submitting-Patches




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jan 2022 01:00:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 22 20:00:36 2022
Received: from localhost ([127.0.0.1]:38247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBRFE-0004DI-7m
	for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 20:00:36 -0500
Received: from lists.gnu.org ([209.51.188.17]:58538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1nBRFC-0004D9-Sr
 for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 20:00:35 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38678)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1nBRF4-0006wW-HJ
 for guix-patches@HIDDEN; Sat, 22 Jan 2022 20:00:32 -0500
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:48523)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1nBRF2-0001RU-Pn
 for guix-patches@HIDDEN; Sat, 22 Jan 2022 20:00:26 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id D0E145C00AE;
 Sat, 22 Jan 2022 20:00:21 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Sat, 22 Jan 2022 20:00:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:cc:content-type:date:date:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to; s=mesmtp; bh=BgDse0ZvzL6pWy6i34K71luy7I2
 ItawEKO2CzmDomEw=; b=E7LBsRkMGIM7kl5Wz0gXtXk8h8DZAXOd1yKaZy++kVE
 ktQT19nMQS4jS2DR2Q9pMhLBE6BPNJ+0cimoGXBznIJFEbO1VA/Fc+FnwQ89sa3A
 D+gql61RzblMXw5UwOUpvT0bxqOfrhGRuDHT1DULTiNPAeMEiMPRORmuH5IG27k0
 =
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=BgDse0ZvzL6pWy6i3
 4K71luy7I2ItawEKO2CzmDomEw=; b=hnZnZm1QBVraAcC7Y1MtW2sHLJ+G7FFoe
 FDAo4Av3tYU8VNNuSvBfkLNwd93nn7aVXKRgMi3TKO4Fw8v/ae7io42VDX9IMYMJ
 2APfS5D82ghvnCC71tRuJrJRLdpapHFF8O+R05+Jgqz8TMB9g/LyWWUHbILnZkxO
 DAoTGY2YlaAOkVZ60B8yHg5V2J8EFfbYXwhck85eseds+XmeaEj99dfjVgzljVCt
 JhR3VnUQJsMsdTJVw2+qEoVTXQJFE/XVWM2NC1SJqUmrbIoos08fqirjjmTihBgP
 uO6/FgHK222pr9QyZ1SH2Aq2ohmBR6BKcTAimXI1T3FD8tu+R/hVQ==
X-ME-Sender: <xms:pajsYdPDbM9s7eP7RLK2qOX-C3rYmox4Pg3r9pCvY325xpebqnJLEQ>
 <xme:pajsYf8OudFkKtFegiSy_0RzC8GGZ4uPusc91SlzeZTgKUh0SaeXBkixMr-3TSc7b
 2JljVgwmRlJ6z1jlg>
X-ME-Received: <xmr:pajsYcTUuHsqjfn_MJxEtRFtscpZ580QYy7i9cnv1wL5hObO3x4gizHAd-ehxqsC5plqyXSG1lO-JneyRsstsl4-6Q>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrvdefgdeftdcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeffhffvuffkfhggtggujgesthdtredttddtvdenucfhrhhomhepnfgvohcuhfgr
 mhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrthhtvg
 hrnhepvddvudegffefiedttdfhfedvuefhgfekieekgeekveetgefhfeetgfegueduffei
 necuffhomhgrihhnpehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptdenucfrrg
 hrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:pajsYZsbbh5i9nDNxAGN2cfJwmPcRvPlm8ioBPuEdBkGXUn215nx0A>
 <xmx:pajsYVfH1vr4VppIYQ7NdOM7xPdGTdIrrL3PZwgg4SlmR_vCv-VhdQ>
 <xmx:pajsYV2mpXujnqbR3bR6OpxvWmqrPa7IJVzGyE7MbCO0YG4GkCCREg>
 <xmx:pajsYVHfFK2lvRTb04Lmr-ePMNqsmK1Mxk9Zt67hnKQsBntS4ITgOg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sat,
 22 Jan 2022 20:00:21 -0500 (EST)
Date: Sat, 22 Jan 2022 20:00:19 -0500
From: Leo Famulari <leo@HIDDEN>
To: Z572 via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#53208] [PATCH 38/39] gnu: rust-analyzer: Update to
 2022-01-10.
Message-ID: <Yeyooxq0TvjkFOIn@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_DDA6BCB544AEF678B32DB53DCBECAF4E8705@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <tencent_DDA6BCB544AEF678B32DB53DCBECAF4E8705@HIDDEN>
Received-SPF: pass client-ip=66.111.4.27; envelope-from=leo@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 53208 <at> debbugs.gnu.org, mail@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On Wed, Jan 12, 2022 at 11:27:58PM +0800, Z572 via Guix-patches via wrote:
> * gnu/packages/rust-apps.scm (rust-analyzer): Update to 2022-01-10.

This patch series caused ~2300 rebuilds on the build farm, if I
understand correctly:

https://ci.guix.gnu.org/eval/56317

Remember: changes that cause more than 300 rebuilds per architecture
may not be pushed to the master branch:

https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html#Submitting-Patches




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208-done <at> debbugs.gnu.org:


Received: (at 53208-done) by debbugs.gnu.org; 22 Jan 2022 16:04:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 22 11:04:57 2022
Received: from localhost ([127.0.0.1]:37712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBIsc-0007Hd-94
	for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 11:04:57 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:57519)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nBIsb-0007HI-3H
 for 53208-done <at> debbugs.gnu.org; Sat, 22 Jan 2022 11:04:41 -0500
Received: (Authenticated sender: admin@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 745CEFF805;
 Sat, 22 Jan 2022 16:04:34 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Z572 via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#53208] [PATCH 39/39] gnu: rust-analyzer: Make it out of box.
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_9856C05FBECE47F96849412DCAA67FAA6F06@HIDDEN>
 <87r1928016.fsf@HIDDEN>
 <tencent_E94BF92F5B47A5DCB144B2F6793325352305@HIDDEN>
Date: Sat, 22 Jan 2022 17:04:33 +0100
In-Reply-To: <tencent_E94BF92F5B47A5DCB144B2F6793325352305@HIDDEN>
 (guix-patches@HIDDEN's message of "Sat, 22 Jan 2022 12:37:10 +0800")
Message-ID: <87zgnnycxa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53208-done
Cc: Z572 <873216071@HIDDEN>, 53208-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Z572 via Guix-patches via <guix-patches@HIDDEN> writes:

> Fix in new patch.

Applied. Thank you.

Regards,
-- 
Nicolas Goaziou




Notification sent to Z572 <873216071@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Nicolas Goaziou <mail@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jan 2022 16:04:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 22 11:04:57 2022
Received: from localhost ([127.0.0.1]:37714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBIsr-0007Hu-BY
	for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 11:04:57 -0500
Received: from lists.gnu.org ([209.51.188.17]:44986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nBIsb-0007HQ-C7
 for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 11:04:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38982)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1nBIsa-0002Wb-Eb
 for guix-patches@HIDDEN; Sat, 22 Jan 2022 11:04:41 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:55767)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1nBIsY-0006yo-Ln
 for guix-patches@HIDDEN; Sat, 22 Jan 2022 11:04:40 -0500
Received: (Authenticated sender: admin@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 745CEFF805;
 Sat, 22 Jan 2022 16:04:34 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Z572 via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#53208] [PATCH 39/39] gnu: rust-analyzer: Make it out of box.
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_9856C05FBECE47F96849412DCAA67FAA6F06@HIDDEN>
 <87r1928016.fsf@HIDDEN>
 <tencent_E94BF92F5B47A5DCB144B2F6793325352305@HIDDEN>
Date: Sat, 22 Jan 2022 17:04:33 +0100
In-Reply-To: <tencent_E94BF92F5B47A5DCB144B2F6793325352305@HIDDEN>
 (guix-patches@HIDDEN's message of "Sat, 22 Jan 2022 12:37:10 +0800")
Message-ID: <87zgnnycxa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=217.70.183.199;
 envelope-from=mail@HIDDEN; helo=relay9-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: Z572 <873216071@HIDDEN>, 53208-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hello,

Z572 via Guix-patches via <guix-patches@HIDDEN> writes:

> Fix in new patch.

Applied. Thank you.

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 22 Jan 2022 05:12:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 22 00:12:56 2022
Received: from localhost ([127.0.0.1]:35528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nB8hn-0003Bx-5i
	for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 00:12:56 -0500
Received: from out162-62-57-64.mail.qq.com ([162.62.57.64]:41043)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1nB8hh-0003BY-IG
 for 53208 <at> debbugs.gnu.org; Sat, 22 Jan 2022 00:12:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642828355; bh=BHnCOZDmEH1YrolIW7nx04borUDoiouFGhUcGXPvuek=;
 h=References:From:To:Cc:Subject:Date:In-reply-to;
 b=PHArzPFcqYHnYFwuPKV1cqpfJHjGcwPf7ry7nsXhNVCFyDYJywhsr+LR7gDrjDovT
 6Cx4yNeEFEZOaBRxoTBWISGA1pvEmgIcGvFMWUq7S35oUQ4UBdnmPFU1C18afmQ/rS
 K7gEduuhLv8weIcHW1st5IvbU+14Gvazw67req5A=
Received: from asus ([39.183.1.114])
 by newxmesmtplogicsvrszc10.qq.com (NewEsmtp) with SMTP
 id 32228611; Sat, 22 Jan 2022 13:12:34 +0800
X-QQ-mid: xmsmtpt1642828354t6okgu24r
Message-ID: <tencent_E94BF92F5B47A5DCB144B2F6793325352305@HIDDEN>
X-QQ-XMAILINFO: Nqlrvrrau4mSCcL8OrXiIA9RBh4oAbsCmxP/AfTHrzY4BzATixBIetZjbFQUmg
 Vw6bN1FYCM2Fx6O2q5uDUqzlrZIDKeiGHqaY0wQNNaIWjk9XXVtoBVix5rxNKplIsFjOyWnqob2J
 gjl1iS9ehuJZLv1KQLjze0++p+1diReWhBFIQygUMB2XvBlEqw9iI4u0Y4N287gzWptheh8JZT0/
 7/SIgtlfaRigFTIiReejW9KVaWqq6cStgoYfZYFK56PxLsLLVMifOoUasqILkMW6+Jdxvu+ymG78
 sJ1tzIZPvKgd0GssKEwgwxiH1YYsG+c3hxMetU6RapXb/59DxpjJB3Sf6WwdsjrTWm1N/rioaGCo
 qe78mH5hnGlM91X0DR/BLLAnV63Ys7VrgUWCx+xAO6vSYZs2DBUDde03777DQIWQ3Ztmu6xOOnfF
 fYhTQs3sWldO1Qk8GfftQ5k79tor8GzcexGD0dB0mMJvrx80e1gyoLMVqpxnkC6q8Qko1n6te8Ri
 g+Hs37xnRkDMfU5EsvtMDzdl1fZzOV9tmONyuZ3aOoLqdgAiRLYInZ5sSPOFYJQwE3j8Y5Hj0LBH
 bSYlAZAcAjfYUrbG9YcFD3d/Rdsurmk5pNoZ7NUBnRqyBLjsq9I7K0reoNeu+LmuebdWh+bq0gTC
 WRKe55tt8X+amWXjQoBhUyZsUOKZNgszuf+9sc9v6VQX9lBg/VJlC7IGv3mly4pF3VZ1AdzjuFLU
 MFZV9GIcPlYJunKWxKpkQvH8cBoG8xWJr2gIwj+ZU+ZRq/4D3xbvUAm6XeurQZ82yv+Xbg7cMdSD
 hLj9sIK8le+AEjhcGCenv35BBSqGr4Ld8=
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_9856C05FBECE47F96849412DCAA67FAA6F06@HIDDEN>
 <87r1928016.fsf@HIDDEN>
User-agent: mu4e 1.6.10; emacs 29.0.50
From: Z572 <873216071@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
Subject: Re: [bug#53208] [PATCH 39/39] gnu: rust-analyzer: Make it out of box.
Date: Sat, 22 Jan 2022 12:37:10 +0800
In-reply-to: <87r1928016.fsf@HIDDEN>
Message-ID: <87ee504am6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  looks like failed to send email yesterday Nicolas Goaziou
 writes: > Hello, > > Z572 via Guix-patches via writes: > >> +(define-public
 rust-src >> + (hidden-package >> + (package >> + (inherit rust-1.57) >> +
 (name "rust-src") >> + (build-system copy-build-system) [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [162.62.57.64 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.57.64 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
Cc: 53208 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  looks like failed to send email yesterday Nicolas Goaziou
   writes: > Hello, > > Z572 via Guix-patches via writes: > >> +(define-public
    rust-src >> + (hidden-package >> + (package >> + (inherit rust-1.57) >> +
    (name "rust-src") >> + (build-system copy-build-system) [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

--=-=-=
Content-Type: text/plain


looks like failed to send email yesterday

Nicolas Goaziou <mail@HIDDEN> writes:

> Hello,
>
> Z572 via Guix-patches via <guix-patches@HIDDEN> writes:
>
>> +(define-public rust-src
>> +  (hidden-package
>> +   (package
>> +     (inherit rust-1.57)
>> +     (name "rust-src")
>> +     (build-system copy-build-system)
>> +     (native-inputs '())
>> +     (inputs '())
>> +     (native-search-paths '())
>> +     (outputs '("out"))
>> +     (arguments
>> +      `(#:install-plan
>> +        '(("library" "lib/rustlib/src/rust/library")
>> +          ("src" "lib/rustlib/src/rust/src"))))
>> +     (synopsis "Source code for the Rust standard library")
>> + (description "This package provide source code for the Rust
>> standard
>> +library, only use by rust-analyzer, make rust-analyzer out of
>> box."))))
>
> This cannot work, because, AFAIK, you can only inherit packages from the
> same module. So rust-src should be moved to rust.scm and made visible.

It can work, for example: fdik-libetpan and libetpan.
  fdik-libetpan is in (gnu packages pep), libetpan is in (gnu packages
  mail), fdik-libetpan inherit from libetpan, them are in different module.
  
>
>> +         (add-after 'install 'wrap-program
>> +           (lambda* (#:key inputs outputs #:allow-other-keys)
>> +             (let* ((out (assoc-ref outputs "out"))
>> +                    (bin (string-append out "/bin"))
>> +                    (rust-src-path (search-input-directory
>> + inputs "/lib/rustlib/src/rust/library")))
>> + ;; if not get environment variable RUST_SRC_PATH, set it,
>> +               ;; make rust-analyzer out of box.
>> +               (with-directory-excursion bin
>> +                 (let* ((prog "rust-analyzer")
>> +                        (wrapped-file (string-append (dirname prog)
>> + "/." (basename prog) "-real"))
>> + (prog-tmp (string-append wrapped-file "-tmp")))
>> +                   (link prog wrapped-file)
>> +                   (call-with-output-file prog-tmp
>> +                     (lambda (port)
>> +                       (format port "#!~a
>> +if test -z \"${RUST_SRC_PATH}\";then export RUST_SRC_PATH=~S;fi;
>> +exec -a \"$0\" \"~a\" \"$@\""
>> +                               (which "bash")
>> +                               rust-src-path
>> +                               (canonicalize-path wrapped-file))))
>> +                   (chmod prog-tmp #o755)
>> +                   (rename-file prog-tmp prog))))))
>
> I tried to move the rust-src in rust.scm, as explained above, but when
> I do, installation of rust-analyzer fails during the `wrap-program'
> phases.

new patch move rust-src to rust.scm, and build rust-analyzer success.

>
>>           (replace 'install-license-files
>>             (lambda* (#:key outputs #:allow-other-keys)
>>               (let* ((out (assoc-ref outputs "out"))
>> @@ -1298,6 +1341,7 @@ (define-public rust-analyzer
>>                 (chdir "../..")
>>                 (install-file "LICENSE-MIT" doc)
>>                 (install-file "LICENSE-APACHE" doc)))))))
>> +    (inputs (list rust-src))
>
> Shouldn't it be a native-input?

Fix in new patch.

>
> Could you have a look at those issues? Thanks!
>
> Regards,

--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0001-gnu-rust-analyzer-Make-it-out-of-the-box.patch
Content-Transfer-Encoding: quoted-printable

From a3ea65ba89f7f369fd6d2f8bd557dd59645ed456 Mon Sep 17 00:00:00 2001
Message-Id: <a3ea65ba89f7f369fd6d2f8bd557dd59645ed456.1642764287.git.873216=
071@HIDDEN>
From: Z572 <873216071@HIDDEN>
Date: Fri, 21 Jan 2022 19:06:10 +0800
Subject: [PATCH] gnu: rust-analyzer: Make it out of the box.

* gnu/packages/rust.scm (rust-src): New variable.
* gnu/packages/rust-apps.scm (rust-analyzer): [native-inputs]: Add rust-src.
[arguments]: <#:phases>: Add wrap-program phase.
---
 gnu/packages/rust-apps.scm | 25 +++++++++++++++++++++++++
 gnu/packages/rust.scm      | 20 ++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/gnu/packages/rust-apps.scm b/gnu/packages/rust-apps.scm
index a31fabac36..8ffa3a9817 100644
--- a/gnu/packages/rust-apps.scm
+++ b/gnu/packages/rust-apps.scm
@@ -1408,6 +1408,30 @@ (define-public rust-analyzer
          (add-before 'install 'chdir
            (lambda _
              (chdir "crates/rust-analyzer")))
+         (add-after 'install 'wrap-program
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (bin (string-append out "/bin"))
+                    (rust-src-path (search-input-directory
+                                    inputs "/lib/rustlib/src/rust/library"=
)))
+               ;; if not get environment variable RUST_SRC_PATH, set it,
+               ;; make rust-analyzer out of box.
+               (with-directory-excursion bin
+                 (let* ((prog "rust-analyzer")
+                        (wrapped-file (string-append (dirname prog)
+                                                     "/." (basename prog) =
"-real"))
+                        (prog-tmp (string-append wrapped-file "-tmp")))
+                   (link prog wrapped-file)
+                   (call-with-output-file prog-tmp
+                     (lambda (port)
+                       (format port "#!~a
+if test -z \"${RUST_SRC_PATH}\";then export RUST_SRC_PATH=3D~S;fi;
+exec -a \"$0\" \"~a\" \"$@\""
+                               (which "bash")
+                               rust-src-path
+                               (canonicalize-path wrapped-file))))
+                   (chmod prog-tmp #o755)
+                   (rename-file prog-tmp prog))))))
          (replace 'install-license-files
            (lambda* (#:key outputs #:allow-other-keys)
              (let* ((out (assoc-ref outputs "out"))
@@ -1416,6 +1440,7 @@ (define-public rust-analyzer
                (chdir "../..")
                (install-file "LICENSE-MIT" doc)
                (install-file "LICENSE-APACHE" doc)))))))
+    (native-inputs (list rust-src))
     (home-page "https://rust-analyzer.github.io/")
     (synopsis "Experimental Rust compiler front-end for IDEs")
     (description "Rust-analyzer is a modular compiler frontend for the Rust
diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
index 739ffb3192..5a6d4a5c30 100644
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -13,6 +13,7 @@
 ;;; Copyright =C2=A9 2020 Matthew James Kraai <kraai@HIDDEN>
 ;;; Copyright =C2=A9 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright =C2=A9 2021 (unmatched parenthesis <paren@HIDDEN>
+;;; Copyright =C2=A9 2022 Zheng Junjie <873216071@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -49,6 +50,7 @@ (define-module (gnu packages rust)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages)
   #:use-module (guix build-system cargo)
+  #:use-module (guix build-system copy)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system trivial)
   #:use-module (guix download)
@@ -787,3 +789,21 @@ (define rust-1.57
 ;;; be relied upon.  This is to ease maintenance and reduce the time
 ;;; required to build the full Rust bootstrap chain.
 (define-public rust rust-1.57)
+
+(define-public rust-src
+  (hidden-package
+   (package
+     (inherit rust)
+     (name "rust-src")
+     (build-system copy-build-system)
+     (native-inputs '())
+     (inputs '())
+     (native-search-paths '())
+     (outputs '("out"))
+     (arguments
+      `(#:install-plan
+        '(("library" "lib/rustlib/src/rust/library")
+          ("src" "lib/rustlib/src/rust/src"))))
+     (synopsis "Source code for the Rust standard library")
+     (description "This package provide source code for the Rust standard
+library, only use by rust-analyzer, make rust-analyzer out of the box."))))
--=20
2.34.0


--=-=-=
Content-Type: text/plain



-- 
over

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 22 Jan 2022 04:36:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 21 23:36:49 2022
Received: from localhost ([127.0.0.1]:35510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nB88v-0002D7-Lw
	for submit <at> debbugs.gnu.org; Fri, 21 Jan 2022 23:36:49 -0500
Received: from out203-205-251-80.mail.qq.com ([203.205.251.80]:39925)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1nB88m-0002Cd-Fm
 for 53208 <at> debbugs.gnu.org; Fri, 21 Jan 2022 23:36:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642826189; bh=DTVxjDrUu8R8jhoFYo4b8tbr68mmAkr1fzDP3utsXPw=;
 h=References:From:To:Cc:Subject:Date:In-reply-to;
 b=XlYnWRU6txlRbCcgbk6VQptSuEbaXA9QS5KAwAeI2I6RUKF495/cnGZJR2P3mUBKB
 v0UZBe67kMpVL3JapvMsStWkb/ulnlAMEXCAUAoysW5w+dWeAacicMIj75XhSPtkET
 /1vzn2sj+CytxbCgc2BQGqwRmS3b80a4OzpuPzWw=
Received: from asus ([39.183.1.114])
 by newxmesmtplogicsvrsza8.qq.com (NewEsmtp) with SMTP
 id 91B24E33; Sat, 22 Jan 2022 12:36:27 +0800
X-QQ-mid: xmsmtpt1642826187t6e6o9hyk
Message-ID: <tencent_535A6D3EA5D665B1FE09EAFC944F97ACD60A@HIDDEN>
X-QQ-XMAILINFO: Nz4OwWEyfkDXHJdF2pm9gAWJ3oFsHVijCYtTZxchArTFczf59N7u9RVNsO7D28
 h++6cNzq1jD5oXQEdO7PdInoKzg3TwgFevUsCYHpZX17f/wlVhKvFtu+8g0KgBjV6UJphzQwE+hi
 fX0P7fZ/ifxbj5EfSJY1Yg2MS7Ibb4zEukIub5oSTdR/3iWyM1xRCHFv7OjAGwb51RHNv+le3K6q
 XSOFoy9xPexsFsFgYQGY9aEb+JCNaCzT8u5gY/x9ZqYhX+v4bC/SCsmhH2RR6311xEXPPm66KGJ1
 vnTIjVmF2wPLZRq9219Hf8JERNlsfmRnWqh9mjvtun1dvOgl9h5wsDg5WSNmiHVZz//+zkxr1/5k
 YNy09r/incKO030iRBlsxUh79K71z86dnFd0urskLJryOu3ERcozGoYH4szI788TEXi2RRsBJi+K
 bC8U6z6xj0sNIMSTxBhd/MilZaVlzf8FPJqdRShcMfui2dbuCAluKF2yCcdgnsbiJ9Nia/Ib+3ef
 iESz+Bo/IRHXjNMIxsDd78hEjcXgB31ysK5nxsjfcP14ZfXMkQIopzYVdLkAV5ChZt+OaXAx76VL
 JZZr055BU2PxZDCtmKPtXWjTeoeR00+YqCBCRpIKipXuMd1+DkWADTrjLZnXkwOA6h8xmQiWOAye
 Dy+UtCpgpyrN9RulW2MHJkPAM++FWtVIOhG7JkJS+c0/ROcUpTfB9PV9hSBPCVqVCJqoNqIsynyO
 VmZ6FqU+Os8IJpK0XU27ecLR13HCA8beSyxWWC3fHlfcj/WpmPAzw63bcH6viyaLoC8Psemr96Og
 E3OVKzgi4IHQ==
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_722DC8A675AA52D6F5DF868E56395C894006@HIDDEN>
 <45b62b8d110e6ec8a469cea32dfd84163a9aa398.camel@HIDDEN>
User-agent: mu4e 1.6.10; emacs 29.0.50
From: Z572 <873216071@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#53208] [PATCH 04/39] gnu: Add rust-windows-x86-64-msvc-0.28.
Date: Sat, 22 Jan 2022 11:37:29 +0800
In-reply-to: <45b62b8d110e6ec8a469cea32dfd84163a9aa398.camel@HIDDEN>
Message-ID: <87iluc4cac.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Maxime Devos writes: > [[PGP Signed Part:Undecided]] > Z572
 via Guix-patches via schreef op wo 12-01-2022 om 23:27 [+0800]: >> *
 gnu/packages/crates-io.scm
 (rust-windows-x86-64-msvc-0.28): New variable. > > I don't see th [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.80 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
Cc: 53208 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Maxime Devos writes: > [[PGP Signed Part:Undecided]] > Z572
    via Guix-patches via schreef op wo 12-01-2022 om 23:27 [+0800]: >> * gnu/packages/crates-io.scm
    (rust-windows-x86-64-msvc-0.28): New variable. > > I don't see th [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.80 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)


Maxime Devos <maximedevos@HIDDEN> writes:

> [[PGP Signed Part:Undecided]]
> Z572 via Guix-patches via schreef op wo 12-01-2022 om 23:27 [+0800]:
>> * gnu/packages/crates-io.scm (rust-windows-x86-64-msvc-0.28): New variab=
le.
>
> I don't see the point of packaging crates for Windows support in
> Guix, since Guix (currently) does not support Windows at all,
> except for some rather limited cross-compilation support.
>
see https://github.com/rust-lang/cargo/issues/4544

https://github.com/rust-lang/cargo/issues/4544#issuecomment-332846630
  Cargo will asset that all dependencies exist (optional,
  platform-specific, or not) to generate a lock file.

> Do things build without this crate?
Cargo need all dependency, even though it=E2=80=99s optional or platform-sp=
ecific.
so if missing any one optional dependency, build will fail, maybe edit
crate's Cargo.toml files to remove them can be work, but it is a
terrible hack.
>
> Greetings,
> Maxime.
>
> [[End of PGP Signed Part]]


--=20
over




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 21 Jan 2022 19:30:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 21 14:30:12 2022
Received: from localhost ([127.0.0.1]:35102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAzbw-0007zH-KU
	for submit <at> debbugs.gnu.org; Fri, 21 Jan 2022 14:30:12 -0500
Received: from michel.telenet-ops.be ([195.130.137.88]:49850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nAzbu-0007z5-H2
 for 53208 <at> debbugs.gnu.org; Fri, 21 Jan 2022 14:30:11 -0500
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by michel.telenet-ops.be with bizsmtp
 id lXW82600R4UW6Th06XW8Pt; Fri, 21 Jan 2022 20:30:08 +0100
Message-ID: <45b62b8d110e6ec8a469cea32dfd84163a9aa398.camel@HIDDEN>
Subject: Re: [bug#53208] [PATCH 04/39] gnu: Add rust-windows-x86-64-msvc-0.28.
From: Maxime Devos <maximedevos@HIDDEN>
To: Z572 <873216071@HIDDEN>, 53208 <at> debbugs.gnu.org
Date: Fri, 21 Jan 2022 20:30:03 +0100
In-Reply-To: <tencent_722DC8A675AA52D6F5DF868E56395C894006@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_722DC8A675AA52D6F5DF868E56395C894006@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-OfwKrFz36w1ozZHakCWr"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1642793409; bh=qT8OcI6PAIAAyXPqRFgYMbeCdgkwMBmnHNxVAxju4Ss=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=BuTgMc6GnsC4rmCexInJ5TMq0f94pDQNPrKgEyOV+Mn876+4u5VuCrHx527gZ4grn
 G6dqGx2F6JScmJjfstE8bsbkrDNhotxmfBg+hrHBdXmox0V6O/7u/mHdKS9DoaFl6Y
 Cokcqd6E/KrEEEBn7IrtbRXOBP3fD/aCCBXSfuadkFpyiVRh/JjnCRSvuIgkKqe8+O
 K4/jF+3YZCtOvDbTTjrmxn07HyVm5jhq6qx9G0Z5iZ9ZYVj/61c0MwvLM5qmz2XsJF
 FVRIfs/1vhwohfQVMdMkWwq3VxkLbtELVqXJJnCDcIM8X8ohv8M69XJrbDwyNmR/Nl
 dZBux/HCg7rFQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-OfwKrFz36w1ozZHakCWr
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Z572 via Guix-patches via schreef op wo 12-01-2022 om 23:27 [+0800]:
> * gnu/packages/crates-io.scm (rust-windows-x86-64-msvc-0.28): New variabl=
e.

I don't see the point of packaging crates for Windows support in
Guix, since Guix (currently) does not support Windows at all,
except for some rather limited cross-compilation support.

Do things build without this crate?

Greetings,
Maxime.

--=-OfwKrFz36w1ozZHakCWr
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iIwEABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYesJuxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7n3PAPj0IMhheOkPAp9w8sm+p3QG1EJN
DUw4xY/23Uv0ZzGkAP0colsDlsMc3WnlHgiQ1oaUgYnpo9ybKLFr+XVLy2vOBQ==
=XN7f
-----END PGP SIGNATURE-----

--=-OfwKrFz36w1ozZHakCWr--





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 20 Jan 2022 23:23:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 20 18:23:16 2022
Received: from localhost ([127.0.0.1]:59634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAglv-00042Y-V7
	for submit <at> debbugs.gnu.org; Thu, 20 Jan 2022 18:23:16 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:55077)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nAglp-000421-H3
 for 53208 <at> debbugs.gnu.org; Thu, 20 Jan 2022 18:23:09 -0500
Received: (Authenticated sender: admin@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id C9F92240007;
 Thu, 20 Jan 2022 23:23:02 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Z572 via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#53208] [PATCH 39/39] gnu: rust-analyzer: Make it out of box.
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_9856C05FBECE47F96849412DCAA67FAA6F06@HIDDEN>
Date: Fri, 21 Jan 2022 00:23:01 +0100
In-Reply-To: <tencent_9856C05FBECE47F96849412DCAA67FAA6F06@HIDDEN>
 (guix-patches@HIDDEN's message of "Wed, 12 Jan 2022 23:27:59 +0800")
Message-ID: <87r1928016.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53208
Cc: 53208 <at> debbugs.gnu.org, Z572 <873216071@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Z572 via Guix-patches via <guix-patches@HIDDEN> writes:

> +(define-public rust-src
> +  (hidden-package
> +   (package
> +     (inherit rust-1.57)
> +     (name "rust-src")
> +     (build-system copy-build-system)
> +     (native-inputs '())
> +     (inputs '())
> +     (native-search-paths '())
> +     (outputs '("out"))
> +     (arguments
> +      `(#:install-plan
> +        '(("library" "lib/rustlib/src/rust/library")
> +          ("src" "lib/rustlib/src/rust/src"))))
> +     (synopsis "Source code for the Rust standard library")
> +     (description "This package provide source code for the Rust standard
> +library, only use by rust-analyzer, make rust-analyzer out of
> box."))))

This cannot work, because, AFAIK, you can only inherit packages from the
same module. So rust-src should be moved to rust.scm and made visible.

> +         (add-after 'install 'wrap-program
> +           (lambda* (#:key inputs outputs #:allow-other-keys)
> +             (let* ((out (assoc-ref outputs "out"))
> +                    (bin (string-append out "/bin"))
> +                    (rust-src-path (search-input-directory
> +                                    inputs "/lib/rustlib/src/rust/library")))
> +               ;; if not get environment variable RUST_SRC_PATH, set it,
> +               ;; make rust-analyzer out of box.
> +               (with-directory-excursion bin
> +                 (let* ((prog "rust-analyzer")
> +                        (wrapped-file (string-append (dirname prog)
> +                                                     "/." (basename prog) "-real"))
> +                        (prog-tmp (string-append wrapped-file "-tmp")))
> +                   (link prog wrapped-file)
> +                   (call-with-output-file prog-tmp
> +                     (lambda (port)
> +                       (format port "#!~a
> +if test -z \"${RUST_SRC_PATH}\";then export RUST_SRC_PATH=~S;fi;
> +exec -a \"$0\" \"~a\" \"$@\""
> +                               (which "bash")
> +                               rust-src-path
> +                               (canonicalize-path wrapped-file))))
> +                   (chmod prog-tmp #o755)
> +                   (rename-file prog-tmp prog))))))

I tried to move the rust-src in rust.scm, as explained above, but when
I do, installation of rust-analyzer fails during the `wrap-program'
phases.

>           (replace 'install-license-files
>             (lambda* (#:key outputs #:allow-other-keys)
>               (let* ((out (assoc-ref outputs "out"))
> @@ -1298,6 +1341,7 @@ (define-public rust-analyzer
>                 (chdir "../..")
>                 (install-file "LICENSE-MIT" doc)
>                 (install-file "LICENSE-APACHE" doc)))))))
> +    (inputs (list rust-src))

Shouldn't it be a native-input?

Could you have a look at those issues? Thanks!

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jan 2022 23:23:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 20 18:23:13 2022
Received: from localhost ([127.0.0.1]:59631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAglp-00042E-Fs
	for submit <at> debbugs.gnu.org; Thu, 20 Jan 2022 18:23:13 -0500
Received: from lists.gnu.org ([209.51.188.17]:50622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nAglo-000427-26
 for submit <at> debbugs.gnu.org; Thu, 20 Jan 2022 18:23:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59568)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1nAgln-000873-Mq
 for guix-patches@HIDDEN; Thu, 20 Jan 2022 18:23:07 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:46821)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1nAgll-0006uT-It
 for guix-patches@HIDDEN; Thu, 20 Jan 2022 18:23:07 -0500
Received: (Authenticated sender: admin@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id C9F92240007;
 Thu, 20 Jan 2022 23:23:02 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Z572 via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#53208] [PATCH 39/39] gnu: rust-analyzer: Make it out of box.
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
 <tencent_9856C05FBECE47F96849412DCAA67FAA6F06@HIDDEN>
Date: Fri, 21 Jan 2022 00:23:01 +0100
In-Reply-To: <tencent_9856C05FBECE47F96849412DCAA67FAA6F06@HIDDEN>
 (guix-patches@HIDDEN's message of "Wed, 12 Jan 2022 23:27:59 +0800")
Message-ID: <87r1928016.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=217.70.183.193;
 envelope-from=mail@HIDDEN; helo=relay1-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: 53208 <at> debbugs.gnu.org, Z572 <873216071@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hello,

Z572 via Guix-patches via <guix-patches@HIDDEN> writes:

> +(define-public rust-src
> +  (hidden-package
> +   (package
> +     (inherit rust-1.57)
> +     (name "rust-src")
> +     (build-system copy-build-system)
> +     (native-inputs '())
> +     (inputs '())
> +     (native-search-paths '())
> +     (outputs '("out"))
> +     (arguments
> +      `(#:install-plan
> +        '(("library" "lib/rustlib/src/rust/library")
> +          ("src" "lib/rustlib/src/rust/src"))))
> +     (synopsis "Source code for the Rust standard library")
> +     (description "This package provide source code for the Rust standard
> +library, only use by rust-analyzer, make rust-analyzer out of
> box."))))

This cannot work, because, AFAIK, you can only inherit packages from the
same module. So rust-src should be moved to rust.scm and made visible.

> +         (add-after 'install 'wrap-program
> +           (lambda* (#:key inputs outputs #:allow-other-keys)
> +             (let* ((out (assoc-ref outputs "out"))
> +                    (bin (string-append out "/bin"))
> +                    (rust-src-path (search-input-directory
> +                                    inputs "/lib/rustlib/src/rust/library")))
> +               ;; if not get environment variable RUST_SRC_PATH, set it,
> +               ;; make rust-analyzer out of box.
> +               (with-directory-excursion bin
> +                 (let* ((prog "rust-analyzer")
> +                        (wrapped-file (string-append (dirname prog)
> +                                                     "/." (basename prog) "-real"))
> +                        (prog-tmp (string-append wrapped-file "-tmp")))
> +                   (link prog wrapped-file)
> +                   (call-with-output-file prog-tmp
> +                     (lambda (port)
> +                       (format port "#!~a
> +if test -z \"${RUST_SRC_PATH}\";then export RUST_SRC_PATH=~S;fi;
> +exec -a \"$0\" \"~a\" \"$@\""
> +                               (which "bash")
> +                               rust-src-path
> +                               (canonicalize-path wrapped-file))))
> +                   (chmod prog-tmp #o755)
> +                   (rename-file prog-tmp prog))))))

I tried to move the rust-src in rust.scm, as explained above, but when
I do, installation of rust-analyzer fails during the `wrap-program'
phases.

>           (replace 'install-license-files
>             (lambda* (#:key outputs #:allow-other-keys)
>               (let* ((out (assoc-ref outputs "out"))
> @@ -1298,6 +1341,7 @@ (define-public rust-analyzer
>                 (chdir "../..")
>                 (install-file "LICENSE-MIT" doc)
>                 (install-file "LICENSE-APACHE" doc)))))))
> +    (inputs (list rust-src))

Shouldn't it be a native-input?

Could you have a look at those issues? Thanks!

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 20 Jan 2022 23:19:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 20 18:19:49 2022
Received: from localhost ([127.0.0.1]:59623 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAgib-0003vn-Kv
	for submit <at> debbugs.gnu.org; Thu, 20 Jan 2022 18:19:49 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:57477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nAgiZ-0003vX-Nu
 for 53208 <at> debbugs.gnu.org; Thu, 20 Jan 2022 18:19:48 -0500
Received: (Authenticated sender: admin@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 019E7FF803;
 Thu, 20 Jan 2022 23:19:40 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Z572 via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#53208] [PATCH]: gnu: rust-analyzer: Update to 2020-01-10.
References: <tencent_A2DE6A853729521FB35CFE3474F8CB3B4A09@HIDDEN>
Date: Fri, 21 Jan 2022 00:19:39 +0100
In-Reply-To: <tencent_A2DE6A853729521FB35CFE3474F8CB3B4A09@HIDDEN>
 (guix-patches@HIDDEN's message of "Wed, 12 Jan 2022 22:47:50 +0800")
Message-ID: <87v8ye806s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53208
Cc: 53208 <at> debbugs.gnu.org, Z572 <873216071@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Z572 via Guix-patches via <guix-patches@HIDDEN> writes:

> These patch update rust-analyzer to 2020-01-10, and last patch make
> rust-analyzer out of box.

Thank you. I pushed the patches up to the rust-analyzer update, but
didn't apply the last one. I'll make comments about it as a reply to the
dedicated message.

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jan 2022 23:19:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 20 18:19:56 2022
Received: from localhost ([127.0.0.1]:59626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAgih-0003w9-Rx
	for submit <at> debbugs.gnu.org; Thu, 20 Jan 2022 18:19:56 -0500
Received: from lists.gnu.org ([209.51.188.17]:45442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nAgie-0003vx-NY
 for submit <at> debbugs.gnu.org; Thu, 20 Jan 2022 18:19:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58902)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1nAgid-0004XR-2H
 for guix-patches@HIDDEN; Thu, 20 Jan 2022 18:19:52 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:47427)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1nAgia-0006BZ-W6
 for guix-patches@HIDDEN; Thu, 20 Jan 2022 18:19:50 -0500
Received: (Authenticated sender: admin@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 019E7FF803;
 Thu, 20 Jan 2022 23:19:40 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Z572 via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#53208] [PATCH]: gnu: rust-analyzer: Update to 2020-01-10.
References: <tencent_A2DE6A853729521FB35CFE3474F8CB3B4A09@HIDDEN>
Date: Fri, 21 Jan 2022 00:19:39 +0100
In-Reply-To: <tencent_A2DE6A853729521FB35CFE3474F8CB3B4A09@HIDDEN>
 (guix-patches@HIDDEN's message of "Wed, 12 Jan 2022 22:47:50 +0800")
Message-ID: <87v8ye806s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=217.70.183.199;
 envelope-from=mail@HIDDEN; helo=relay9-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: 53208 <at> debbugs.gnu.org, Z572 <873216071@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hello,

Z572 via Guix-patches via <guix-patches@HIDDEN> writes:

> These patch update rust-analyzer to 2020-01-10, and last patch make
> rust-analyzer out of box.

Thank you. I pushed the patches up to the rust-analyzer update, but
didn't apply the last one. I'll make comments about it as a reply to the
dedicated message.

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:29:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:29:23 2022
Received: from localhost ([127.0.0.1]:58716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYw-0002Ms-V4
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:29:23 -0500
Received: from out203-205-221-247.mail.qq.com ([203.205.221.247]:44403)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fYu-0002LL-UY
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:29:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001353; bh=Qno0YXCBTq4EpDsrCK7cjxlInASfJF0RhkK11V/h86M=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=beg3TtyTLLLeMku5kivBGJ7pQGoqNf5QqCIMyjeMKwkSRUlaXr+lfTo3cJ9VN7u+7
 mF4gaqZdnFZ6NhIii34iN2u3dkKX1OnL1VJvhLyhrEcwyQy4BOca6ofuOpGBiiYGei
 9YDUwE3hOsmopgnDkJcvTQVs2qkr+thDAr9tvOm4=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001292twbxo2eon
Message-ID: <tencent_726AD7367953C9B2EEFEB675AACAB74A4409@HIDDEN>
X-QQ-XMAILINFO: MxtMpmMtaOnyAuSFLo5t9v5G103s5v1wuyDyNe63Yh38xJD1Nlggsg8xLSUmou
 WOOROYFXqCcqBB/pgjUeu1zCGmvFjHOF0cHZ48YCqmfF8S+NQ6okmk9HgA7LZzuMgZx+SqFIcXT5
 TB0O16nL9vUDN7TVMnKrrMQOntOVOmILHtUDJsUbbV4P3TQT1g6XTnAtbW/2+kRiEkbtqm3ITxkY
 IHaNVAtZSPjbSFWuVPvDqjECRihtOpDM9D74WZQNjSn4rZNoEDGY+XTwo3f38jDapIYNKJDpU9TJ
 fmSHUvJBI1OsiDk4fGiU4nbboI8hzE29BssoJw9CNmdqqh8ZjvHYkZEMxjAp72YWNA3V2bwUmTFd
 z5o8MZ1d3a2rDTswnoRtMnY1MJzq02HY9km6+ePDDh5Ndm5LI2Zm9F5P4kBmOYvr8xaBjQmrSxCR
 WMkDRSH8IVW02R11ywyKipdUVaj0eA/2SMOQZwyhQhCPY5zsD6SrmbdezI79p3FhJ8j32f9xR2dz
 3QK1UNn8fa/+vtcshS60toAXZAb+bY+HRb0CF4cGdjbqLlb8fp4F61QN68Lyl8wCtDnk4TQPRfPC
 C62DHn9jSAWv5B/oNxee1ZUlAxxdtygIwddgle/WNcO5tlpbGm2VeF+4T6cYSuJsC/UYaExwa0zB
 taew3FBkOePf29tTxmBElvgVOlj4NqKCdtTW9kcrhRhnnVlS8e56QdZJHq1pZoaWT3fXkC1fwKxb
 sTt/cAmYpyF2BE6xE4+aGEGf3Rs2/OT7E+H8YfSQ9lr9INmCY6njOFghsVOzcAoxqrHkABTlQsx5
 L+YGIAXkuE1IxI1LD8126MEMr9p/xT8kGaOAwjmzTlt+lkmF92M3sa1hXFTHjRuGC+S7QHcqe4wd
 ogInS+AWhG
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 22/39] gnu: rust-ungrammar-1: Update to 1.14.9.
Date: Wed, 12 Jan 2022 23:27:42 +0800
X-OQ-MSGID: <cca98fe887e2294137dd96bb2bb8120faa264e50.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/crates-io.scm (rust-ungrammar-1): Update to
 1.14.9. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed, 2 insertions(+),
 2 deletions(-) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index 53af5eec81..d5bbb71cac 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -61349,7 +61349,7 @@ (defi [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.221.247 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-ungrammar-1): Update to
    1.14.9. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed, 2 insertions(+),
    2 deletions(-) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index 53af5eec81..d5bbb71cac 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -61349,7 +61349,7 @@ (defi [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.221.247 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-ungrammar-1): Update to 1.14.9.
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 53af5eec81..d5bbb71cac 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -61349,7 +61349,7 @@ (define-public rust-unchecked-index-0.2
 (define-public rust-ungrammar-1
   (package
     (name "rust-ungrammar")
-    (version "1.13.0")
+    (version "1.14.9")
     (source
       (origin
         (method url-fetch)
@@ -61358,7 +61358,7 @@ (define-public rust-ungrammar-1
           (string-append name "-" version ".tar.gz"))
         (sha256
           (base32
-            "17wm4b5r3z5hqail6p609nii37y3j8dr4bxg8x0bkhkc2wa06xkn"))))
+            "1agx2hpp3sirknnx8j17mzcg222024s6vkx6s5v3s3l8zp15kgk6"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:29:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:29:22 2022
Received: from localhost ([127.0.0.1]:58714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYv-0002Md-K0
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:29:21 -0500
Received: from out203-205-251-85.mail.qq.com ([203.205.251.85]:42740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fYt-0002LD-Tt
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:29:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001353; bh=nAQ38G1xUS3RSTUUOPdbooyYKpB6Xhk2H8KppUPNaaE=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=KFmtTChaOg9IrJQIexJbv3OKyxBWfFsbXG2J3FyFuewb8vsFS5NK2UNdaTHOTGPZT
 our3M3AJbOR2cqnIlPMLa1CCDKcinvHHz+v5GRzHYKOa1EyZNJAm9R+NWL1LvCGyin
 zEehCsBbQG6PoGI68S5BTzWRXPnhpkC7wpJApWCI=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001291t9gype4hi
Message-ID: <tencent_9551EA78D6D65F960E55794B094B6DF96606@HIDDEN>
X-QQ-XMAILINFO: OGn2S7BqG7PaJ0YoOxn1aVaWvxjTDbuGl0avc3mzZBGc1srd5HV7nYIz+Myiyn
 lOjZWZlwcVCR94/CmbcK9b9ZXZjqc6N7TlTKmVFuC6iw1ijSq0+0SfZXLhCXeq82hYYNBLhW+RaZ
 FRwPMTVGPi3+R9xe1hcCS7608ZG7fl8Kakl0YuzhVTC/K6uiG4wqzEewEirkte134r3j/EJcx2d0
 AufZgfR1k3c6MB/67FxEv5cC2dNpi7MbdyL56lIG4feBpMYNkRSywromD2pUt2PaMx5keLfFZagm
 n5qLVWTDY+3egtOwNT7Y7s+4v16aNqidW1nJ3iDDoC/W6xW+FRNwwodz2p+2QTyoAIowyUUDzfWu
 m5k8Xu3kownsCvS3QHyrWkj363/kB9mZJ1QiF0WGuSPoajE0A7x3iEDbrychmkn9ALiAT+p8umZi
 yAaKk0hVuFkOIghslgt/gIvFokLh+7DDhtVymGsdWH8NuZ06FTlOVQ/HZuwes4SVpfI4wrSJqJD4
 xNF5dFhDkdrcHpC8YKgxPFI8Ph0pLIyfyRr5xsG28A3Yr4xEPnJVvY4Llt+o8VfVH1UMGoF24qwM
 tRhLwSU1eK/K3TrCyLKul8sEbFbvsoZMwCxXw6kOSitouT7m7k6jhYN+kHQgcX/gLjny95UL0xHN
 ZviaqRUWtHNUKzTnqKQ5zxmuaIRvo3iMAfSGEFzby3KcEt6/zw0DcShwzAN03UX+XbYczR70wtwm
 DzVaCMhXG5RA5CRRm2dVdW32lW0Odl8XlZuBGZzH1FmNqXYSEbsVCCWYb4Q29IQOCTXqCzRjWPDt
 ZIpL8ryNvunwkp+S9GMX49ChzQrUvsZdnry/fVQEvYJIcebLgAmN5nQ68DdKJA+cNg+FSPNf2JS1
 0ZbNm8fOwB
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 21/39] gnu: rust-expat-sys-2: Update to 1.2.2.
Date: Wed, 12 Jan 2022 23:27:41 +0800
X-OQ-MSGID: <cc4a5c030e3c81bdddad1fab38c77de6b32692e2.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/crates-io.scm (rust-expat-sys-2): Update to
 1.2.2. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed, 2 insertions(+),
 2 deletions(-) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index a6632e123f..53af5eec81 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -18336,7 +18336,7 @@ (defi [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.85 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.251.85 listed in wl.mailspike.net]
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-expat-sys-2): Update to
    1.2.2. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed, 2 insertions(+),
    2 deletions(-) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index a6632e123f..53af5eec81 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -18336,7 +18336,7 @@ (defi [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.85 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-expat-sys-2): Update to 1.2.2.
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a6632e123f..53af5eec81 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -18336,7 +18336,7 @@ (define-public rust-expat-sys-2
 (define-public rust-expect-test-1
   (package
     (name "rust-expect-test")
-    (version "1.1.0")
+    (version "1.2.2")
     (source
      (origin
        (method url-fetch)
@@ -18345,7 +18345,7 @@ (define-public rust-expect-test-1
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "0cq651b3dcrw94bl03krxnvllr8kqx6vskqal0n8ydrsmdx4f013"))))
+         "05nv365xd5fqydmzbsvzqz0148a1vbxp2p0r8a3ivafdvhl6ngky"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build?
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:29:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:29:09 2022
Received: from localhost ([127.0.0.1]:58672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYd-0002Hl-DA
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:29:09 -0500
Received: from out203-205-251-85.mail.qq.com ([203.205.251.85]:59299)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fY4-0002Bm-GJ
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001302; bh=LL5XE3maRbNOffu6q74DfQHIlT6JYI0zxLv4xxbg7rc=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=FYOiHl+btMXm85HQgq8xAHKPWAOlMLP8RlNg483WfHUdmfEsKHssf5EW+8jRkPc85
 n3V0H4ZF7kffIpTaqS6162m3PDTAk0OKLI7lxs6TrKO0NNx7lZcthnBI11hFjqu80l
 imvuE0OBbYYJruGNO3sg3hbmJnZHHrEBz1QvV75Q=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001301t95v42sxg
Message-ID: <tencent_DDA6BCB544AEF678B32DB53DCBECAF4E8705@HIDDEN>
X-QQ-XMAILINFO: NRRnJ4gYtGQQ96e5NugD7SHPGgwgIbNooY5n4x+uqSvI282xoo1UTI5XxtUygV
 kCL+ZX6XrSt4LNCp7sE/l0HMcDll9c/TTzUnpZmmC+hYsfJaYxFG2ZiKBtEL0J9mZosgLunslAX/
 oq4fyt86VTxcDB0QoKVtXl7/S529PKT1HqKUIxVpmHmaz9xTS8Or6JC/7cZjfVoc7wuPHcC0pfw1
 eRaj7gW3svS2I7aqD/C6g53nXuPRU4XycZDpHvUiIudlV0AYm2veAyZL2greGnL/OLI3qCa/OdOB
 GmH2APCvRi75FbSa+ImTNcVh7LMVhPOTfXge4ecWa4//NUGMh0l3b453oFZ5qOjQcMgoiFns8lWA
 xaWEQv2dDa6Z2t32peEH36i60z0RSkNwhf6+9VYegusK8aXHdgnH1kF0BbqqJ+8wZ/6tcM0ehbjq
 qpIEQ2bA6xEKLwgnu1YDJ3O3eF25bweoGeuGGrjsCX73ijWjamI+EUPdgFsvIaqw8PyDEHxBVbnt
 yJIl6Toh4s4UNVmJATiE4PP/44KpFiG/MOYzIkboegcgAniREfFLAqwPEnEy6KwyW1MGO2bE40mE
 wabz3XTpARZEHzHwfzKq8SN+DXVzoYxg6kQYm9DPdS2ZYmoI1TyxpMXd5mD2toLBNe4Fx381H2UN
 K67JX/efN/gBfRVeZeWzmara2NLtFs8dfr85Ji52dBbjfoDoP5aMgL+gbHa+urZ7nW9KewF4KKl9
 J/AEnDsp1e5BTEnkPNCiqFDNFyxt/u6KX40ZrdTFI3SonEy3w1CCfUQwJ9fad9kgjGf5LEYkPdQV
 LaRz+dcyhAmA+WUyo3sVhEOyKOIA8r/2yT2WXAcKEd9QFHFd+3KOSfYRPKxTFwCSj6DXL6LbNBuQ
 ==
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 38/39] gnu: rust-analyzer: Update to 2022-01-10.
Date: Wed, 12 Jan 2022 23:27:58 +0800
X-OQ-MSGID: <d6ed40bb7bcccaa5be76f9bfeeb595c1bf734f72.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/rust-apps.scm (rust-analyzer): Update to
 2022-01-10.
 [arguments]: Add #:rust rust-1.57. <#:cargo-test-flags>: Skip two fail test.
 <#:cargo-inputs>: Add rust-typed-arena-2. Remove rust-t [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.85 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/rust-apps.scm (rust-analyzer): Update to 2022-01-10.
    [arguments]: Add #:rust rust-1.57. <#:cargo-test-flags>: Skip two fail test.
    <#:cargo-inputs>: Add rust-typed-arena-2. Remove rust-t [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.85 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/rust-apps.scm (rust-analyzer): Update to 2022-01-10.
[arguments]: Add #:rust rust-1.57.
<#:cargo-test-flags>: Skip two fail test.
<#:cargo-inputs>:
Add rust-typed-arena-2. Remove rust-tracing-tree-0.1
Use rust-cargo-metadata-0.14 replace rust-cargo-metadata-0.13,
use rust-chalk-ir-0.75 replace rust-chalk-ir-0.68,
use rust-chalk-recursive-0.75 replace rust-chalk-recursive-0.68,
use rust-countme-3 replace rust-countme-2,
use rust-cov-mark-2 replace rust-cov-mark-1,
use rust-lsp-types-0.91 replace rust-lsp-types-0.89,
use rust-memmap2-0.5 replace rust-memmap2-0.2,
use rust-miow-0.4 replace rust-miow-0.3,
use rust-object-0.28 replace rust-object-0.24,
use rust-pulldown-cmark-to-cmark-7 replace rust-pulldown-cmark-to-cmark-6,
use rust-rowan-0.15 replace rust-rowan-0.13,
use rust-rustc-ap-rustc-lexer-725 replace rust-rustc-ap-rustc-lexer-721.
Move rust-quote-1 to #:cargo-development-inputs,
Move rust-expect-test-1 to #:cargo-development-inputs,
move rust-rayon-1 to #:cargo-development-inputs,
move rust-tracing-0.1 to #:cargo-development-inputs,
move rust-ungrammar-1 to #:cargo-development-inputs.
<#:cargo-development-inputs>:
Add rust-arbitrary-1, rust-derive-arbitrary, rust-tracing-subscriber-0.3,
rust-tracing-tree-0.2.
<#:phases>:
Remove patch-build-failures.
Add install-doc, chdir phase.
Remove replace install phase.
Replace install-license-files phase.
Update fix-tests phase
---
 gnu/packages/rust-apps.scm | 88 +++++++++++++++++++++++---------------
 1 file changed, 53 insertions(+), 35 deletions(-)

diff --git a/gnu/packages/rust-apps.scm b/gnu/packages/rust-apps.scm
index 7dd60dd35b..2831b1401f 100644
--- a/gnu/packages/rust-apps.scm
+++ b/gnu/packages/rust-apps.scm
@@ -9,7 +9,7 @@
 ;;; Copyright © 2020–2022 Nicolas Goaziou <mail@HIDDEN>
 ;;; Copyright © 2021 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2021 Sharlatan Hellseher <sharlatanus@HIDDEN>
-;;; Copyright © 2021 Zheng Junjie <873216071@HIDDEN>
+;;; Copyright © 2021, 2022 Zheng Junjie <873216071@HIDDEN>
 ;;; Copyright © 2021 Alexandru-Sergiu Marton <brown121407@HIDDEN>
 ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2021 Petr Hodina <phodina@HIDDEN>
@@ -1161,7 +1161,7 @@ (define-public watchexec
 (define-public rust-analyzer
   (package
     (name "rust-analyzer")
-    (version "2021-06-07")
+    (version "2022-01-10")
     (source
      (origin
        ;; The crate at "crates.io" is empty.
@@ -1172,35 +1172,52 @@ (define-public rust-analyzer
        (file-name (git-file-name name version))
        (sha256
         (base32
-         "06bc3s5kjwpyr2cq79p0306a9bqp3xp928d750ybby9npq2dvj3z"))))
+         "1ci85bp8xwqrk8nqr8sh6yj8njgd98nhgnhaks2g00c77wwyra41"))))
     (build-system cargo-build-system)
     (arguments
      `(#:install-source? #f             ; virtual manifest
+       #:rust ,rust-1.57
        #:cargo-test-flags
        '("--release" "--"
          "--skip=tests::test_version_check"         ;; It need rustc's version
          ;; FIXME: Guix's rust not install source in %out/lib/rustlib/src/rust
          ;; so "can't load standard library from sysroot"
          "--skip=tests::test_loading_rust_analyzer"
+         ;; Failed to run rustfmt from toolchain 'stable'.
+         ;; Please run `rustup component add rustfmt --toolchain stable` to install it
+         "--skip=tests::sourcegen::sourcegen_assists_docs" ;; Need rustfmt
+         "--skip=tests::sourcegen_ast::sourcegen_ast" ;; Same
+
          "--skip=tidy::cargo_files_are_tidy"        ;; Not need
          "--skip=tidy::check_licenses"              ;; It run cargo metadata.
          "--skip=tidy::check_merge_commits"         ;; It run git rev-list.
          "--skip=tidy::check_code_formatting"       ;; Need rustfmt as cargo fmt
          "--skip=tidy::generate_grammar"            ;; Same
          "--skip=tidy::generate_assists_tests")     ;; Same
+       #:cargo-development-inputs
+       (("rust-arbitrary" ,rust-arbitrary-1)
+        ("rust-derive-arbitrary" ,rust-derive-arbitrary-1)
+        ("rust-expect-test" ,rust-expect-test-1)
+        ("rust-oorandom" ,rust-oorandom-11.1)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-tracing" ,rust-tracing-0.1)
+        ("rust-tracing-subscriber" ,rust-tracing-subscriber-0.3)
+        ("rust-tracing-tree" ,rust-tracing-tree-0.2)
+        ("rust-ungrammar" ,rust-ungrammar-1))
        #:cargo-inputs
        (("rust-always-assert" ,rust-always-assert-0.1)
         ("rust-anyhow" ,rust-anyhow-1)
         ("rust-anymap" ,rust-anymap-0.12)
         ("rust-arrayvec" ,rust-arrayvec-0.7)
         ("rust-backtrace" ,rust-backtrace-0.3)
-        ("rust-cargo-metadata" ,rust-cargo-metadata-0.13)
+        ("rust-cargo-metadata" ,rust-cargo-metadata-0.14)
         ("rust-cfg-if" ,rust-cfg-if-1)
-        ("rust-chalk-ir" ,rust-chalk-ir-0.68)
-        ("rust-chalk-recursive" ,rust-chalk-recursive-0.68)
-        ("rust-chalk-solve" ,rust-chalk-solve-0.68)
-        ("rust-countme" ,rust-countme-2)
-        ("rust-cov-mark" ,rust-cov-mark-1)
+        ("rust-chalk-ir" ,rust-chalk-ir-0.75)
+        ("rust-chalk-recursive" ,rust-chalk-recursive-0.75)
+        ("rust-chalk-solve" ,rust-chalk-solve-0.75)
+        ("rust-countme" ,rust-countme-3)
+        ("rust-cov-mark" ,rust-cov-mark-2)
         ("rust-crossbeam-channel" ,rust-crossbeam-channel-0.5)
         ("rust-dashmap" ,rust-dashmap-4)
         ("rust-dissimilar" ,rust-dissimilar-1)
@@ -1209,7 +1226,6 @@ (define-public rust-analyzer
         ("rust-either" ,rust-either-1)
         ("rust-ena" ,rust-ena-0.14)
         ("rust-env-logger" ,rust-env-logger-0.8)
-        ("rust-expect-test" ,rust-expect-test-1)
         ("rust-flate2" ,rust-flate2-1)
         ("rust-fst" ,rust-fst-0.4)
         ("rust-home" ,rust-home-0.5)
@@ -1220,29 +1236,27 @@ (define-public rust-analyzer
         ("rust-libloading" ,rust-libloading-0.7)
         ("rust-log" ,rust-log-0.4)
         ("rust-lsp-server" ,rust-lsp-server-0.5)
-        ("rust-lsp-types" ,rust-lsp-types-0.89)
-        ("rust-memmap2" ,rust-memmap2-0.2)
+        ("rust-lsp-types" ,rust-lsp-types-0.91)
+        ("rust-memmap2" ,rust-memmap2-0.5)
         ("rust-mimalloc" ,rust-mimalloc-0.1)
-        ("rust-miow" ,rust-miow-0.3)
+        ("rust-miow" ,rust-miow-0.4)
         ("rust-notify" ,rust-notify-5)
-        ("rust-object" ,rust-object-0.24)
+        ("rust-object" ,rust-object-0.28)
         ("rust-once-cell" ,rust-once-cell-1)
-        ("rust-oorandom" ,rust-oorandom-11.1)
         ("rust-parking-lot" ,rust-parking-lot-0.11)
         ("rust-perf-event" ,rust-perf-event-0.4)
         ("rust-proc-macro2" ,rust-proc-macro2-1)
         ("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8)
-        ("rust-pulldown-cmark-to-cmark" ,rust-pulldown-cmark-to-cmark-6)
-        ("rust-quote" ,rust-quote-1)
-        ("rust-rayon" ,rust-rayon-1)
-        ("rust-rowan" ,rust-rowan-0.13)
-        ("rust-rustc-ap-rustc-lexer" ,rust-rustc-ap-rustc-lexer-721)
+        ("rust-pulldown-cmark-to-cmark" ,rust-pulldown-cmark-to-cmark-7)
+        ("rust-rowan" ,rust-rowan-0.15)
+        ("rust-rustc-ap-rustc-lexer" ,rust-rustc-ap-rustc-lexer-725)
         ("rust-rustc-hash" ,rust-rustc-hash-1)
         ("rust-salsa" ,rust-salsa-0.17)
         ("rust-scoped-tls" ,rust-scoped-tls-1)
         ("rust-serde" ,rust-serde-1)
         ("rust-serde-json" ,rust-serde-json-1)
         ("rust-serde-path-to-error" ,rust-serde-path-to-error-0.1)
+        ("rust-typed-arena" ,rust-typed-arena-2)
         ("rust-smallvec" ,rust-smallvec-1)
         ("rust-smol-str" ,rust-smol-str-0.1)
         ("rust-snap" ,rust-snap-1)
@@ -1250,10 +1264,6 @@ (define-public rust-analyzer
         ("rust-threadpool" ,rust-threadpool-1)
         ("rust-tikv-jemalloc-ctl" ,rust-tikv-jemalloc-ctl-0.4)
         ("rust-tikv-jemallocator" ,rust-tikv-jemallocator-0.4)
-        ("rust-tracing" ,rust-tracing-0.1)
-        ("rust-tracing-subscriber" ,rust-tracing-subscriber-0.2)
-        ("rust-tracing-tree" ,rust-tracing-tree-0.1)
-        ("rust-ungrammar" ,rust-ungrammar-1)
         ("rust-url" ,rust-url-2)
         ("rust-walkdir" ,rust-walkdir-2)
         ("rust-winapi" ,rust-winapi-0.3)
@@ -1262,24 +1272,32 @@ (define-public rust-analyzer
         ("rust-xshell" ,rust-xshell-0.1))
        #:phases
        (modify-phases %standard-phases
-         (add-after 'unpack 'patch-build-failures
-           (lambda _
-             (chmod ".cargo/config" 420)
-             #t))
          (add-before 'check 'fix-tests
-           (lambda* (#:key inputs #:allow-other-keys)
+           (lambda _
              (let ((bash (string-append "#!" (which "bash"))))
-               (with-directory-excursion "crates/syntax/test_data/lexer/ok"
-                 (substitute* "0010_single_line_comments.txt"
+               (with-directory-excursion "crates/parser/test_data/lexer/ok"
+                 (substitute* "single_line_comments.txt"
                    (("SHEBANG 19")
                     (string-append "SHEBANG "
                                    (number->string (string-length bash))))
                    (("#!/usr/bin/env bash") bash))))))
-         (replace 'install
+         (add-before 'install 'install-doc
            (lambda* (#:key outputs #:allow-other-keys)
-             (install-file "target/release/rust-analyzer"
-                           (string-append (assoc-ref outputs "out")
-                                          "/bin")))))))
+             (let* ((out (assoc-ref outputs "out"))
+                    (doc (string-append out "/share/doc/rust-analyzer-"
+                                        ,version)))
+               (copy-recursively "docs" doc))))
+         (add-before 'install 'chdir
+           (lambda _
+             (chdir "crates/rust-analyzer")))
+         (replace 'install-license-files
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (doc (string-append out "/share/doc/rust-analyzer-"
+                                        ,version)))
+               (chdir "../..")
+               (install-file "LICENSE-MIT" doc)
+               (install-file "LICENSE-APACHE" doc)))))))
     (home-page "https://rust-analyzer.github.io/")
     (synopsis "Experimental Rust compiler front-end for IDEs")
     (description "Rust-analyzer is a modular compiler frontend for the Rust
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:50 2022
Received: from localhost ([127.0.0.1]:58666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYP-0002Gh-PX
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:50 -0500
Received: from out203-205-251-88.mail.qq.com ([203.205.251.88]:46338)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fY5-0002Bz-2Y
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001302; bh=/lbo33s0y6AFq/KUvAR+TamqIgFWvNsvUXw1LfseZN0=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=uDmtpRuLCdFQQOFEQIW7vXGvukZv6BagqF6YPDyHPK9j8VGwI1Hlo+S561l7Mt2ne
 lk5grJ75Ystv20rHb/fi10/z0ttyhHkGx1F/6rrvBhd2awidBeaLKvXJlYCyqrj0W2
 tMPHdFJ//SyTgrTW5o8a8m+BKr0RhsXbXbYTfT8c=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001301tb4mgwvcp
Message-ID: <tencent_9856C05FBECE47F96849412DCAA67FAA6F06@HIDDEN>
X-QQ-XMAILINFO: NO3HR8m27uattQSPI+7PZRS2MLeSrduFI5dwPxsNxd1pT7ZwARe1vsDxjdaCHH
 TbuNbtX9ivpevcbutJFL0gLXM79NJnySK8SSF/ddI0MsBwpd/VxA9F7a8gs77Mq0ciNARyGDuk7i
 jmvVoboeS26Sv5mRqD6ZXI5Q/KTYqHhhGpYzIkkoYokBCti2O8sgTQW00EkUp+zuxs5gonOj66rC
 XHO2HC9yj1XgQ3GDuXm9fKL/Azlmz8o6b85weBajnnHrYpnnX2LkeyJvpRhCJ0E62WpzbdnCrXWh
 0sAPDQRshtA8J6cqH5i6Z5rkfnxfLUnmbt6vvIYwCLXjNoSj1NqBxOIwX7yErBBoM2qUsexIoRLv
 WoXWV3xnvotK/cI96SYV3Vi1gAVRMEFRQyU4NOH10ud4YA/HELSC7xQe6MCHhOlrGumBrDzuDuYv
 QA1Nl/cUMVxNxY94rFL1SRu6XY7HemcgyTuW4oEw/Brval+iYdOyhnHgaau8fUbVflJNPjIdfRqa
 CrH8odDnC906OhNRVqYRjzBwnaWl8IPxXFQdTl7QUninYudCvmva9jPpSCh4T1X/QtXQ8XYEdAtx
 hLF6NkpucZBQHW6jhZB8b1bhJc0Pii9a4qzB1NDTfU8rCpQ2I8yTW2J3+DqItGWHeG9z6LWEvK30
 8RE2C1WnORIfd1pDfExKtwKw7aG3TLM4LY6z0w1wLUXNKl15IumymWPnptS7WB7oQbQZ8GFFkmmL
 l73gp0tHsP8lARViurilRyTbF7fyetVaADVQwQkeExrCGBtEnamXGkY3Ar6qqkRszVePc4kCpPUR
 52mtb9hv7wnz9ZuN0Z7NOwGHggcgxYgorb4guhNDkUkOawJLMEOWxaGvkskstThIG1NPcM7xyV+g
 ==
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 39/39] gnu: rust-analyzer: Make it out of box.
Date: Wed, 12 Jan 2022 23:27:59 +0800
X-OQ-MSGID: <d0a08bd85a4230e5b665e3108028101ffb31c876.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/rust-apps.scm (rust-src): New variable.
 (rust-analyzer):
 [arguments]: <#:phases>: Add wrap-program phase. [inputs]: Add rust-src.
 --- gnu/packages/rust-apps.scm | 44 +++++++++++++++++++ [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.88 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/rust-apps.scm (rust-src): New variable. (rust-analyzer):
    [arguments]: <#:phases>: Add wrap-program phase. [inputs]: Add rust-src.
   --- gnu/packages/rust-apps.scm | 44 +++++++++++++++++++ [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.88 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/rust-apps.scm (rust-src): New variable.
(rust-analyzer): [arguments]: <#:phases>: Add wrap-program phase.
[inputs]: Add rust-src.
---
 gnu/packages/rust-apps.scm | 44 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/gnu/packages/rust-apps.scm b/gnu/packages/rust-apps.scm
index 2831b1401f..f7604ec546 100644
--- a/gnu/packages/rust-apps.scm
+++ b/gnu/packages/rust-apps.scm
@@ -33,6 +33,7 @@
 (define-module (gnu packages rust-apps)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix build-system cargo)
+  #:use-module (guix build-system copy)
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix packages)
@@ -1158,6 +1159,24 @@ (define-public watchexec
 runs a command whenever it detects modifications.")
     (license license:asl2.0)))
 
+(define-public rust-src
+  (hidden-package
+   (package
+     (inherit rust-1.57)
+     (name "rust-src")
+     (build-system copy-build-system)
+     (native-inputs '())
+     (inputs '())
+     (native-search-paths '())
+     (outputs '("out"))
+     (arguments
+      `(#:install-plan
+        '(("library" "lib/rustlib/src/rust/library")
+          ("src" "lib/rustlib/src/rust/src"))))
+     (synopsis "Source code for the Rust standard library")
+     (description "This package provide source code for the Rust standard
+library, only use by rust-analyzer, make rust-analyzer out of box."))))
+
 (define-public rust-analyzer
   (package
     (name "rust-analyzer")
@@ -1290,6 +1309,30 @@ (define-public rust-analyzer
          (add-before 'install 'chdir
            (lambda _
              (chdir "crates/rust-analyzer")))
+         (add-after 'install 'wrap-program
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (bin (string-append out "/bin"))
+                    (rust-src-path (search-input-directory
+                                    inputs "/lib/rustlib/src/rust/library")))
+               ;; if not get environment variable RUST_SRC_PATH, set it,
+               ;; make rust-analyzer out of box.
+               (with-directory-excursion bin
+                 (let* ((prog "rust-analyzer")
+                        (wrapped-file (string-append (dirname prog)
+                                                     "/." (basename prog) "-real"))
+                        (prog-tmp (string-append wrapped-file "-tmp")))
+                   (link prog wrapped-file)
+                   (call-with-output-file prog-tmp
+                     (lambda (port)
+                       (format port "#!~a
+if test -z \"${RUST_SRC_PATH}\";then export RUST_SRC_PATH=~S;fi;
+exec -a \"$0\" \"~a\" \"$@\""
+                               (which "bash")
+                               rust-src-path
+                               (canonicalize-path wrapped-file))))
+                   (chmod prog-tmp #o755)
+                   (rename-file prog-tmp prog))))))
          (replace 'install-license-files
            (lambda* (#:key outputs #:allow-other-keys)
              (let* ((out (assoc-ref outputs "out"))
@@ -1298,6 +1341,7 @@ (define-public rust-analyzer
                (chdir "../..")
                (install-file "LICENSE-MIT" doc)
                (install-file "LICENSE-APACHE" doc)))))))
+    (inputs (list rust-src))
     (home-page "https://rust-analyzer.github.io/")
     (synopsis "Experimental Rust compiler front-end for IDEs")
     (description "Rust-analyzer is a modular compiler frontend for the Rust
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:49 2022
Received: from localhost ([127.0.0.1]:58664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYP-0002GZ-E4
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:49 -0500
Received: from out162-62-63-194.mail.qq.com ([162.62.63.194]:53919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fY4-0002Be-Gv
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001301; bh=o6yY5SUazM+A867jK4l+KtHvK+4VeOcNDzDCJ+z30Mk=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=WraobGCXA3KvamZJighhEf/ECP7YuhD8Fv1SBRRqLa9NxFyUA2XLqig5Le6O7KPS+
 l8k8V8tvpdaO+KW3GvPM9oVwbkXA1dANBOGvcynxSKlKgPwWeU8RJwLWg5lETbl+mP
 RPJurPTBcrHRWMA3AKKk+IiWvYq2Re9CBE4ZQ3gI=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001300tsev95c70
Message-ID: <tencent_EBBF0C1DA372A792FF5AE8CD89D4D5ACA207@HIDDEN>
X-QQ-XMAILINFO: N8HmLzAqAYyn92mqphiNsoTBEGXj7Is4DvmS5/BEIK6tMkSp7eoQbHmhpvMFi/
 YSrAa3jUAT178ryPXLPA8P/YJC/omaIwtIE9pUS/N/1TeTOhayKoLVmorOO96g1Gen1DOaOnIKFg
 mOERZOkdDzxYDeqGCDG4e44ZcZsErmgWH6qjTQSxIcTSXr5C/NiVujLEiWpGiW6Rz3h2IpklBVrg
 01EQIVJHRstcCcRWIWhcMwpRE46XzeXAQVluDXpySovnnVOqOpyhd/jxosOtkJrXgqXkkziK6LQR
 sMKyIiBzIApWo6swL5UwQOy9Wh+w88mwYZJsx/4xFeekozFetRk2KnWYmAW1N3QGDBIi4GcEsj1F
 j6ONFz9/tpLfO+QJap4OBSmM50ZpJ6/cOESZHl3LWqsuC4jLH6BlulARj5VzsGARS20puVz4Gk5P
 GHbIAZaLIrFNHaunbUij+xrB7JypI8cozoAqgqIwMNCzKfuht3wOKuCOy7PZ7wqgDRN6q5i6GUJ8
 jqJxl+cPuHvhsBzHUbcuAyt9Jmk8DfCkRdRrK20X81b5IgXmF1Aibtiog7Xg5a7CKUnjXY4ojEkJ
 9bMenJ5TNtaukbWKlVteVcIcTdQsf2m+JRnFPt46w1LDFMvwhVlO2F59vdFDAJgLT1KkXGPa58Vt
 vOU+QYzxKMrv1lG8+E1FwibW9YjkUcVmwkd87amNwhUeXomPsY/mm772lc7MkKlufPwlye3FYF78
 5ivQd6ZH6S38mvxiKq9tGe1F6C/rWo5yvzD2UtM6wT4aKP6DNhOTcTmkZVORwVbeSme/7a4Q8/TV
 mDOwcDApLxQ/slafjE/2JgdcP3E8L48VWj16UfQ4kkxEgOH1bn0kPS
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 37/39] gnu: rust-pulldown-cmark-0.8: update #:cargo-inputs
 rust-bitflags.
Date: Wed, 12 Jan 2022 23:27:57 +0800
X-OQ-MSGID: <eb86882a651b185d4e1e9db10a52eba051d5949c.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-pulldown-cmark-0.8):
 [arguments]:
 <#:cargo-inputs>: Use rust-bitflags-1.3 replace rust-bitflags-1. rust-analyzer
 need rust-pulldown-cmark-0.8 use rust-bitflags-1.3 build, else: 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.63.194 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-pulldown-cmark-0.8): [arguments]:
    <#:cargo-inputs>: Use rust-bitflags-1.3 replace rust-bitflags-1. rust-analyzer
    need rust-pulldown-cmark-0.8 use rust-bitflags-1.3 build, else: 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.63.194 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-pulldown-cmark-0.8):
[arguments]: <#:cargo-inputs>: Use rust-bitflags-1.3 replace rust-bitflags-1.

rust-analyzer need rust-pulldown-cmark-0.8 use rust-bitflags-1.3 build,
else:

error[E0599]: no method named `union` found for struct `pulldown_cmark::Options` in the current scope
  --> crates/ide/src/doc_links.rs:36:31
   |
36 |     Options::ENABLE_FOOTNOTES.union(Options::ENABLE_TABLES).union(Options::ENABLE_TASKLISTS);
   |                               ^^^^^ method not found in `pulldown_cmark::Options`
---
 gnu/packages/crates-io.scm | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 57c348fb0f..0aece30beb 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -41266,7 +41266,10 @@ (define-public rust-pulldown-cmark-0.8
     (arguments
       `(#:skip-build? #t
         #:cargo-inputs
-        (("rust-bitflags" ,rust-bitflags-1)
+        (;; use rust-bitflags-1.3 make rust-analyzer build success
+         ;; else build rust-analyzer sey: no method named `union` found for
+         ;; struct `pulldown_cmark::Options` in the current scope
+         ("rust-bitflags" ,rust-bitflags-1.3)
          ("rust-getopts" ,rust-getopts-0.2)
          ("rust-memchr" ,rust-memchr-2)
          ("rust-unicase" ,rust-unicase-2))
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:49 2022
Received: from localhost ([127.0.0.1]:58662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYP-0002GS-1f
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:49 -0500
Received: from out162-62-63-194.mail.qq.com ([162.62.63.194]:60639)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fY3-0002BP-Oz
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:28 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001301; bh=Te8uI8lcctqCkXQajN+AFVnmk/6JFMm6sgBVW4NLtfw=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=pFa9s2Jm5KcBb4aGEBwRmyMiPrSPp9AjnzfjCTgRjXvAKsHf4X6GheXm1o9k6C+mV
 MwWgA439RaHp15FIA1ahWiXgpb78ah9SccVo+95HLcVdo2RdHiXFxDtCB1dO16jueO
 9AurQE1fg2MVP1sp1fvCgz5pVoJvmkVPVtm2tvqc=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001300tzdeaiy1r
Message-ID: <tencent_E68AA55A64B1FC05E900953B95E0D5C66E0A@HIDDEN>
X-QQ-XMAILINFO: MEvGComSNB8o6Y/458/1AuG2l86uqsRmXX8ZgzMJ7MZUDsoziOunkMj4qCh3ZJ
 bquGTEyA6Y6nBHV8JGuLSlvb6Ckj01Ya/YiE/a0kjUiMQ6j55s4+vge53hyO8nvjDlDvg0Y+2TtR
 0E5x61+fSXJwWPaTFoAWoRKAOkbwvzy0jBq/riBLQkYvMgs+C3NrYnjyvZc5n1GRvye+U3jdn53Y
 TOsEZ/sv74xnzd9PPTZyXdQS8BKgNtvh2DPvTzA/7Ju6JuUbkNgQR9tyieezX11Dm82xmSCLoEXS
 vDljxoHYcnJhKnnpNzgrRl2zoHUIix4mRnE0I2SruIjYmnJX27oZPPuAHoQOYnevE3XcgctN+yWa
 xowNYj/lf0tBKbD0qsXeGK3xUqu09Uhlt+YQWSE28mdM6GPb55KMAZzK/O+q0KbdvpKXxNCcUOMd
 Qkfv6BJYyJpmpMdZSyxulNd3Ku2NMaj+IZHHgWBljbVLmL8DB5+bCTl6AFiyJx+HvOLIAzWIs9d1
 XAM096xA9P1Kxry+4OghC3E7SnxIHCDLiM1eH9iNKutFwjfiSN0BC+YkRbZB6bdW24iiBtfUaLuT
 T3RzPSJuKJPvfk8Bx/++ljolHHlBsNzlvGYxS+JMQlcYZjU3SK5nbozgVBobJLhH4BAVs7vGTrqX
 aZOL48KtatUL3aIPb6Hyrz1xILLh6RT6PakzMKZWk2fS5Pmz0J4AEjPp7vCvOZRFNfJojEueoyUZ
 Uej9fwsArlg6EVxQjOIUgOBEyXtvokOYsT9a907dRF4C8I5Dz00WLicdNtXeuKqM2gLqL8CUNkkX
 MfHDWE4MwfzhajsurE/PoWOXBrKY+fEt8unHYGVKZ7RVIbZxvfyNdrkFpWi9takNJKEyOC+2MhmA
 ==
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 36/39] gnu: rust-normalize-line-endings-0.2: Update to
 5.0.0-pre.13.
Date: Wed, 12 Jan 2022 23:27:56 +0800
X-OQ-MSGID: <c92387ac7853f8e33a63e945ebe4e43c961d4813.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm
 (rust-normalize-line-endings-0.2):
 Update to 5.0.0-pre.13. [arguments]: <#:cargo-inputs>: add rust-kqueue-1.
 <#:cargo-development-inputs>: add rust-futures,rust-tempfile. [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.63.194 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 TVD_SPACE_RATIO        No description available.
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-normalize-line-endings-0.2):
    Update to 5.0.0-pre.13. [arguments]: <#:cargo-inputs>: add rust-kqueue-1.
    <#:cargo-development-inputs>: add rust-futures,rust-tempfile. [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.63.194 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 TVD_SPACE_RATIO        No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-normalize-line-endings-0.2): Update to
5.0.0-pre.13.
[arguments]: <#:cargo-inputs>: add rust-kqueue-1.
<#:cargo-development-inputs>: add rust-futures,rust-tempfile.
<#:phases>: remove it.
---
 gnu/packages/crates-io.scm | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 57383de266..57c348fb0f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -34218,7 +34218,7 @@ (define-public rust-normalize-line-endings-0.2
 (define-public rust-notify-5
   (package
     (name "rust-notify")
-    (version "5.0.0-pre.8")
+    (version "5.0.0-pre.13")
     (source
       (origin
         (method url-fetch)
@@ -34227,7 +34227,7 @@ (define-public rust-notify-5
           (string-append name "-" version ".tar.gz"))
         (sha256
           (base32
-            "0jq1ixzi7rgq233dxbxkn129n8lidswp1glsgbdhvw7ig38brfs6"))))
+            "0za8mpacxkr62fii5h7ny4h396y0m8myd3hf08njqdg2h21kap94"))))
     (build-system cargo-build-system)
     (arguments
       `(#:skip-build? #t
@@ -34237,7 +34237,8 @@ (define-public rust-notify-5
           ,rust-crossbeam-channel-0.5)
          ("rust-filetime" ,rust-filetime-0.2)
          ("rust-fsevent" ,rust-fsevent-2)
-         ("rust-fsevent-sys" ,rust-fsevent-sys-3)
+         ("rust-fsevent-sys" ,rust-fsevent-sys-4)
+         ("rust-kqueue" ,rust-kqueue-1)
          ("rust-inotify" ,rust-inotify-0.9)
          ("rust-libc" ,rust-libc-0.2)
          ("rust-mio" ,rust-mio-0.7)
@@ -34245,14 +34246,9 @@ (define-public rust-notify-5
          ("rust-walkdir" ,rust-walkdir-2)
          ("rust-winapi" ,rust-winapi-0.3))
         #:cargo-development-inputs
-        (("rust-serde-json" ,rust-serde-json-1))
-        #:phases
-        (modify-phases %standard-phases
-          (add-after 'unpack 'fix-version-requirements
-           (lambda _
-             (substitute* "Cargo.toml"
-               (("0.7.7") ,(package-version rust-mio-0.7)))
-             #t)))))
+        (("rust-serde-json" ,rust-serde-json-1)
+         ("rust-futures" ,rust-futures-0.3)
+         ("rust-tempfile" ,rust-tempfile-3))))
     (home-page "https://github.com/notify-rs/notify")
     (synopsis
       "Cross-platform filesystem notification library")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:49 2022
Received: from localhost ([127.0.0.1]:58660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYO-0002GI-Jb
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:48 -0500
Received: from out203-205-251-85.mail.qq.com ([203.205.251.85]:39888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fY2-0002B5-PO
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001300; bh=WcjIF9yGBNWpcBeMa2ll1kvBkVSRCUrIHLs2lvCefpA=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=ymDYIWBLB/tODgkvrGy1Kk63fFUwTtw4NOen0IeIYtYdfcp3FTuJPi7U0Td9zp3j1
 8ns817liYvFkheX5dX4YGjfyxR3ouNAjNfqoFscQYBPvXjsnyda8QQ04EzsDRf5wSy
 8u/XiQjOKKf8avyVGfgR4rqqnXh1/N4ixb1NoI54=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001299t832ie8j2
Message-ID: <tencent_6D9DA9F2B6929B5A814DA354BBACCEBF7707@HIDDEN>
X-QQ-XMAILINFO: Mq8J1X/raaIMaFR6S2GTxKyWVkDubr7XIS53E7XwVmSGuvirvd2CtGQ0i1LRpq
 kdsPDkKt6pmmf7iqGMwspMNOYg9etqJR7xr2b7SGYCtNnNlmcJp4NbsF/xnQXUS4ph+WnvDW2Ajw
 6tiL6K6Aypc4m1wKFpoXQ+b+1LaWqKQlVG1VvyPxF4NbgyAPh3L3+iIVz1VUKAg1LUYx8DLlhqIs
 Ewh61XH7X1yNhnrJmGNAUa56DUDqUnNs28xjwvST43oXTf66ikz5rPewwwVXEIe6xueTVlugN7jd
 BS1iSu7tP3Ab1dZ+w4ZdYTBgSpOxOypwbXcnbAozS2D8SRjohoOSlJfKN4S9DkO66G8PzDPLs9vu
 1swZmJfVHb0ay7LiqBHvvkp/MeQU5nagqqAS2rOV0mbZUGF8arOXdfqs1GRH8QxHOcLIwxAaOPnO
 u76kEnS7my+DzehUCJSxE6Z3E6i8fW7Dda7LXbESUF9euY1ED9jv1gO8ogZYw96TpagUaujmVJJ4
 +/1/orj9W0CtQxG2Dtt3dtocdPSsY4hnphE9VwsEOL8YktvFxQGB01peOXULj3dkP2whnTldeZK1
 57TDFmtFHrUjRtG1jW/eqha4AdvUSJBk2v33BCkfGYgU3mQdCip15r0/NviyBntD6bezfcxEcde1
 JlwUsArAaT/R8bJ/CduDqQZyZw4TaCDAbHsZ+cslU5ESyPtODebQMAzawMAhP5kpav5v9zqj+oTk
 Scrs554pZ9sFjeGXcHJ5vVx75qFn/76GwfBcTpQhp88iPvDidvXoBzFCvTaCoh3QRGfGaAH/ocWL
 ARa34MXZO/5alWO41uSOvCMrsPIOVuYPlbG9DexuBCbXXviuNd2LCbDMsC/v6hbtDnWZPDnZjemq
 YD9Kq8V6bO
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 35/39] gnu: Add rust-fsevent-sys-4.
Date: Wed, 12 Jan 2022 23:27:55 +0800
X-OQ-MSGID: <bcb4b32c7d83aed7c1bcac5a31d8971495371f8a.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-fsevent-sys-4): New
 variable.
 (rust-fsevent-sys-3): Inherit from above. --- gnu/packages/crates-io.scm
 | 26 +++++++++++++++++++++++--- 1 file changed, 23 insertions( [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.85 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-fsevent-sys-4): New variable.
    (rust-fsevent-sys-3): Inherit from above. --- gnu/packages/crates-io.scm
   | 26 +++++++++++++++++++++++--- 1 file changed, 23 insertions( [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.85 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-fsevent-sys-4): New variable.
(rust-fsevent-sys-3): Inherit from above.
---
 gnu/packages/crates-io.scm | 26 +++++++++++++++++++++++---
 1 file changed, 23 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 71608a3ac5..57383de266 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -20316,10 +20316,10 @@ (define-public rust-fsevent-0.4
         (("rust-tempdir" ,rust-tempdir-0.3)
          ("rust-time" ,rust-time-0.1))))))
 
-(define-public rust-fsevent-sys-3
+(define-public rust-fsevent-sys-4
   (package
     (name "rust-fsevent-sys")
-    (version "3.1.0")
+    (version "4.1.0")
     (source
      (origin
        (method url-fetch)
@@ -20328,7 +20328,7 @@ (define-public rust-fsevent-sys-3
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1mav57d1zcp4x17h0wprcr188d8yvxfz1c0f1z0p31q52xl5wvya"))))
+         "1liz67v8b0gcs8r31vxkvm2jzgl9p14i78yfqx81c8sdv817mvkn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -20340,6 +20340,26 @@ (define-public rust-fsevent-sys-3
 macOS API for file changes notifications")
     (license license:expat)))
 
+(define-public rust-fsevent-sys-3
+  (package
+    (inherit rust-fsevent-sys-4)
+    (name "rust-fsevent-sys")
+    (version "3.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fsevent-sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1mav57d1zcp4x17h0wprcr188d8yvxfz1c0f1z0p31q52xl5wvya"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-libc" ,rust-libc-0.2))))))
+
 (define-public rust-fsevent-sys-2
   (package
     (inherit rust-fsevent-sys-3)
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:48 2022
Received: from localhost ([127.0.0.1]:58658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYO-0002GB-9I
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:48 -0500
Received: from out162-62-63-194.mail.qq.com ([162.62.63.194]:35741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fY2-0002As-4F
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001299; bh=xXRhcDoqTZ5MyopGObGgRCYeKCHSK8In9nOMKxZWgU4=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=Wit8LfnIVsmS4X3/+f+lL2FKgAEKuVReWbfeqKqp6zhDsZm793SZy2XkmDBbhiD9c
 X7sdXLsAPv3Np+Ofp3ht7WuXcGVTLmzeHbgj+Q6CEVIQR2huL7eIRd56cLX9vvcnFz
 oI6Ub/l05aHvZCoNCrmX16eT+5AgqGqkLZp7q/ns=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001298tjnr6iphr
Message-ID: <tencent_98AC91BF6C1DF5F2BA92995ACCCDE6D4CC07@HIDDEN>
X-QQ-XMAILINFO: NqPEjZpmuGEFfVw+jrE2/P/+UrVoV/4eekCvlc7VBJWXhU+BoC4dkRSl+Lf3HH
 ZDbDZB7SYKMabkNGiXxY3IFZY+wU8Yxm7Vw8d955ac18QAD1d7qL7MRlfIZe1234kM1zVDQzsg10
 XMhjOriN5ch3k1LSmpzvhorzNfcuLzFRwTv9QqzacA2JjQAhclw6aVwb4XP0BLU41v1Ait/fTvfm
 bBYNIQGFKlrby0HpJNVqTHk7p7uuv5tg+5Nzije42GHRjcUHYlLYpWrNBW1i7lYFwth3U13ovRDP
 lgAZanXKT+zizrcUJp1juiEh4ehmpp11vTqxPnPlGMnD64Cuw/4OReok3GVxpiFW2EmdVyX3+8KQ
 wH5uvlic1AuRYAsCA1QN41gnulGsYQVM5a4SX0ksIhGwt12S9bNIeq8etPIAwtTWksXTI1z9OBP/
 pb9VJvEPk6HnXxMIH0kXIioLFlBv1/y93vzl1uMwmni7tgq/pIgsvbinEOqB8kZs4XMy2aNRkU2w
 p2yV2vd36sORJOA3ZZ13BGlwXTxFTTMdplhWx3f9ciSX+DNgpL8qtIEqnXT5n3hoVpNKhOih+tIz
 sAH7PiyRmrcUM12mKFpMd20wC7AsttrERKWXGTIe/bvpmETuj+2BAtDNRbBu4mDYOj+Tz1ePNToe
 Q1i6UqOODKV4Hf4fc9ABeRf4X04lAhv1LcBHF+7i0KyRQfpF7fePOJE3I/Lyip/aeJxkQ0/BWive
 r6fcRTJKUVimL64qy4T7SKaDpOj+QR/ZWHg3VrPRF6Ca41V353ajNV7qEKWg7d0qihxJm4F01dxr
 afdoZi/odAudn0utjxPfjzXYeJ4h6NiUJunujJA/DlcqIMd21KMIgowSLDbdjdGFfEoycJUCQn7E
 9ae2+2T9Mt
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 33/39] gnu: Add rust-kqueue-sys-1.
Date: Wed, 12 Jan 2022 23:27:53 +0800
X-OQ-MSGID: <7c7025f9ff37a73a4eb79cb28024156172bc0376.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-kqueue-sys-1): New
 variable.
 --- gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++ 1 file changed,
 22 insertions(+) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index a9b6405f45..0ddc8b3ca8 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -27229,6 +27229,28 @@ (def [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.63.194 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-kqueue-sys-1): New variable.
    --- gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++ 1 file changed,
    22 insertions(+) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index a9b6405f45..0ddc8b3ca8 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -27229,6 +27229,28 @@ (def [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.63.194 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-kqueue-sys-1): New variable.
---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a9b6405f45..0ddc8b3ca8 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -27229,6 +27229,28 @@ (define-public rust-khronos-api-3
      "The Khronos XML API Registry, exposed as byte string constants.")
     (license license:asl2.0)))
 
+(define-public rust-kqueue-sys-1
+  (package
+    (name "rust-kqueue-sys")
+    (version "1.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "kqueue-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "11z5labbms9vn9m6csi5383dmrlmdgsxq13ls9fwa6zhi5a5hrw3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-1) ("rust-libc" ,rust-libc-0.2))))
+    (home-page "https://gitlab.com/worr/rust-kqueue-sys")
+    (synopsis "Low-level kqueue interface for BSDs")
+    (description "This package provides a low-level kqueue interface for BSDs.")
+    (license license:expat)))
+
 (define-public rust-kv-log-macro-1
   (package
     (name "rust-kv-log-macro")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:48 2022
Received: from localhost ([127.0.0.1]:58656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYN-0002G4-VT
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:48 -0500
Received: from out203-205-251-85.mail.qq.com ([203.205.251.85]:59891)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fY2-0002Au-8F
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001299; bh=iBxvIOnUE186qzWNkQNrkFuNAFbLsoOj5TK4PI8Wo7A=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=u9feD98TYXddAtB+5uYYmZlrsETbYwlo7Hc3nGHEehe2KpwImeqstMsRmfQ1UZpyM
 HGtUSHmZauZa/34q1GIVlsBcbdMK5xSpq9ZDG2jx5fUjsSJWiAa3xXfaKD13DCpncA
 0lukTVjM1s2V6c6ekZn7b5QP2mak/nwUNLOmLusE=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001298t7vceh846
Message-ID: <tencent_47A92B593A7F223AC7E5EE25D6B57D9B3408@HIDDEN>
X-QQ-XMAILINFO: NM+HyBNiu6fq0c3WSatXaiLE7EsyskudmJnuvTZS72LVkhWyCInS4X/+BVsK02
 YGYRgPDs+Nepz/UJRMP98bzCSaG2k3ZpWohkdmEbTQB8irYSEyOZSvZTRQ1DC0yE4xU47l8DjNT6
 STp1BLLG/O4F6s4Wnq1mQS0rGkuTP++vcaCWlTjEcek0flKo7EgWWksy8qTwEic/0YTBZodrO5R/
 4OVx859MFwFeT27oSP1kRWHMcyp5ApnYosLMgBpxBES5Xbw4Pdv2Hc6ogRk147FH9PmWNy69INN/
 2TsDGf9nmglHwMBuLjo7r0py6XFXDY2Yqk3cK0D412L4m0kIbICaYOdKeHSin7ePvlGcFpIknTte
 ty5M3GKZkQwx196iKgwz9+tEpSJnNdbEaPnhDi6K85txJo624v2RzEFZfKNNot0Mo69/fLF8lbKE
 hvVPMHmcoDvdOmFW4NLFlalOG6I3pGHPOrTbxs8kV6H/q5tMaSVJqbXZlb7QtJJZSzLgJZh7l27q
 1euDY6er3269ytpjoV4+geipsdrdGWFlAjg0tVz3FvDDqIOvLf9LzevUO0D5G0XtK9U/m8+K002h
 csvLvu8+hCLm/ARtDZTHXRJxfhWaItHJeO53zKqs5+fKJOyWVW4DJHQRZVqb+JgNpnoahYfp57+1
 spEQCVnEIKJxzNEMMTCIwxhGrjSk74xBCX2yQIXSEJhenXA8x5K4SHOW7PrrPENEgstiDPoOJtvG
 JWto3pollXZ1reNX9HmoFnHKw0WR0iV5zFehakbRL5MOKBHtwA0UL8dI8iGpkNUlG6eXYLe6PQ0X
 TnkuUd1xtPX2OWB+IcgCzvQS+a167EyaGwqRDqwRqN6Ox8ffkQIingtmIBDgxkXoWKUdeDAR2SYA
 UGBAvfY8AMDE35QtSUo5U=
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 34/39] gnu: Add rust-kqueue-1.
Date: Wed, 12 Jan 2022 23:27:54 +0800
X-OQ-MSGID: <f481f1af93bc8f67c432900676c3f8859d6958b4.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-kqueue-1): New variable.
 --- gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++ 1 file changed,
 23 insertions(+) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index 0ddc8b3ca8..71608a3ac5 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -27251,6 +27251,29 @@ (def [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.85 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-kqueue-1): New variable.
    --- gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++ 1 file changed,
    23 insertions(+) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index 0ddc8b3ca8..71608a3ac5 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -27251,6 +27251,29 @@ (def [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.85 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-kqueue-1): New variable.
---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 0ddc8b3ca8..71608a3ac5 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -27251,6 +27251,29 @@ (define-public rust-kqueue-sys-1
     (description "This package provides a low-level kqueue interface for BSDs.")
     (license license:expat)))
 
+(define-public rust-kqueue-1
+  (package
+    (name "rust-kqueue")
+    (version "1.0.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "kqueue" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1ad4vifr0kmla8a5pgig7plx5kmc9w7k1h9mgm6fk2sgg1x112h5"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-kqueue-sys" ,rust-kqueue-sys-1) ("rust-libc" ,rust-libc-0.2))
+       #:cargo-development-inputs
+       (("rust-tempfile" ,rust-tempfile-3))))
+    (home-page "https://gitlab.com/worr/rust-kqueue")
+    (synopsis "kqueue interface for BSDs")
+    (description "This package provides a kqueue interface for BSDs.")
+    (license license:expat)))
+
 (define-public rust-kv-log-macro-1
   (package
     (name "rust-kv-log-macro")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:48 2022
Received: from localhost ([127.0.0.1]:58654 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYN-0002Fw-Fl
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:47 -0500
Received: from out203-205-251-85.mail.qq.com ([203.205.251.85]:60358)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fY1-0002AT-LW
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001298; bh=9Waj4BmxxMmsB1BcbSf7kq4+dx6+RKZEEdkO4FTLpM8=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=UFHamko6xnNAAZod0ek5XAQ/FmQsOokU2e/KPxt0TjAgQDqfJxRhcjJneNcbhQ85g
 xV4Shs8Y/qBCF9W1p0LOAuhZsr5k0ExfIA7dvWLThAy+oeobmiZ9r/OehOS7efwkjS
 aVWo1SKSxh6s7VaFyKw7qbVa4xbNNbf7xnN0wQ8Q=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001297tpe67ojxd
Message-ID: <tencent_D652ADB21CFE2C75E8CABB4A706A25361509@HIDDEN>
X-QQ-XMAILINFO: NNehULFig4Nei7xjjYY0Hp/xtldFOBsJbxf2/xu9qZDLHdAFzLRvc56oxwjguQ
 Gp9QtjIjcQtY10IXQgYXXiE3zTGVfq36EZljpuu9WeBo3hOX14p+tQEgGxCvibAO/Zsc8X20wsTd
 fSTRngpV8mN8gQOVUmzOgX87GJxp3srNbOiPvKcPCyxajzEIn1BNd9UuKTNSmAUxJdntuatbl0wE
 4PwYomJMnn3SqvdWUC9XsqQdspBrBvERS39CcSD6qbYtWbiYKWugDQgIh6UXu7on8D9CSloe8aPM
 ETbQWXIMedPXQwghvKyxD6pt6HjluROVLujafdF6builQwcjFoAHd7+2ZLQJCLnI1Nr9Igtf3p5z
 obRnf0ggT18aWZIr98a18uwwI8FYOumT5VD8UyNCCZa6YYU+haCe6gJdyd5TNyMfewq4WOvzCT8H
 qrjUYmidjFk7UH5ZrRhCcITUk4DsbJFNn4B0T9nbnevb0g+1GJuJmPNCuRbDL9uwenLhceAP/eG+
 dX2MNP5ViNw72ssdpbZ18bOUrgKPXCZz3c7c97VAgESh1LH3BdAU8KdM4TcTWefRpIwrFAfV6r/x
 K+BnG1ByAiuoW4DuU7Afa/YUlth15dvLhOXtg3+thfVe04IZg/HnWSK4fWYHKx3a6/v59DxBcHRm
 uCVKVKROuNdzVrMxn65awPOLau22nOjxb7xcMTwPLbuDJM70GYE2Wc5FRPDkKM0rfQ1RiSAihPl0
 1kfJkUu+BOZmCaML1LoBpqRW6OnRaVRCC+F3jcjRQXV4aCWQ2PR9yNPHGrccKaGoWXcGdKy7+uRt
 aiUnhQ6NgBkNHFnx7J99bMXU1UZLyPn1eicWM5m/FXT4IwsLou0eLF+EJofUjXtYB+HlxrkMo9//
 WUoXbovmE6
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 31/39] gnu: Add rust-object-0.28.
Date: Wed, 12 Jan 2022 23:27:51 +0800
X-OQ-MSGID: <bcae007f57496dff7a9789a55dd8d9b27ad983b5.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-object-0.28): New
 variable.
 (rust-object-0.24): Inherit from above. --- gnu/packages/crates-io.scm |
 49 ++++++++++++++++++++++++++++++++++---- 1 file changed, 45 ins [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.85 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-object-0.28): New variable.
    (rust-object-0.24): Inherit from above. --- gnu/packages/crates-io.scm |
   49 ++++++++++++++++++++++++++++++++++---- 1 file changed, 45 ins [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.85 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-object-0.28): New variable.
(rust-object-0.24): Inherit from above.
---
 gnu/packages/crates-io.scm | 49 ++++++++++++++++++++++++++++++++++----
 1 file changed, 45 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9dce8a07e4..8e4c6e6f47 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -35255,10 +35255,10 @@ (define-public rust-objc-test-utils-0.0
      "This package provides utilities for testing Objective-C interop.")
     (license license:expat)))
 
-(define-public rust-object-0.24
+(define-public rust-object-0.28
   (package
     (name "rust-object")
-    (version "0.24.0")
+    (version "0.28.2")
     (source
      (origin
        (method url-fetch)
@@ -35267,7 +35267,7 @@ (define-public rust-object-0.24
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "0w21hp41mixzaavsdpjylbylh44z2b5d2wbnf5ipkvkjq38ksnqs"))))
+         "1wgv6gx69rpn4jjqs24kvafwsic1q06iaafs5mb9hy34hp7c3x89"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -35276,14 +35276,24 @@ (define-public rust-object-0.24
          ,rust-compiler-builtins-0.1)
         ("rust-crc32fast" ,rust-crc32fast-1)
         ("rust-flate2" ,rust-flate2-1)
+        ("rust-hashbrown" ,rust-hashbrown-0.11)
         ("rust-indexmap" ,rust-indexmap-1)
+        ("rust-memchr" ,rust-memchr-2)
         ("rust-rustc-std-workspace-alloc"
          ,rust-rustc-std-workspace-alloc-1)
         ("rust-rustc-std-workspace-core"
          ,rust-rustc-std-workspace-core-1)
         ("rust-wasmparser" ,rust-wasmparser-0.57))
        #:cargo-development-inputs
-       (("rust-memmap" ,rust-memmap-0.7))))
+       (("rust-memmap" ,rust-memmap-0.7))
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'fix-version-requirements
+           (lambda _
+             (substitute* "Cargo.toml"
+               (("1.6.\\*")
+                ,(package-version rust-indexmap-1)))
+             #t)))))
     (home-page "https://github.com/gimli-rs/object")
     (synopsis "Unified interface for reading and writing object file formats")
     (description
@@ -35291,6 +35301,37 @@ (define-public rust-object-0.24
 file formats.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-object-0.24
+  (package
+    (inherit rust-object-0.28)
+    (name "rust-object")
+    (version "0.24.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "object" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0w21hp41mixzaavsdpjylbylh44z2b5d2wbnf5ipkvkjq38ksnqs"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-compiler-builtins"
+         ,rust-compiler-builtins-0.1)
+        ("rust-crc32fast" ,rust-crc32fast-1)
+        ("rust-flate2" ,rust-flate2-1)
+        ("rust-indexmap" ,rust-indexmap-1)
+        ("rust-rustc-std-workspace-alloc"
+         ,rust-rustc-std-workspace-alloc-1)
+        ("rust-rustc-std-workspace-core"
+         ,rust-rustc-std-workspace-core-1)
+        ("rust-wasmparser" ,rust-wasmparser-0.57))
+       #:cargo-development-inputs
+       (("rust-memmap" ,rust-memmap-0.7))))))
+
 (define-public rust-object-0.23
   (package
     (inherit rust-object-0.24)
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:47 2022
Received: from localhost ([127.0.0.1]:58652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYN-0002Fp-20
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:47 -0500
Received: from out203-205-251-85.mail.qq.com ([203.205.251.85]:39710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fY1-0002Am-0K
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001298; bh=GKxKP0gmimzbyaxQOCDqcCaDU/rQSTYKaTt1kyoG1d8=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=WWbGAdl4eGBd/MKO+hLZhrAL3yTfJVSgHv+toGornrVl1uiGiwSZrAUY5ZmymQI4g
 vN2EmBKCS6FItu79vZ8j8yXDkyPmJQwegSxYoJs8OVml4nU8Ug19mCGhp0nN5BDU0l
 pReKXdsxNSv5aSPoyCw0TWOFvrHLMp2AYDHGNcu4=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001297t6db83a9s
Message-ID: <tencent_D0DBB5379B13A90059497FE83A06E5BD2508@HIDDEN>
X-QQ-XMAILINFO: M7r/zttrUmlkllRhYXIOI0R5optOvPjD+MhufMFnIS0ZPxUk8ywWamrX+VOytL
 GjEhhbYQZEahH8GzArm2Yo8cH3Ne2Q3MjLyCS+Zvuq1NbtSIYKiA1yeYse/+dZ10ZoS1zm4PKDuJ
 JtFsDlHTj4+v1akyDkgiUjmVAGQ/j/d66sx/NPD4gc8EneeuVa4YGVBJXiP/yw9ilsRnLiKOljTf
 FqDcQ6p3bSKMZiPLoaN0TE1GGygz++l5GjK968OAjdpI3t12D286D/4F5LzCpJToXBF6nwtkt5sL
 sR4/ctASNF/a472JzQVKLi+5Bo3ZCJFcjl/Mk6GFfMYCVx/mm9xe+rK6vqjGZn4Sk+EqlCcwoOPb
 3HJFjBhLYH466jx13Qv8xO/RzJRQwrImjVRPUh85uFKKsQPBBo4S/6LlRiG/UA7qtyIi5OSo57jL
 msN/n34t1fm/qICurWOHWmXO6R96oS0ZVrIWLN64mF7viaADq+OpvSF/4wdKGe/Hfq64Xc3HNkPn
 hiSoSlCBudyscShWBXCfMM7IPG4Dm06bMDrooYHXAsUyuVAG2gGCeRW4tCCUYXXpABD7SPEibfiu
 0ozp3R9EvGZu1pavAF4c/xz8giBNCXyfvspB8DPy+9G5LwOywEdTxdNjVwayDBoK7Klp/Y/wFBTw
 knWyrQocz7GJstH87s4h3lTagEEMVSaufveqff5NEFVP0Nw1EqqHlkRyUj6RC8HKz7MTjao8JCJo
 fCPFWjOsYZtgdNT4GkwyrC6DyNZQtmuO7NVRyAygYMTKneR4/IIaZ2YQViRty0PkYyezPd+SMnUd
 hlC3q/rqtX56pXZBjgk6GtaT459knaaV9b25yqUR9IyGkTvAmcST33K5znt7MnctzE2sIxkTAtMQ
 ==
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 32/39] gnu: Add rust-lsp-types-0.91.
Date: Wed, 12 Jan 2022 23:27:52 +0800
X-OQ-MSGID: <6e22f693de4b611156bf282f04a33c3bf295241f.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-lsp-types-0.91): New
 variable.
 (rust-lsp-types-0.89): Inherit from above. --- gnu/packages/crates-io.scm
 | 58 +++++++++++++++++++++++++++ 1 file changed, [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.85 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-lsp-types-0.91): New variable.
    (rust-lsp-types-0.89): Inherit from above. --- gnu/packages/crates-io.scm
    | 58 +++++++++++++++++++++++++++ 1 file changed, [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.85 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-lsp-types-0.91): New variable.
(rust-lsp-types-0.89): Inherit from above.
---
 gnu/packages/crates-io.scm | 58 +++++++++++++++++++++++++++-----------
 1 file changed, 41 insertions(+), 17 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 8e4c6e6f47..a9b6405f45 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -29433,28 +29433,28 @@ (define-public rust-lscolors-0.6
         (base32
          "0jxsgkn378kxkiqdshdjdclw5wwp2xaz45cqd3yw85fhn8a38fza"))))))
 
-(define-public rust-lsp-types-0.89
+(define-public rust-lsp-types-0.91
   (package
     (name "rust-lsp-types")
-    (version "0.89.2")
+    (version "0.91.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lsp-types" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "18h9dckjy11pz2lpd5lm12vvfcds1qg67clqalr35k2jzpnhsbl5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lsp-types" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1bk8iy7s80i2iqj1siyfm0rsdq2vwvz7lclsrcrx2pa2b4n32s13"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-bitflags" ,rust-bitflags-1)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-serde-json" ,rust-serde-json-1)
-         ("rust-serde-repr" ,rust-serde-repr-0.1)
-         ("rust-url" ,rust-url-2))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-serde-repr" ,rust-serde-repr-0.1)
+        ("rust-url" ,rust-url-2))))
     (home-page "https://github.com/gluon-lang/lsp-types")
     (synopsis "Types for interaction with a language server")
     (description
@@ -29462,6 +29462,30 @@ (define-public rust-lsp-types-0.89
 server (LSP).")
     (license license:expat)))
 
+(define-public rust-lsp-types-0.89
+  (package
+    (inherit rust-lsp-types-0.91)
+    (name "rust-lsp-types")
+    (version "0.89.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lsp-types" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18h9dckjy11pz2lpd5lm12vvfcds1qg67clqalr35k2jzpnhsbl5"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-serde-repr" ,rust-serde-repr-0.1)
+        ("rust-url" ,rust-url-2))))))
+
 (define-public rust-lsp-types-0.83
   (package
     (inherit rust-lsp-types-0.89)
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:47 2022
Received: from localhost ([127.0.0.1]:58650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYM-0002Fh-OW
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:47 -0500
Received: from out203-205-251-85.mail.qq.com ([203.205.251.85]:48483)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXz-0002AF-SC
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001297; bh=q46jrf4XFyI3LmZQnKzdndXewnDK3lxQkrVLRu/L5jk=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=kKv400XAaBoY2IRy/X1bQ25yAx7nNSy3lFOwfESuZ8p8szMcT85sUdKTtUO6Sefx0
 Nqlt339hxybaqB6Mp9u0oyzw6fwHX7MmPSAUzthU/Kf4E2DFNEmutw/RyfA0xdOGH8
 usbjiDG5n2tms3Z/gy6msL56Pf78VltqPy30hg/A=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001296tj93ialef
Message-ID: <tencent_26BAD490ACAA3F731D89728D92865AF9CD07@HIDDEN>
X-QQ-XMAILINFO: MOlRQ9LII+xlETVT4OW4pd8ypbCzKrRGow+fn0VvfFwzdkOQvoychfrQ3x73/s
 C8ROa1eU9x9PuPsbRaQ0XJ7HjlNX3cWT4Y7UfEh1xprZpRMgbWXrNtPIEkGPW3LUZ4Yk79vme5Rg
 2LkBrdWnTd9Fr35ss1MLiLgmLYxLHNzCG+rwohmduQzkykctmQIdflNNVEn231J5Sdfp7/qf9xIo
 AIZ29Ts2WoZJHH0GVQ/UA71q6kk1rkq0SVf4jzTe0Zy5u/JhsG0baX2XUv+7W/drWk1uPeqRqqn3
 bJ4oP+vYrF7jVzLyiRrG4EQH4UE8ykkWa5VXG/felRkbrHedqNZhmEpmwj+I5eer+wk3mLws1OuK
 NVqwJS6GnA8IgE+Zpp5c3BVS25Aw4FqpkuSqrtf1CpKUMlsL3Q44yibLcwo4qS/0qgDSLaqih9Sw
 NQsadDYVegYN4bGHyofTRr+AGTq2p1zBG3Jg3TPtb2fxl/dD2d+56DMNwDH+//eV1lzEEh7b+HEz
 dOBxYixYThJlhN+5XAtD57ORX6hhDHuA0I6tbRs0g1AaTv8Qdw4LO2IUp0OG/+GeuTDGL92TNR3z
 rP7oqLYcilFRUTuXON2gHRP0mUZopkUwK7y88Y+P9OsU/CFAYsBmksd5tK00u6Xxm1ufPX2VRWCb
 cUu8pDAN7pGupy/hU4TdLlpRkbpUu+oDP3oqVwNtyzhYGwPSKF/athIX6ppEFLoWiOH57R3Leo9F
 5GutfVyypVObRrs/khJEVvXOrP14HqABkoubkGb+i22c5iYe36j6yBuuNVNRiML+1u1qdz4IPjUY
 MNiEFXAso/+CGKwZ8btZ/m5N1VsZ7Bo22InXSAjxTYTAzo5CMEUaG6PO257prLl41CX2bwSiAa3q
 cO2AhsD02LdYoIFTuKpT8=
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 30/39] gnu: rust-memchr-2: Update to 2.4.1.
Date: Wed, 12 Jan 2022 23:27:50 +0800
X-OQ-MSGID: <7bdeb6b877df815f25782876d65346448ff53981.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-memchr-2): Update to
 2.4.1.
 --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed, 2 insertions(+),
 2 deletions(-) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index d459229a8d..9dce8a07e4 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -30457,7 +30457,7 @@ (defi [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.85 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-memchr-2): Update to 2.4.1.
    --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed, 2 insertions(+),
   2 deletions(-) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index d459229a8d..9dce8a07e4 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -30457,7 +30457,7 @@ (defi [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.85 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-memchr-2): Update to 2.4.1.
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d459229a8d..9dce8a07e4 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -30457,7 +30457,7 @@ (define-public rust-measureme-0.7
 (define-public rust-memchr-2
   (package
     (name "rust-memchr")
-    (version "2.4.0")
+    (version "2.4.1")
     (source
       (origin
         (method url-fetch)
@@ -30466,7 +30466,7 @@ (define-public rust-memchr-2
          (string-append name "-" version ".tar.gz"))
         (sha256
          (base32
-          "1p478fqf4nia2ma0kv4npb8x1hli0zz6k16517ikb51jkryx8sxi"))))
+          "0smq8xzd40njqpfzv5mghigj91fzlfrfg842iz8x0wqvw2dw731h"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:46 2022
Received: from localhost ([127.0.0.1]:58648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYM-0002Fa-BZ
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:46 -0500
Received: from out203-205-251-88.mail.qq.com ([203.205.251.88]:60618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXz-0002A0-9R
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001297; bh=0SsfBOv9MPtZ91mX4+PMQVSIrEU/QXBmdCpvaft6bpI=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=BPx0gYOp/9mv8bR/lragYUwBsSPtO+T/MoJXixe4C1Xitd8YvsCycRsuUlR7yfTgH
 tqTqAi7X9BK3gWZmp3CV0dnpLo5SXv6Mo8JOVhjwWN19/JrfsyZfrpLDqn/3sZ+0BU
 8ykoSbe+CfGLEslD0jZS67P5u5lk6sLAlNOKAC7M=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001296txeaeq1gi
Message-ID: <tencent_5CEA5895B39758D4266CBAA416640DFF550A@HIDDEN>
X-QQ-XMAILINFO: OEgqWFSKtqEBam0EdqdGPdbPaYXFxjDcl6u/jiFYklBuHlOhNNwE6ZQnb7Doug
 vkKJWqHabFaPrLOcujGRvoYmw6/XR2LOHc6h8+eB1pA7wECKY0VKgfw6qRy7o4DQv/o0bKXRyCj3
 hHHorkWnPzJeQzEUdNEOkSe5WTJvyxK2yMkbozFVX7Xxx/hMdOdER3uY4W3SBOFXvn3uGwpmlS4E
 eOQ+H9KjhRpq7IjVq77Pa/5BjdD0qqEw30RcUGZ9lWj5/LnyWi9jCaNeLw2wrNX6cSyIiCUqFru2
 gHaTlZkeHR63I2/eHLiIj2VhNOJzC+88zivNKavlOedLHl/qemwIXryaW03naES84MYkGFwr3+ah
 VZnf346fvxbC0xIy1rSF6mnDCtBf2DjjGxsx65OL0x+LDavhIMjOJ2w/kWiKChS5dJdUXnWFvfAn
 /yzW8EZWqN5SNsxhm9MxlkaUwkaETukNo3CCo0fOQPB+0qC6eRpJqdjJfEyRXtIwl1af7wJyKXFf
 aAqlFYycbe3H7Crp6DGPIJFBNr9CsVH0gbZS/HNBaZQX1SYIAcW1vVJ8LaH6Ls0XtLxZAs/ghMyg
 3dfMOsyWv/SM7Q7WU2tTn12GsrNTD1HMq7h67B8ndAkOYvaKCmBG1ZOIchId6EU01zevu+BHjDqV
 RLJbwgpYpXrEV24YzZIxko+Al/O3Af5RHnX1tWS4Q/DkJ3cp854GH4pxAE9ALJrIjaKz587bS75C
 sdQlOgWsbcTIwVK3R5wBkC89z2hhbUWElbcgmD9eCP389+9ig68WQCEebhCZUYX+R+cVpx93wxEn
 DyT2nxjBj6Bww6ykbyqSqdxzbdicAXJYOesRjBuFo5glyYtW2RGdELSWh+/CVEavM=
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 29/39] gnu: Add rust-pulldown-cmark-to-cmark-7.
Date: Wed, 12 Jan 2022 23:27:49 +0800
X-OQ-MSGID: <23463746ed71bb1b4b8d8bfdcc6cb7bf1886fdbb.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm
 (rust-pulldown-cmark-to-cmark-7):
 New variable. (rust-pulldown-cmark-to-cmark-6): Inherit from above. ---
 gnu/packages/crates-io.scm
 | 64 ++++++++++++++++++++++++++------- [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.88 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-pulldown-cmark-to-cmark-7):
    New variable. (rust-pulldown-cmark-to-cmark-6): Inherit from above. --- gnu/packages/crates-io.scm
    | 64 ++++++++++++++++++++++++++------- [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.88 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-pulldown-cmark-to-cmark-7): New variable.
(rust-pulldown-cmark-to-cmark-6): Inherit from above.
---
 gnu/packages/crates-io.scm | 64 ++++++++++++++++++++++++++------------
 1 file changed, 44 insertions(+), 20 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2a2ef6bc72..d459229a8d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -41249,37 +41249,61 @@ (define-public rust-pulldown-cmark-0.0.8
        (("rust-bitflags" ,rust-bitflags-0.5)
         ("rust-getopts" ,rust-getopts-0.2))))))
 
-(define-public rust-pulldown-cmark-to-cmark-6
+(define-public rust-pulldown-cmark-to-cmark-7
   (package
     (name "rust-pulldown-cmark-to-cmark")
-    (version "6.0.0")
+    (version "7.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pulldown-cmark-to-cmark" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "08yyjr60jk8f4v4sqcgmna5n9y31l6lx3z9lak38wd82h63vkwp8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pulldown-cmark-to-cmark" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03f6bnqjzchmzs4qaf63pirgj95b0x3l2rlp1wj1z27mp734phcb"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8))
-        #:cargo-development-inputs
-        (("rust-indoc" ,rust-indoc-1)
-         ("rust-pretty-assertions"
-          ,rust-pretty-assertions-0.6))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8))
+       #:cargo-development-inputs
+       (("rust-indoc" ,rust-indoc-1)
+        ("rust-pretty-assertions"
+         ,rust-pretty-assertions-0.7))))
     (home-page
-      "https://github.com/Byron/pulldown-cmark-to-cmark")
+     "https://github.com/Byron/pulldown-cmark-to-cmark")
     (synopsis
-      "Convert pulldown-cmark Events back to the string they were parsed from")
+     "Convert pulldown-cmark Events back to the string they were parsed from")
     (description
-      "This package provides a convert pulldown-cmark Events back to the string
+     "This package provides a convert pulldown-cmark Events back to the string
 they were parsed from")
     (license license:asl2.0)))
 
+(define-public rust-pulldown-cmark-to-cmark-6
+  (package
+    (inherit rust-pulldown-cmark-to-cmark-7)
+    (name "rust-pulldown-cmark-to-cmark")
+    (version "6.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pulldown-cmark-to-cmark" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "08yyjr60jk8f4v4sqcgmna5n9y31l6lx3z9lak38wd82h63vkwp8"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8))
+       #:cargo-development-inputs
+       (("rust-indoc" ,rust-indoc-1)
+        ("rust-pretty-assertions"
+         ,rust-pretty-assertions-0.6))))))
+
 (define-public rust-pulse-0.5
   (package
     (name "rust-pulse")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:46 2022
Received: from localhost ([127.0.0.1]:58646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYL-0002FT-Um
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:46 -0500
Received: from out162-62-63-194.mail.qq.com ([162.62.63.194]:42105)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXz-00029o-4c
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001296; bh=M1JXW/dVsF7jM55w9ra5W7NrBflqMtReLpjaYeyvx/U=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=yBs6F3wU3DJVB66X3e7vG7XpkBTa5j9epBfGyGBnH+jibF7hbq9R/60+fhthwiLqm
 dcPkzBc9WHeEAYsmYOGJHBgu64tQj+RFQz4kZwD4K2CF0Jxwq5BA43pS+xvQKZAdlM
 iXaSPr2oCbmiv8wOqKNP3Tz47EUZxpHPNmRtjgJo=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001295tg9qum524
Message-ID: <tencent_71C26A9F36715357B22EFEC67538CBDB4A09@HIDDEN>
X-QQ-XMAILINFO: NDRjUSQj2Mff594xASq/U68MtyJOTUVygz1cthTiwo76PVjhyB9NCh5eskjLhX
 /QISVWU+IlI05HlZcTE6xfWtDYpaJAu5h0emZfFYGUMqKPEWbR0P30aZDF5Roehlc9OAnyCraHNT
 52ea597mYezQ+yyTD0Sgkb8gVe0gjcS5ob8iP88XIwgDL/4btUQI65t5L9n0GWcma/89JeL+3Jbe
 fM7AzO45eAUJIAHvIAV3EK87wafH+MFTRbLBkAP7nk1srgjtR+sROSCt16EP7RAGjz9u0hZZHWhd
 YKcnwrgYyE7OEjS0cO160IAWyaCYpMRTfa7MWG0jfXvpAqG4yOgwRY93x8mgGWE+mUf9Aefe/I4g
 vmV8nwJkY+qOFtZd2Ks75kaRtTb87e5g+uj0a6BNBtL7dkxoZZgXyMAMtAtcwZlB5TsVfnnB16KQ
 EnAy7ofwH2RCVXMkQ8bkcNGZBnDKV+iTOAybMT5cyNsfwXSHQ9kRgCbOOgFuLsFXiO707Y+HtbBG
 3wLFoWNBoO/vy5DHxl6jPnVm+C5TVIzCzUoPEhx0w2PbegxB0qhu7bsreRPDJXkeBeBVsiQskRmr
 Gu017x9BCyqjzfa9XxClmqeDsC7Sj8TFRlZz/yBz1Hewfr1MSVwf0GBvadIVW9Y0EsR8QP1HyM6M
 ucdCPUzJsvKeeRGEicIpoulFfXhHU/5ePlGqqTRSpOj6vC2bX3qypPXfpR4AtMB032tu5uWrwID0
 oG60VMIlCyu+gYUknthK4fPtMyJ6L5bgxodCIZLPlhrjU0NNyC/y5mdIKcO3YWzlxe5DMcKd5rBX
 MKgUzghfQnA+MUeIpgBQNXnm49MzBAZioN1pEkpIyyGIOj/8c/jCU5b+Ce3md+UM8iCAYAhgKQFX
 z53kkh3uiq
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 28/39] gnu: Add rust-chalk-recursive-0.75.
Date: Wed, 12 Jan 2022 23:27:48 +0800
X-OQ-MSGID: <3ef5600f4ca0c964e776073ec7f85e163d3f8622.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/crates-io.scm (rust-chalk-recursive-0.75):
 New variable. (rust-chalk-recursive-0.68): Inherit from above. ---
 gnu/packages/crates-io.scm
 | 36 ++++++++++++++++++++++++++++++------ 1 file [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.63.194 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-chalk-recursive-0.75):
   New variable. (rust-chalk-recursive-0.68): Inherit from above. --- gnu/packages/crates-io.scm
    | 36 ++++++++++++++++++++++++++++++------ 1 file [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.63.194 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-chalk-recursive-0.75): New variable.
(rust-chalk-recursive-0.68): Inherit from above.
---
 gnu/packages/crates-io.scm | 36 ++++++++++++++++++++++++++++++------
 1 file changed, 30 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 68d5676ff9..2a2ef6bc72 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -9260,10 +9260,10 @@ (define-public rust-chalk-ir-0.68
         ("rust-chalk-derive" ,rust-chalk-derive-0.68)
         ("rust-lazy-static" ,rust-lazy-static-1))))))
 
-(define-public rust-chalk-recursive-0.68
+(define-public rust-chalk-recursive-0.75
   (package
     (name "rust-chalk-recursive")
-    (version "0.68.0")
+    (version "0.75.0")
     (source
      (origin
        (method url-fetch)
@@ -9272,14 +9272,14 @@ (define-public rust-chalk-recursive-0.68
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "11ak4zl5lgyh88scjm91fc9wjcyxb4s1kkcanhhi0ci755nl1pz0"))))
+         "11bnn0yn9np4mar4nryys6w1ijizj3y9dcz3xbldxzx6fplmk7y3"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
-       (("rust-chalk-derive" ,rust-chalk-derive-0.68)
-        ("rust-chalk-ir" ,rust-chalk-ir-0.68)
-        ("rust-chalk-solve" ,rust-chalk-solve-0.68)
+       (("rust-chalk-derive" ,rust-chalk-derive-0.75)
+        ("rust-chalk-ir" ,rust-chalk-ir-0.75)
+        ("rust-chalk-solve" ,rust-chalk-solve-0.75)
         ("rust-rustc-hash" ,rust-rustc-hash-1)
         ("rust-tracing" ,rust-tracing-0.1))))
     (home-page "https://github.com/rust-lang/chalk")
@@ -9289,6 +9289,30 @@ (define-public rust-chalk-recursive-0.68
      "Recursive solver for the Chalk project")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-chalk-recursive-0.68
+  (package
+    (inherit rust-chalk-recursive-0.75)
+    (name "rust-chalk-recursive")
+    (version "0.68.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "chalk-recursive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "11ak4zl5lgyh88scjm91fc9wjcyxb4s1kkcanhhi0ci755nl1pz0"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-chalk-derive" ,rust-chalk-derive-0.68)
+        ("rust-chalk-ir" ,rust-chalk-ir-0.68)
+        ("rust-chalk-solve" ,rust-chalk-solve-0.68)
+        ("rust-rustc-hash" ,rust-rustc-hash-1)
+        ("rust-tracing" ,rust-tracing-0.1))))))
+
 (define-public rust-chalk-solve-0.75
   (package
     (name "rust-chalk-solve")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:45 2022
Received: from localhost ([127.0.0.1]:58644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYL-0002FK-IT
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:45 -0500
Received: from out203-205-251-85.mail.qq.com ([203.205.251.85]:45776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXy-00029e-6M
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001295; bh=K8P5TQIbjnZVu1ad4XJRGLS1nZnvKywkqUm03ALULcE=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=QTfpS9UgGlticx/KSBEvR15JOnmgTj3ptcA4xZKO4YSHakYh14O43DuJpuFc67uLY
 2CenqwIGG70xloVEsa0uquVK8eRBXhfEcFkhLgk3Ccvl+Hba1/CLdtMT1Q71HbEbuL
 dHyIcwQOu4eitj9Pg9BpK4K739DapYvuZK8aMM6g=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001294t29qj9si2
Message-ID: <tencent_5B99EB34952F9574D5BE6C3AA5966729FC0A@HIDDEN>
X-QQ-XMAILINFO: NCAt/Y3WD2TRbFoDtf32yHEF+TLrgsBU07h3U32o46M6MPdUygjkfYCa/nHKvb
 2Xhn4nhm6rSY+r/tUYOHGdHLsuVClYqPh8U7OvccAkfcxKaJICcsZT/sjoRz7AMNrPH05olh5Twp
 bDBF76LAEdwtihohiIwdsWJv1L05NlEIUXeM3/zhT2mGWyGxqZn1lD4prTr66XfOySbTD/xVc2Fz
 zHAmAis3sgvw2lkNBz8SgrB+h6Z9fmoVftZlf6IdKvfE/ffgeU41BhIKy96yvB1op8THWCMAU3ev
 zsnHRVWp8l9q3FOLyBRn4QIaOPfeutSklyhtYckV6sNyYl2pvjtjs9vt+WkYsqlGmf34wlshQyKC
 dd4rngU6PyEPqs6B/Y8yGf/9FKH5QlaOf0RZ8OlL4AcGaJorh2S7x45WREnvVxI2lSVk+JxMLPR4
 jvBgNnSEpG2gHN9dAsP3FDQqcM9PXc4sS1WBbhN76WvACEwbxW9BVq9hxCHqwKvQMzhPBC3e4Y4X
 yGrCpNW8BKjJPAJZqjXg8SegnPjl3PUGY+mnw8JPWQXhVchy3Tq28w6KuuipXDxxBVcI6uPwR56g
 EMfq274pAlW07HvftAzag1j9juwdYlXTbY4tTwaUveF6JPWHbeeJdoOnqhGwUSpJn8eNL80kK4/v
 v+/FjNDRF3oqnNAq4Fid/KbVZzDxNWgC0kg2cFRWFEClkiUzbmEnMNSyLObYpSnGuL4yrxY92xPo
 UfXnrGDObCxyDDU3G/v8QD8bSH2SbqFXrQ5butE55hpMGa81Xe0gbucNptMCIKJZOXhIKLW9LEZQ
 5/7UQ4CKeRcRmD5gJHIScmopGOdA9/leVTc5P4Jkp7Ky95TrPs09yXrZRZik1VZq39qgU69wCO9g
 ==
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 27/39] gnu: Add rust-chalk-solve-0.75.
Date: Wed, 12 Jan 2022 23:27:47 +0800
X-OQ-MSGID: <b01bd323e863b2f502566a25a98a3f99c204609f.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/crates-io.scm (rust-chalk-solve-0.75): New
 variable. (rust-chalk-solve-0.68): Inherit from above. ---
 gnu/packages/crates-io.scm
 | 43 +++++++++++++++++++++++++++++++------- 1 file chang [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.85 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-chalk-solve-0.75): New
   variable. (rust-chalk-solve-0.68): Inherit from above. --- gnu/packages/crates-io.scm
    | 43 +++++++++++++++++++++++++++++++------- 1 file chang [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.85 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-chalk-solve-0.75): New variable.
(rust-chalk-solve-0.68): Inherit from above.
---
 gnu/packages/crates-io.scm | 43 +++++++++++++++++++++++++++++++-------
 1 file changed, 36 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index bcd841d290..68d5676ff9 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -9289,10 +9289,10 @@ (define-public rust-chalk-recursive-0.68
      "Recursive solver for the Chalk project")
     (license (list license:asl2.0 license:expat))))
 
-(define-public rust-chalk-solve-0.68
+(define-public rust-chalk-solve-0.75
   (package
     (name "rust-chalk-solve")
-    (version "0.68.0")
+    (version "0.75.0")
     (source
      (origin
        (method url-fetch)
@@ -9301,21 +9301,21 @@ (define-public rust-chalk-solve-0.68
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "0dvf1rm1z7miwlsmynxfys0189r6mjq863p1wp4v3f2sm9fwvgqc"))))
+         "07gaf59zr7pgpr01l3si7a8iici2qh5dh2w2b05agaq5cvds3lm5"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
-       (("rust-chalk-derive" ,rust-chalk-derive-0.68)
-        ("rust-chalk-ir" ,rust-chalk-ir-0.68)
+       (("rust-chalk-derive" ,rust-chalk-derive-0.75)
+        ("rust-chalk-ir" ,rust-chalk-ir-0.75)
         ("rust-ena" ,rust-ena-0.14)
         ("rust-itertools" ,rust-itertools-0.10)
         ("rust-petgraph" ,rust-petgraph-0.5)
         ("rust-rustc-hash" ,rust-rustc-hash-1)
         ("rust-tracing" ,rust-tracing-0.1)
         ("rust-tracing-subscriber"
-         ,rust-tracing-subscriber-0.2)
-        ("rust-tracing-tree" ,rust-tracing-tree-0.1))))
+         ,rust-tracing-subscriber-0.3)
+        ("rust-tracing-tree" ,rust-tracing-tree-0.2))))
     (home-page "https://github.com/rust-lang/chalk")
     (synopsis
      "Combines the chalk-engine with chalk-ir")
@@ -9323,6 +9323,35 @@ (define-public rust-chalk-solve-0.68
      "This package provides a combines the chalk-engine with chalk-ir.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-chalk-solve-0.68
+  (package
+    (inherit rust-chalk-solve-0.75)
+    (name "rust-chalk-solve")
+    (version "0.68.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "chalk-solve" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0dvf1rm1z7miwlsmynxfys0189r6mjq863p1wp4v3f2sm9fwvgqc"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-chalk-derive" ,rust-chalk-derive-0.68)
+        ("rust-chalk-ir" ,rust-chalk-ir-0.68)
+        ("rust-ena" ,rust-ena-0.14)
+        ("rust-itertools" ,rust-itertools-0.10)
+        ("rust-petgraph" ,rust-petgraph-0.5)
+        ("rust-rustc-hash" ,rust-rustc-hash-1)
+        ("rust-tracing" ,rust-tracing-0.1)
+        ("rust-tracing-subscriber"
+         ,rust-tracing-subscriber-0.2)
+        ("rust-tracing-tree" ,rust-tracing-tree-0.1))))))
+
 (define-public rust-charset-0.1
   (package
     (name "rust-charset")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:45 2022
Received: from localhost ([127.0.0.1]:58642 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYL-0002FB-3E
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:45 -0500
Received: from out203-205-251-85.mail.qq.com ([203.205.251.85]:37359)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXx-00029L-IV
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001295; bh=XGVZndmdCUPB+A4oAHc8fSOIH5aQ2RLfGbW5wEoqCVU=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=TAvCerfSPvLNffvuMOR6Uqfph2OsKdRDsbtbF5SkkdDWbRf1SIWSci/vwkuhZqRCg
 m5msgIqyV3RZ1h8ZkrKOSGqMtYgQ8MqaMEnWsm7+mo0Jfd+vJH2GhPLzcCiKZyJmW7
 xv51pccwuctjgZU9Xov66+matc84/qRMSKbG+GlA=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001294tquhfebi0
Message-ID: <tencent_6B9FAE4E57F94A0979ADC2A659AA6996C406@HIDDEN>
X-QQ-XMAILINFO: NcdhUYIpzyYIvsAKgmgWU1KKNYao9zQgeSgGwhWirtMKNn6G1/A4HhxSt/3t2F
 3KAk4Kxk6T+5JTpQNDc7Bafu0aax6cdVpX1VgvUP8E1dLfOLEYX5KC9kGqDbbXghiQJ10ZJlqOmE
 ZPwigZb1N+iTgnVd5+M6+/byU+DPQ6v7bj9JlKk2lGZXasS1xRggGgVkYMlFx6HvpbQeGOhVDB7v
 OIg2eozbPa4Kg/hhZAiszG3B2sMeclFfQkQuCcB4uKt8gKuZfWqsXK/s6tNLr3zvqFq40TLY7Ksb
 4ia3PAh5UQpya6cTDRWU+r+YMmp5Jap8XVcmEt2dn246N2V4pfXG+TIZ31Gc2FgCtqdzIXHa8ghc
 epkQdMUGIKgy//ORkmfQm5LfG81MVLoU+srFnic3L7fQtp3R6xxhL43cl6SWN0Y4q9AnfoTy+VWa
 xyMRpt4+Atw+fjm1XKLLvvNyCQ+MOxOb+sJyMzIboz1U1Hk5VVPabbTNv0MhBIrtxvWbmx1U6wHU
 VjVTmaaeWiLg+Vx514Phnhk5R6imy3aa9nATZNCcCO/XpI1j5wM1ShOMAfu4wdxfHymSqiNNiQwQ
 VkyAgZ/wAf5pU1RPanmi/9WAIq3BlHebO6dbLgDArfCXREUwdW75Uqpblw9U+H8RcHSF99PcoaIP
 JHFZuEGTPkuOE/4Ty3OPymsWNsMfs+ZA07ZMsT235y6+g9yt+FuJRhjXMcIjB47AeYUkQaKaHAnR
 SopkIn6KQZkZWOQHTBelzQCSS4P+klZzQtVwgAJzTbDUTMWEXJFy+rQERia4r26JLIeDDihGgxSd
 /qoEcV9oAEsZlwdFUsz/BGUAAwaMo7pYqVFQLKc3SoiUCRXSYLB/grYIMdmXlCmfS2CnjoPKq4bD
 yUvAmDwcyz
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 26/39] gnu: Add rust-chalk-ir-0.75.
Date: Wed, 12 Jan 2022 23:27:46 +0800
X-OQ-MSGID: <d1947596312364860b904506df69e296e3e4f53d.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-chalk-ir-0.75): New
 variable.
 (rust-chalk-ir-0.68): Inherit from above. --- gnu/packages/crates-io.scm
 | 31 +++++++++++++++++++++++++++---- 1 file changed, 27 insert [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.85 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-chalk-ir-0.75): New variable.
    (rust-chalk-ir-0.68): Inherit from above. --- gnu/packages/crates-io.scm
   | 31 +++++++++++++++++++++++++++---- 1 file changed, 27 insert [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.85 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-chalk-ir-0.75): New variable.
(rust-chalk-ir-0.68): Inherit from above.
---
 gnu/packages/crates-io.scm | 31 +++++++++++++++++++++++++++----
 1 file changed, 27 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 771a891d93..bcd841d290 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -9209,10 +9209,11 @@ (define-public rust-chalk-derive-0.68
         ("rust-quote" ,rust-quote-1)
         ("rust-syn" ,rust-syn-1)
         ("rust-synstructure" ,rust-synstructure-0.12))))))
-(define-public rust-chalk-ir-0.68
+
+(define-public rust-chalk-ir-0.75
   (package
     (name "rust-chalk-ir")
-    (version "0.68.0")
+    (version "0.75.0")
     (source
      (origin
        (method url-fetch)
@@ -9221,13 +9222,13 @@ (define-public rust-chalk-ir-0.68
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "0riyv4fjmxys8gsyrikn9in34cjcgwgj55qyaj9w9fld8kqxbmqr"))))
+         "12iyziaw14qb0wz3pqx70qwqa9r0qsi5d4y6j0g32yabs2hyay9b"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
        (("rust-bitflags" ,rust-bitflags-1)
-        ("rust-chalk-derive" ,rust-chalk-derive-0.68)
+        ("rust-chalk-derive" ,rust-chalk-derive-0.75)
         ("rust-lazy-static" ,rust-lazy-static-1))))
     (home-page "https://github.com/rust-lang/chalk")
     (synopsis
@@ -9237,6 +9238,28 @@ (define-public rust-chalk-ir-0.68
 clauses.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-chalk-ir-0.68
+  (package
+    (inherit rust-chalk-ir-0.75)
+    (name "rust-chalk-ir")
+    (version "0.68.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "chalk-ir" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0riyv4fjmxys8gsyrikn9in34cjcgwgj55qyaj9w9fld8kqxbmqr"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-1)
+        ("rust-chalk-derive" ,rust-chalk-derive-0.68)
+        ("rust-lazy-static" ,rust-lazy-static-1))))))
+
 (define-public rust-chalk-recursive-0.68
   (package
     (name "rust-chalk-recursive")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:45 2022
Received: from localhost ([127.0.0.1]:58640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYK-0002F4-P1
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:45 -0500
Received: from out162-62-63-194.mail.qq.com ([162.62.63.194]:55087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXx-00029I-CG
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001294; bh=PyicXcCIIg4g2NoeItOmwDmWa8HFv78rksTk+Y98bcM=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=i5wW3lyfrRxBOaH3gBzIiS/X5MqmsJ0qZxJPqyZJpAAYQ4UnVh3d47F1X1Ce5k+PO
 ZGs1Ly/NK7fpZWzaMRqkiJ47s2md3Obqz3H+Q8rkhGUFaCApgSr2tzuEJ1ZHkF3Jvr
 CWGLN/LaTLLud6yUFkK0rBOvWNX91ZPIPA1ZcTCI=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001293t3hs7qm68
Message-ID: <tencent_7EE515255EB5C69B50A97859E77FB43ADB08@HIDDEN>
X-QQ-XMAILINFO: Nvas3ZbWNmzsox42y3uvXvZOQ/N+hM+B8VBTIf5nB/HD5MQUV2UWdnKxP2TdG8
 +RKCpMQTf9peDZoDlafzL62lpjn4sO1B72fgcQ4+9cKcyK2WySjqKuUk5fxGtkdWgKqkQzavwHic
 XnenkN/hYr1HW1Hd48qdVutmbBY/dugaI/Fxkbe12ep+sndUQ/k4Ki3Z/TH4j2krDSH2orDy6Ewk
 54RV/5cjdQeJTvpNE6A8GtFtzuUZ7ZKZ3T0bCC60t1TyDKQlPu/x+WzlaEClY0NzxTFgYHZP/cOt
 lRlnrPYihjZUaJsqS4wGjTdKcuHuunYg1WU4zTpn+7GZy4+hn2bkOAdCXnHCUdyxw2maOURAItNH
 UTLFXFBcVSoZXYeNQK+IVFnelHEkkWRex6HneafP52hhE13qYOxUpTXvewrLZhzxCXMxghcmCq/u
 IDv+eaVT7wAuYigqXzBYze+zhICrBJMr3LD7ptPbNPhivHfSzkLee5uba3GamhAqZCiawVu6/hLc
 l4s4GJkH6d+E8V75ztD9R2OoesVDVj6cYPZu+nv/XWmEQ78mHn02tcdH+ul5dM4u/dFPxT0mokDp
 dVSadAvsliTDCXhpt17YCmzXNomlmqo7/Xb7DrJDo5IyykgyaRHS459oRN0t4ycgNYTAEUpdeh8o
 lYGC9mWSDXVp0KlZ1TMIOX3hZKfvgltTGKM1PAcAIIUJUFcumJvAwDRPRWhtoe45IqHf2+8o24HH
 tJzTwFQ/kfJoHjiUl+o3URFw3qZtbvYIwlFw1tyl1g3qaJErKThBiKgkjwX9eiBZF54nKG764Kwj
 XtAzsyz2I2x6CSAkfOmKdzQ+NWLfVG1GXE9H5UHEum3rCpQNo07Zw/OlYvj/AmoEU=
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 25/39] gnu: Add rust-chalk-derive-0.75.
Date: Wed, 12 Jan 2022 23:27:45 +0800
X-OQ-MSGID: <5b1860d2f5e952f851c762d92f09fb57549e352f.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/crates-io.scm (rust-chalk-derive-0.75): New
 variable. (rust-chalk-derive-0.68): Inherit from above. ---
 gnu/packages/crates-io.scm
 | 28 +++++++++++++++++++++++++--- 1 file changed, 25 i [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.63.194 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-chalk-derive-0.75): New
    variable. (rust-chalk-derive-0.68): Inherit from above. --- gnu/packages/crates-io.scm
    | 28 +++++++++++++++++++++++++--- 1 file changed, 25 i [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.63.194 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-chalk-derive-0.75): New variable.
(rust-chalk-derive-0.68): Inherit from above.
---
 gnu/packages/crates-io.scm | 28 +++++++++++++++++++++++++---
 1 file changed, 25 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 51d86e6d64..771a891d93 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -9158,10 +9158,10 @@ (define-public rust-cfg-if-0.1
        (("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
         ("rust-rustc-std-workspace-core" ,rust-rustc-std-workspace-core-1))))))
 
-(define-public rust-chalk-derive-0.68
+(define-public rust-chalk-derive-0.75
   (package
     (name "rust-chalk-derive")
-    (version "0.68.0")
+    (version "0.75.0")
     (source
      (origin
        (method url-fetch)
@@ -9170,7 +9170,7 @@ (define-public rust-chalk-derive-0.68
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "0ss18zx2ddp50mvbwffs5jmmcs7a0pkiq1g62xa7z1bacvkm45ga"))))
+         "0v1i5sb1w2skqg5sjy3gimdglsq0in6mc1zz36qyc99lkrgknknm"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -9187,6 +9187,28 @@ (define-public rust-chalk-derive-0.68
 macros.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-chalk-derive-0.68
+  (package
+    (inherit rust-chalk-derive-0.75)
+    (name "rust-chalk-derive")
+    (version "0.68.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "chalk-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ss18zx2ddp50mvbwffs5jmmcs7a0pkiq1g62xa7z1bacvkm45ga"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-proc-macro2" ,rust-proc-macro2-1)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-syn" ,rust-syn-1)
+        ("rust-synstructure" ,rust-synstructure-0.12))))))
 (define-public rust-chalk-ir-0.68
   (package
     (name "rust-chalk-ir")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:44 2022
Received: from localhost ([127.0.0.1]:58638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYK-0002Ew-E0
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:44 -0500
Received: from out162-62-63-194.mail.qq.com ([162.62.63.194]:53631)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXw-00029B-VJ
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001294; bh=NVjoMkP6Ejn/bATyR8Z7QTWzufexgnq812V/Qk+Xm1s=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=zhGAHEt0HAi+7PdJmPc8xB/hqRvRqs4nDgsBV0fdCsdh4cxAkFYtnBsd/8VCXRkRn
 DPF4er6ztr2kiDVOfuaKowa7aTNwoUDJ7KwbEpPe3+a3Kxmjl/+BxrBB/q2rV6z73H
 szPh0QClIQu7rjEOzRd/x0I8X+J3y+stXJ9QznaU=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001293t37cgoc7r
Message-ID: <tencent_DC87AABCA7A4B276775322952F0BE6CF4B05@HIDDEN>
X-QQ-XMAILINFO: NHEvvpfAc710YP2Sx6xCTpguMQWF1igmhjD6wq3ClOgDeJMAbE0UHAly4EJ4lW
 GRsLJ+FYOXk0yU2oodP+WMDZhm0mh3AElHi2wd2udyOLzF1H7e3oHaVGVOpet6p+ARzFAd3tcGGJ
 0Pcxt/StmYMJsD/WM3yeqS5EnNT7kOOs79R8yKs4v3r304RTd6wWjxaBPkmuB0DJqxxpgzvOX8z0
 XTGp0IJ/XXFyg8oZr1jetXv/BF8XM4ELsnIlBCnDYrLMVlWQxuWkE3juZ8tYzwtiOAAN3n9W2spG
 t4vvcSvTsDjV6n8yzCIuGCrpGtygd5GvZx8U9FPvSBIWc0bJT33QoTtwMM+AIDAecN/T4KtoyoEb
 WvYq0IRzyNhifSyOPrYKpXENYVqcbxJZL/Jl1wRJ+R543uPgZ1O3A5iUhuE2BxYs2il3qVPXREI5
 O3eFdk1veQrdrhPQOERTanQoHqo5JfDrcW+YA3ln4eylGacLy94HuP9sw4k2xWoo9gCbNRyNC0mQ
 k8cvqupVpW4ecj1eQEA4Arpe8se6Ho9+KUJWPIQmTe4dUQzwOmmBEfqB+Mii/o78nQ9T/A1D3so6
 SC9YH5Wp1YxfrMwmcrr4C4Vj7qf5fd2qWxjXhls1l19ieNsMrPXdjwWNTn1HggnoI2NyxP5ht9EP
 e/z2SlC0MxKoJf/scXyH+ZwUuoBVBge295PY2bf+zpuVhRU1Pp9kLVbM/jhgY1MBEYi0oVIMmjJ1
 Q0z62f/4doqFX4e7k//A193c5cbkjaYd8oyiI0dsfW4pikVGtPM3pu7ljYG1P6jq1CjjsM4jVnwg
 PGJwGGbqg9uRFYqcSSysK2sbX/1gIyB2AmeKehDGlL+g==
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 24/39] gnu: rust-synstructure-0.12: Update to 0.12.6.
Date: Wed, 12 Jan 2022 23:27:44 +0800
X-OQ-MSGID: <27319c5410194a4ede5495115eb4815a5f325458.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-synstructure-0.12): Update
 to 0.12.6. [arguments]:<#:cargo-development-inputs>: Add
 rust-synstructure-test-traits-0.1.
 <#:phases>: add fix-test phase. --- gnu/packag [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.63.194 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-synstructure-0.12): Update
    to 0.12.6. [arguments]:<#:cargo-development-inputs>: Add rust-synstructure-test-traits-0.1.
    <#:phases>: add fix-test phase. --- gnu/packag [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.63.194 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-synstructure-0.12): Update to 0.12.6.
[arguments]:<#:cargo-development-inputs>: Add
rust-synstructure-test-traits-0.1.
<#:phases>: add fix-test phase.
---
 gnu/packages/crates-io.scm | 29 +++++++++++++++++++----------
 1 file changed, 19 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f75329941e..51d86e6d64 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -54231,16 +54231,16 @@ (define-public rust-synom-0.11
 (define-public rust-synstructure-0.12
   (package
     (name "rust-synstructure")
-    (version "0.12.3")
+    (version "0.12.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "synstructure" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0igmc5fzpk6fg7kgff914j05lbpc6ai2wmji312v2h8vvjhnwrb7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "synstructure" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03r1lydbf3japnlpc4wka7y90pmz1i0danaj3f9a7b431akdlszk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -54248,7 +54248,16 @@ (define-public rust-synstructure-0.12
        (("rust-unicode-xid" ,rust-unicode-xid-0.2)
         ("rust-proc-macro2" ,rust-proc-macro2-1)
         ("rust-syn" ,rust-syn-1)
-        ("rust-quote" ,rust-quote-1))))
+        ("rust-quote" ,rust-quote-1))
+       #:cargo-development-inputs
+       (("rust-synstructure-test-traits" ,rust-synstructure-test-traits-0.1))
+       #:phases
+       (modify-phases %standard-phases
+         ;; https://github.com/mystor/synstructure/issues/51
+         (add-after 'unpack 'fix-test
+           (lambda _
+             (substitute* "src/lib.rs"
+               (("non_upper_case_globals )") "non_upper_case_globals)")))))))
     (home-page "https://github.com/mystor/synstructure")
     (synopsis "Helper methods and macros for custom derives")
     (description
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:44 2022
Received: from localhost ([127.0.0.1]:58636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYK-0002Et-1z
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:44 -0500
Received: from out162-62-63-194.mail.qq.com ([162.62.63.194]:37495)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXw-00028r-96
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001293; bh=Q7UlyepJgkvxWFJVb18xvLfhdPgrDcpQMCCZANnu25o=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=mbT2Kec4SFNcNA1HsDyj4jMsUDDD0jdmMp9AFksp28r9RjZGbpiz/787AF2EFQyls
 nW8mDzVbsXvdQwAiurmW3atM4/vEc9kkClGGcvZ5S9GuL8iaRbBuvrJsF4S5rGWBYI
 hMHU73QP553Vvsm8AlhRnyPc0aP4dWnxhiuJicrQ=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001292td2r6gfii
Message-ID: <tencent_E65FAA4196E35F9ECE4DB967895FADE42606@HIDDEN>
X-QQ-XMAILINFO: NWMVHcapKDHtbBeSrxn+Iw85JdAZ0kT1h28B3fPypBcj/tGFHf/cZlBUOWJwBM
 lT0nocINK0F8Svu3evZJPErxkePZ+UWf5Y18FLTigYavnN8Z3infis+MBNmVsEb/w42wYs/GUgV5
 8kFqVFaz+lzbelYygoK4ZCNcj7rjiGzxicqwqtGiEGTJr1LpTB3s7P9Bj8vPZwIprw0P1BjNzE32
 tU330Qx6zzshuVRyBHJL8NZPn4iPcOnpb/SoMbNSptX+LhbbxKbaFUFrsde+o1P2TTKFtgtu2+TU
 t/HVDljMqFezRSMjl/EYM3RqsraTb32S9E5vUyJFsL6BzF/mB45sU5H/z97q1RzA30dQ0caE+lqq
 FUIYhVXDzcQd98/rSo5RJnU3cW0stRDD5cPr5I3t7Fg5XLQW32LgPCM8BKwtw33VfzzviopY4mLn
 2EVVtXHvzQRiZpr2kGbNBMWVGb6njuPHiw1BGrg2dlRYnuLqwn42gsAja6/k686jUfv5LQyG3sTi
 JuGfyk4SoS+KR/VpiX78CWtnAppe/AdsWHrGsjrXqbRX6PHSjSDn5BAY2YIcXMQVuv4C/vk6kLt0
 SI+YajWOKGdAto4f5rHbKLKrc3vDqOruurISXNRc2tLedQ9ztu4aoXhPgToLIpqTaWOQhAMc76lN
 QLBgM6kaTDQUp9IwFcj6JBxCu62lcrCvqDsKDFv60MBVeI6a2lkoJBAYG8kDYTuJFpKLuTYFgsTM
 34X9XW3Las08ucF+3OUPMCNFoYDNOcunTTKhxmTdSKXKXhQ+LDPphVTrkHIzR20fUZgtNWc/4Xus
 Ci0fjPMF/1GlJjsKj+Mm+k41ko95h+y99g7PSnT2OI9NohoIcWSo4q7B43fhv6Kes=
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 23/39] gnu: Add rust-cargo-metadata-0.14.
Date: Wed, 12 Jan 2022 23:27:43 +0800
X-OQ-MSGID: <09ea701ad6551131d1b0c8efb725ed1b240073e0.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-cargo-metadata-0.14): New
 variable. (rust-cargo-metadata-0.13): Inherit from above. ---
 gnu/packages/crates-io.scm
 | 35 ++++++++++++++++++++++++++++++----- 1 file ch [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.63.194 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 TVD_SPACE_RATIO        No description available.
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-cargo-metadata-0.14): New
    variable. (rust-cargo-metadata-0.13): Inherit from above. --- gnu/packages/crates-io.scm
    | 35 ++++++++++++++++++++++++++++++----- 1 file ch [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.63.194 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 TVD_SPACE_RATIO        No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-cargo-metadata-0.14): New variable.
(rust-cargo-metadata-0.13): Inherit from above.
---
 gnu/packages/crates-io.scm | 35 ++++++++++++++++++++++++++++++-----
 1 file changed, 30 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d5bbb71cac..f75329941e 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -8694,10 +8694,10 @@ (define-public rust-cargo-0.53
 the library crate of Cargo.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-cargo-metadata-0.13
+(define-public rust-cargo-metadata-0.14
   (package
     (name "rust-cargo-metadata")
-    (version "0.13.0")
+    (version "0.14.1")
     (source
      (origin
        (method url-fetch)
@@ -8706,7 +8706,7 @@ (define-public rust-cargo-metadata-0.13
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "11cnz97byqswmhpbbig9hss5kf8bmxq9nd5xjg3l2rsnnv040i32"))))
+         "04kfzvmh80pq0bw1cwzlz71wfrign2k7792mc4gi8hs1jkgfcams"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -8714,8 +8714,7 @@ (define-public rust-cargo-metadata-0.13
        (("rust-camino" ,rust-camino-1)
         ("rust-cargo-platform" ,rust-cargo-platform-0.1)
         ("rust-derive-builder" ,rust-derive-builder-0.9)
-        ("rust-semver" ,rust-semver-0.11)
-        ("rust-semver-parser" ,rust-semver-parser-0.10)
+        ("rust-semver" ,rust-semver-1)
         ("rust-serde" ,rust-serde-1)
         ("rust-serde-json" ,rust-serde-json-1))))
     (home-page "https://github.com/oli-obk/cargo_metadata")
@@ -8725,6 +8724,32 @@ (define-public rust-cargo-metadata-0.13
 metadata}.")
     (license license:expat)))
 
+(define-public rust-cargo-metadata-0.13
+  (package
+    (inherit rust-cargo-metadata-0.14)
+    (name "rust-cargo-metadata")
+    (version "0.13.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo-metadata" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "11cnz97byqswmhpbbig9hss5kf8bmxq9nd5xjg3l2rsnnv040i32"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-camino" ,rust-camino-1)
+        ("rust-cargo-platform" ,rust-cargo-platform-0.1)
+        ("rust-derive-builder" ,rust-derive-builder-0.9)
+        ("rust-semver" ,rust-semver-0.11)
+        ("rust-semver-parser" ,rust-semver-parser-0.10)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1))))))
+
 (define-public rust-cargo-metadata-0.9
   (package
     (inherit rust-cargo-metadata-0.13)
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:44 2022
Received: from localhost ([127.0.0.1]:58634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYJ-0002Ei-L6
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:43 -0500
Received: from out203-205-251-88.mail.qq.com ([203.205.251.88]:56439)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXv-00028e-0Z
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001292; bh=LPLRSelcVI1e27oyKdM4/A96MiiTAvWpBMHFnxCRGcs=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=HSnk93i6vLRoqPwwG/mPbI7snmylT2E1KQbrrESTuCh+G2fUmIVfeOU0ShixpWW9b
 tL5Shvb7LJgosguLG5LvaEYyTBVR9E2AUHAfQakNEgkpCUM2yaUS6lv/dTY3+sS+as
 DAwKEXZVwKOsXxfkOVNon0i64en02YvjsM+9bDwg=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001291tdfc7g0bu
Message-ID: <tencent_E7A41E6589FFF9EA3894FB96B0D6326DDE0A@HIDDEN>
X-QQ-XMAILINFO: N8I0aI/lxiWTvgvx1aOGWGWNV0qsXpVDQ373xqCuVXYQRYOIA+xrDX/jl5OQWn
 MZgJwJ53e2Y/f1H5kJleznb1zGZ+lj5LhBrrh2uE5a8dGBziZcrQZjXSY4NrHzWCbvKYO+by27pw
 F9zem51gNom+Yc7m3aR04PHl3Q2Yvtc1aqYmLMaYAubkw/9ov/C1gqDHfv9hlx6FUJ906oiiizc5
 MSwIpqJbNXptyH1Vnh1J8Me4ABnkZU/x/ui+S2rWdeJD0UBk1xlE6IItCQjCiyjoz2ReTSjvc9tf
 3Ad2LjUvq4xUQ81jznXnGpUNanRjv2IKcdomu8op/lwqG6MKkgnrvBTmeiUb3vOwAB2Dd060cgtH
 uhQRCFo3XXZmdQ8B5Cvo8ANxKZXiKuF7jyVFXbEHXM99dWivyIuL/XJ9C4OM0n+Klfk8qVQ5VmvJ
 revPu3+cpAOkYn7oHMZ5Z6Wd4qCEB5PZq9Z5LY50xs4u9Oh4DF2m3vp1Hcq3V2qEjGiENCu4W03f
 694SPDRCtdgmkBM/xLgSr9vWVIAhsqC2Y6QjXtFUNZwsKrMRFC4kwoG3oBBMn/k0VleI/Qs5HVPw
 e/jV9pEp3+pT/LpzScqiaslPtFASWjUz1yuO3ENrELxbV+9jdMqsmV6/4YeABEl2P4xbwcltC2o+
 WD1afu06v6c5qPOxXnxhBnWUT6t3ylNdGqZfLyPcVzdl4SZ0lz6Aj4ywdLIYotBhGl8oZv0hK4CP
 CgCdWrtJX/G1CZeZ55dNSoOVUjOMFoB7BI+VoyuZAbANCLqyUgMlUeNNlEnikqlqjM1s7yv57m7r
 1dnsfMorz97zx0gl9rg0tTbmZ0nT6sidnUnMPbwbR8tsQ04KcqfHJCNdOLceuWbRho+i3pKDWViN
 ViWnfppTHC
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 20/39] gnu: Add rust-tracing-tree-0.2.
Date: Wed, 12 Jan 2022 23:27:40 +0800
X-OQ-MSGID: <e19542d9d8d2c4f5e6fc913847ff1714c413d72b.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/crates-io.scm (rust-tracing-tree-0.2): New
 variable. (rust-tracing-tree-0.1): Inherit from above. ---
 gnu/packages/crates-io.scm
 | 45 ++++++++++++++++++++++++++++++-------- 1 file chang [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.88 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-tracing-tree-0.2): New
   variable. (rust-tracing-tree-0.1): Inherit from above. --- gnu/packages/crates-io.scm
    | 45 ++++++++++++++++++++++++++++++-------- 1 file chang [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.88 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-tracing-tree-0.2): New variable.
(rust-tracing-tree-0.1): Inherit from above.
---
 gnu/packages/crates-io.scm | 45 ++++++++++++++++++++++++++++++--------
 1 file changed, 36 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 393005d075..a6632e123f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -59566,8 +59566,43 @@ (define-public rust-tracing-subscriber-0.1
         ("rust-tracing" ,rust-tracing-0.1)
         ("rust-tracing-log" ,rust-tracing-log-0.1))))))
 
+(define-public rust-tracing-tree-0.2
+  (package
+    (name "rust-tracing-tree")
+    (version "0.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "tracing-tree" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1rrlw6kc61q0g5y4d4i3zjfn9167xqqa5m2d13z62zrcjv4qks9w"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-ansi-term" ,rust-ansi-term-0.12)
+        ("rust-atty" ,rust-atty-0.2)
+        ("rust-tracing-core" ,rust-tracing-core-0.1)
+        ("rust-tracing-log" ,rust-tracing-log-0.1)
+        ("rust-tracing-subscriber" ,rust-tracing-subscriber-0.3))
+       #:cargo-development-inputs
+       (("rust-tracing" ,rust-tracing-0.1)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-assert-cmd" ,rust-assert-cmd-1)
+        ("rust-log" ,rust-log-0.4))))
+    (home-page
+     "https://github.com/davidbarsky/tracing-tree")
+    (synopsis
+     "Tracing Layer which prints a tree of spans and events")
+    (description
+     "This package provides a Tracing Layer which prints a tree of spans and
+events.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-tracing-tree-0.1
   (package
+    (inherit rust-tracing-tree-0.2)
     (name "rust-tracing-tree")
     (version "0.1.9")
     (source
@@ -59593,15 +59628,7 @@ (define-public rust-tracing-tree-0.1
        #:cargo-development-inputs
         (("rust-assert-cmd" ,rust-assert-cmd-1)
          ("rust-glob" ,rust-glob-0.3)
-         ("rust-log" ,rust-log-0.4))))
-    (home-page
-     "https://github.com/davidbarsky/tracing-tree")
-    (synopsis
-     "Tracing Layer which prints a tree of spans and events")
-    (description
-     "This package provides a Tracing Layer which prints a tree of spans and
-events.")
-    (license (list license:expat license:asl2.0))))
+         ("rust-log" ,rust-log-0.4))))))
 
 (define-public rust-trackable-1
   (package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:43 2022
Received: from localhost ([127.0.0.1]:58632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYJ-0002Ea-BM
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:43 -0500
Received: from out162-62-63-194.mail.qq.com ([162.62.63.194]:51785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXt-00028b-Tl
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001290; bh=wdkdpyGZehPlckkIG/lRKVtrUVCSYWcEwBHaVXphRNA=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=z6x0u3Rr8kkmG85ofzePVHVM/pOUvCADpDXPHIZvFpxA70XRygPaHaJ+yttKZY+Kw
 et8Ko0dBt3FRiV11a3Go30xJyo6lPGD1dn6XQ6JCgAHQtoCF+mHlJmocwfGFG3sAJQ
 wzaEJWWRtvHEe9hAM3Wn/wNp9vm9rtqq9ZUBJVQQ=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001289tdacifzhn
Message-ID: <tencent_9037B5E09B3BA919591F7F193A8CE5E52508@HIDDEN>
X-QQ-XMAILINFO: MloZrP3R4BgFJ86kBYcPWSToxrh8Cb9HV3Kt+AHWguK8pXB5eEdDaYhIEnkpAL
 NkxT0UNF+NxjqBP6R8KrE6tQC/jUjHd892uRMREgr8I0leUapnuS37DKhS0IbM61aL3I0wg2ja7Y
 yO987olHpXQtk6cgE+SPLgwIGU+wK5rwA/AgRalB5dXyDxZa5Odn+mse2+7DQTxMO/jCfo6XRyQq
 aXBybfqBdnTD07zyqMNrf3tEmnN57FwzW2BqGNvxXT7/rdh4ig2Lf5vLWEHlpu8aG6ubzTYy7IIJ
 r8YSDRUe2clEz8Qk+EMlOi0WfxVYy/DB7LnaRe6UfWpNciYOzYyDgHaDnnz0BrSHzKqhuN5Hyyhm
 6Wbi1yE/q8Dfe70CZ9R3f9eZ6zzN/SUJ9qmEvUeSwyPA/S5Eak7ZB2BleJmHnT/CLjL+2S1aeZMG
 ziGV4ZnepDRsMssMHHr4TudQ9r2aU+RkrB37wrGQ4yEsemwUtEPbMOhbdY4Fq6ENIlEOzF4rLCnR
 rB1oM/1GUxJROcnr0uTbLIU+WpATGsdDl+VAbJTDHyfsIXk3UowJgYeR/hd/UgGnBEuzeplKu+ZZ
 WPWwN/YsFvc4zcGq+FlINbgmHc1SHQfTBNKrxFC9wbfQBl/J4oSR9jmc2G36oD6qkasGh/rCU1I6
 +w4ZndxoPgtNiIkeZG6aB/os9wx8pWL6bezLwlINeOUVVipfbKyQ2tutbcMTgXUKz3w26nwV0CZw
 y+ySRj+TYgy2Gl4eiOCZXucXC1mXv5E09b5Jh/W1x9kDfGLmcC2eM9QvPTa4I4FNkM2j+5f2YhQs
 nT4VJIsJqpcogzb52+ml2KDyXoIiTcIIxiYTYgWeal0Vy65VtFSEPXkfNMfRBbfshd9rZa8peXtl
 C7LlV4dVDISQDtq9LDE9k=
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 18/39] gnu: rust-salsa-macros-0.17: Update to 0.17.0-pre.2.
Date: Wed, 12 Jan 2022 23:27:38 +0800
X-OQ-MSGID: <460f57ffaf5b3582bbe91d60987bc72ae45e7b91.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-salsa-macros-0.17): Update
 to 0.17.0-pre.2. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed,
 2 insertions(+),
 2 deletions(-) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index 66d8f50ac9..b8e1ed9a9d 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -47213,7 +47213,7 @@ (defi [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.63.194 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-salsa-macros-0.17): Update
    to 0.17.0-pre.2. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed,
   2 insertions(+), 2 deletions(-) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index 66d8f50ac9..b8e1ed9a9d 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -47213,7 +47213,7 @@ (defi [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.63.194 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-salsa-macros-0.17): Update to 0.17.0-pre.2.
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 66d8f50ac9..b8e1ed9a9d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -47213,7 +47213,7 @@ (define-public rust-s3handler-0.5
 (define-public rust-salsa-macros-0.17
   (package
     (name "rust-salsa-macros")
-    (version "0.17.0-pre.1")
+    (version "0.17.0-pre.2")
     (source
      (origin
        (method url-fetch)
@@ -47222,7 +47222,7 @@ (define-public rust-salsa-macros-0.17
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1yrjiriw5bb0gxl2dk7c5ng7g5wlkc4gd65czx5x99bzc9hc0brf"))))
+         "1xrgb38l5fhv3lqx2lwnqc3s2zrgxmj63cd7kl0vyl7m5lsjwv5c"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build?
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:43 2022
Received: from localhost ([127.0.0.1]:58630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYI-0002ET-S6
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:43 -0500
Received: from out162-62-63-194.mail.qq.com ([162.62.63.194]:47225)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXt-00028Y-Q2
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001290; bh=QV7uChNch6HMCvJskyQuR5u7TYDkfgsAJRZjbkZmQUY=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=tef9y7DuR3ajsLJI0qs1uMm4ZVCrGxlyS5WXhKyYCdTGprTXs0zTac0no7ZPIgGTd
 6l8d/g/HO/YFo3qlBDZkuy/BuYYpxzjvuZaZWGTSgliPPtq2WGMV9AspalbSpcWwcA
 5rsamNayVgm5f7aUpJe0ry7QdBD8WiXEcIduLqRg=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001289tp91o7l0m
Message-ID: <tencent_656C36A4DA6785FF99EAC094D79458D4260A@HIDDEN>
X-QQ-XMAILINFO: NM+HyBNiu6fq0c3WSatXaiLE7EsyskudmLc3nLpaH+Vb4hBtyD3vZtgVdwjmCn
 Z6W0+jTP/s1eTSB/Mk4jCVKjiBUQHQxhV1MoO8ccOYpkQzThYn9OXr9pdnjdeseEEMzp3MFu91Z8
 B7xMN01NV8s2mMue/ERFC68tSpRtK4tfxRTn+9gjZTLd5CstqhuaYvXtAF25NFVzUHSzr+WPO7Cc
 rBAKws1m/hgvRg9cHmB1+RLjhLcxxa4EfMthr8E4lmqzd5SvfLqbTsnC2vuMfKusZA17xBHrPAlo
 K6n7xualoBIRYqR218BGIOfojfXre7kdT7AblBFMPNapfj2QfzmcF9BfjsCFntVWA9ccbzb/tPkb
 wUs+AAO5NBj+YbEhMfq6petq35Q6YT2hPmEIgPntEah+dRiRJwSP8ZI7kLwsOzhi8Vh3bT4Z9PQb
 Km4eLYyYGyeUYH4996/Ze6PJakUBEl86dtz8CGaBIN4iWSDHxs9ykNu9jUjZhOsCk5LuUWzwWmAo
 8crJ1p4SgVEXFao/DvZi1mnKqp9sY6Wc4Ik2M+xJsRdG3Lur3oc+lw0wNd93Ma2PDgcUXzbp+l3r
 7BA0Su7Jc1k5ZhstgO8BoU8/EZUczg5ABhnQUvZD6IddotRdDSDslg+SS1XI9Aq4bipJMGs+On7R
 Kvt7KEORg2/7i/ZwgIDYLSgo65MXyPH8XC9osvpsbsF1fo3TF2q0eRmXM6bt8Xh3xd7wloPiN/tx
 irpi78XpbZf6ly9dgUQ2AXPmWefaH3cpUDU4kToWNBF8cCsJ/A3bHHdI0AT2ZMzabTbkQsGsaStF
 gO/mzVre6YTjSH2IqyUv2E6hfe+kjINmJi9pDnf35K7dJ8DfdkHA+r7dW+n3IOpKNiHP76Q6/GDZ
 2UutMQbUKc
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 17/39] gnu: Add rust-tracing-subscriber-0.3.
Date: Wed, 12 Jan 2022 23:27:37 +0800
X-OQ-MSGID: <e99aeb74d0ef6809aa85e4c3550022350f625686.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-tracing-subscriber-0.3):
 New variable. (rust-tracing-subscriber-0.2): Inherit from above. ---
 gnu/packages/crates-io.scm
 | 64 ++++++++++++++++++++++++++++ [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.63.194 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-tracing-subscriber-0.3):
    New variable. (rust-tracing-subscriber-0.2): Inherit from above. --- gnu/packages/crates-io.scm
    | 64 ++++++++++++++++++++++++++++ [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [162.62.63.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.63.194 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-tracing-subscriber-0.3): New variable.
(rust-tracing-subscriber-0.2): Inherit from above.
---
 gnu/packages/crates-io.scm | 64 ++++++++++++++++++++++++++++----------
 1 file changed, 48 insertions(+), 16 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 89f2cbf221..66d8f50ac9 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -59447,8 +59447,55 @@ (define-public rust-tracing-serde-0.1
 with @code{serde}.")
     (license license:expat)))
 
+(define-public rust-tracing-subscriber-0.3
+  (package
+    (name "rust-tracing-subscriber")
+    (version "0.3.5")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "tracing-subscriber" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "157mz6q0ljpragrj4hsv5rchyabsbfc7r0sb0g5rik142jlbz0ax"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build? #t
+        #:cargo-inputs
+        (("rust-ansi-term" ,rust-ansi-term-0.12)
+         ("rust-lazy-static" ,rust-lazy-static-1)
+         ("rust-matchers" ,rust-matchers-0.1)
+         ("rust-parking-lot" ,rust-parking-lot-0.11)
+         ("rust-regex" ,rust-regex-1)
+         ("rust-serde" ,rust-serde-1)
+         ("rust-serde-json" ,rust-serde-json-1)
+         ("rust-sharded-slab" ,rust-sharded-slab-0.1)
+         ("rust-smallvec" ,rust-smallvec-1)
+         ("rust-thread-local" ,rust-thread-local-1)
+         ("rust-time" ,rust-time-0.3)
+         ("rust-tracing" ,rust-tracing-0.1)
+         ("rust-tracing-core" ,rust-tracing-core-0.1)
+         ("rust-tracing-log" ,rust-tracing-log-0.1)
+         ("rust-tracing-serde" ,rust-tracing-serde-0.1))))
+    (home-page "https://tokio.rs")
+    (synopsis "Implement and compose tracing subscribers")
+    (description
+     "This package provides utilities for implementing and composing tracing
+subscribers.
+
+Tracing is a framework for instrumenting Rust programs to collect scoped,
+structured, and async-aware diagnostics.  The Subscriber trait represents the
+functionality necessary to collect this trace data.  This crate contains tools
+for composing subscribers out of smaller units of behaviour, and
+batteries-included implementations of common subscriber functionality.
+
+Tracing-subscriber is intended for use by both Subscriber authors and
+application authors using tracing to instrument their applications.")
+    (license license:expat)))
+
 (define-public rust-tracing-subscriber-0.2
   (package
+    (inherit rust-tracing-subscriber-0.3)
     (name "rust-tracing-subscriber")
     (version "0.2.15")
     (source
@@ -59484,22 +59531,7 @@ (define-public rust-tracing-subscriber-0.2
         ("rust-tokio" ,rust-tokio-0.2)
         ("rust-tracing" ,rust-tracing-0.1)
         ("rust-tracing-futures" ,rust-tracing-futures-0.2)
-        ("rust-tracing-log" ,rust-tracing-log-0.1))))
-    (home-page "https://tokio.rs")
-    (synopsis "Implement and compose tracing subscribers")
-    (description
-     "This package provides utilities for implementing and composing tracing
-subscribers.
-
-Tracing is a framework for instrumenting Rust programs to collect scoped,
-structured, and async-aware diagnostics.  The Subscriber trait represents the
-functionality necessary to collect this trace data.  This crate contains tools
-for composing subscribers out of smaller units of behaviour, and
-batteries-included implementations of common subscriber functionality.
-
-Tracing-subscriber is intended for use by both Subscriber authors and
-application authors using tracing to instrument their applications.")
-    (license license:expat)))
+        ("rust-tracing-log" ,rust-tracing-log-0.1))))))
 
 (define-public rust-tracing-subscriber-0.1
   (package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:42 2022
Received: from localhost ([127.0.0.1]:58628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYI-0002EM-Iz
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:42 -0500
Received: from out203-205-221-250.mail.qq.com ([203.205.221.250]:50109)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXt-00028c-MD
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001291; bh=jKNmBwQifbvkDf9/1duAArk8tPAwvkWzwhnu9J8bCMw=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=nQlRFhO3xYX8V/EpBAMznwp8vic+RGjLEvNOQQfVwBSNVctXiJf6hd66vVNttM6nq
 6KdGpXIWvjERDC5JzTK7uDXV33Xytxd9GGpv8ldry2g74jMpwCUEd33/yoPpp6w7le
 ufZEWCrzdJS0VRBnHA5yMALMP5z/m4L/9prHxvmU=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001290tb3dgfw47
Message-ID: <tencent_E3ADF06645EA5456C39FB50E42B947495506@HIDDEN>
X-QQ-XMAILINFO: MdDuF0zFTqpBxJXZfIJvDA9E2OpUY8kRW8qHQy6h15J+9qM3avbOdKbtxCOEMO
 AF0K6LV/J3GV02Ut4t+/AhFWsw4R01xAV6lnBSo0XqwlCaGhN1/bBL7ggsNCWXUlUm7W3PMAPBKG
 QMpaKxRYUINwUs9uSv6u/8CcHIuJ2wH5ptUOQlInhjKykN63dfUA/CeLUgZHSnytwqiEfKXADlno
 XrbSJHCHGeTaqE8teExrwud7Bokk+TFgVyVxAtt8jP3OsNbQYQawKQntb+WSA0mgVgr5JgOXJxSE
 PjLkZi7p/4XA8sBo696Jq/8aU23QoMXlbe92eQjcfbFKuDmEKqNqUG0MKuAa6YQb5FHhFhdUr2tE
 2CyYhX2IuZ3haFQ573ZGmA4cH7jwBd/iyVtvzDjayVxEfROyqMMzH6NQYu62NTaEV075CJoKrAPw
 LyivBoRjxrOuvz2T7uEf4ehCk1XuEc/cpvcIsnZzWJ2vHCagJz9XZOoElIHrBi70x/OKU1MFKev4
 1eEg/36ajt/HpNcM02K0gJZdC+7m5gNvF/jLT89SPAGwx5dsMbgrUyDtAWSfy1oDscBYyqJDVILQ
 DiBL+d6QkeM+WPYIxtAxBRqgPiyRToXrAsiWQ1ypC+eVN3slMwCO4p9SGlb/22lpGlQqj9fZGI0X
 jfAWFghFaGQoLJnO9M2WYO1kvB9h4v4SsM1tqiOUtiYmk+DpaIP9sPkPb5wPA/9SvBUINheGQ8dS
 5yzU+UdFuEVOaSjIwrJtDJHVhw6kPm/iDVyBOMFZpRQfgMirxlbd43FP9WVf3uILdWjNnJoq74o6
 4u9aCpUjcF8HZ916uVJABPc8/qWRdlC9K7KPM2Rxv2V5G6VsnGXTwPVXijjxpsi2PNbKqMis97bB
 T9H8ihRmn7
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 19/39] gnu: rust-salsa-0.17: Update to 0.17.0-pre.2.
Date: Wed, 12 Jan 2022 23:27:39 +0800
X-OQ-MSGID: <fc5eeb6aec9141db9b62f2ecd85a58a34ec798e4.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/crates-io.scm (rust-salsa-0.17): Update to
 0.17.0-pre.2. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed,
 2 insertions(+), 
 2 deletions(-) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index b8e1ed9a9d..393005d075 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -47242,7 +47242,7 @@ (defi [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [203.205.221.250 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.221.250 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-salsa-0.17): Update to
   0.17.0-pre.2. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed, 2 insertions(+),
    2 deletions(-) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index b8e1ed9a9d..393005d075 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -47242,7 +47242,7 @@ (defi [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [203.205.221.250 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.221.250 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-salsa-0.17): Update to 0.17.0-pre.2.
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b8e1ed9a9d..393005d075 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -47242,7 +47242,7 @@ (define-public rust-salsa-macros-0.17
 (define-public rust-salsa-0.17
   (package
     (name "rust-salsa")
-    (version "0.17.0-pre.1")
+    (version "0.17.0-pre.2")
     (source
      (origin
        (method url-fetch)
@@ -47251,7 +47251,7 @@ (define-public rust-salsa-0.17
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "10jm7s8abw0m7iffa2983kmwgmv342i9g32d1irsgmccx9hq40sq"))))
+         "0ypiig0p9969nkb7k0ydxm5bnc3jva815dfh8hqpackcnk63s8lv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build?
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:42 2022
Received: from localhost ([127.0.0.1]:58626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYI-0002EE-7k
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:42 -0500
Received: from out203-205-251-85.mail.qq.com ([203.205.251.85]:57597)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXs-00028T-Au
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001288; bh=hcvxF6uaiwuv7ZQl1B728PIBR2ZUkfSE2OrrafyQIiU=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=g+5rCJj2FfapsGnbHYN7JAl7s2bhCJTMWp7sKB5T98EcXHjeTmkGtjvMHrIrvVoSH
 XYACHCXo27EfCfibsBx3/9YziT3HUnVfs7fNVR3OSC1jrzFxTayYOxvviznScZy0Qc
 2/jQmiMtTomRgwNpO+Qw5vC4fe/g+3WraQj4Lpf8=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001287tmz0yaxp0
Message-ID: <tencent_C0A4B956641328D531ABF0AF4D87A33CA305@HIDDEN>
X-QQ-XMAILINFO: M+SXJ71vgvoO7RxHA/t/oSHz/jdE+fDtVivg/u4wSdnBLAN/BONI0zkGkafOD0
 XlD2Rq4Vec4k0FQ6DTM3dgx9WmWwIc6BsEANIAmpmek/Q/3UzXRqj0zFyHr2Bj05i8cWXKdcE/rR
 aFTbm957lfdBKxteKZDkvOc1DwOJIsRmgwSWH66E6fFY+/VrDgditROB+yeYj2W5JRlN4zFka9mV
 rUPjjBqkDhyi/x/R7Qd2rjMm6QAcoLNBMFyzZ5qhtorMnsZyiM3Tk/qeBp8wu7UkFjEU8RRjWzBv
 qGVIECjDJsdC+kfHv2RkSy5QVwavYsdOt12gwnrZZofwsR7SSLtpUdBR1YO5GCvlv2qsSBkQ2KQP
 E5RtTuZlClveSFGJec/ovxXloKGScoW+u9fofmyM5y1EGObX8gnJEp8Z3PwQxjwMaPo8L/TeCMQN
 BlYh17ep+So2V94TzL9PE81Q87cbgbFGZKUAVv3TBZ9vrb9sHWV3uIZ9A4Yqi85AO56kxtTLfvwN
 Uu3ALZHT4YlMTD1/rB4XFGdw6eQerOa20lSCMXt4qXwPKqVxbkMUtxd+WidSwvFpAQsvdPluC32e
 1xcWXU6K7O4Pi3tRk7hjw2iNmpZbz8x06hb4s/zC1aXnz9ec2eMB+SIVucv2mGbsiVZiD3zliEtG
 /NhUIH+Aao4UjHWFwERO6vfMEl1JxPbPKKwd3Gwr9C4vnpxCdjFXaSAaO4WCdEgp3sYFgAiKOuKy
 vnN8t/hl+lVRSP8lXF76aXcQ6KLgu8gVh/1v4pVVXCKWjjY42N9UmYQndsUCfdOYOOjS6IYGMtSG
 MVTcu/xvx+ZO+W/WgIoJMr934DAEyrMH7VuSqQKuj62eIFmUiTonaMQqj6TRifz/c=
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 14/39] gnu: Add rust-rowan-0.15.
Date: Wed, 12 Jan 2022 23:27:34 +0800
X-OQ-MSGID: <3d487704f5334fa02515d075f2e913c0c5affe80.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-rowan-0.15): New variable.
 (rust-rowan-0.13): Inherit from above. --- gnu/packages/crates-io.scm | 41
 +++++++++++++++++++++++++++++++------- 1 file changed, 34 inser [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.85 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-rowan-0.15): New variable.
    (rust-rowan-0.13): Inherit from above. --- gnu/packages/crates-io.scm | 41
    +++++++++++++++++++++++++++++++------- 1 file changed, 34 inser [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.251.85 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.85 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-rowan-0.15): New variable.
(rust-rowan-0.13): Inherit from above.
---
 gnu/packages/crates-io.scm | 41 +++++++++++++++++++++++++++++++-------
 1 file changed, 34 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 6013258625..29ca10ef6f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -44601,10 +44601,10 @@ (define-public rust-route-recognizer-0.2
 wildcard segments")
     (license license:expat)))
 
-(define-public rust-rowan-0.13
+(define-public rust-rowan-0.15
   (package
     (name "rust-rowan")
-    (version "0.13.0-pre.6")
+    (version "0.15.2")
     (source
       (origin
         (method url-fetch)
@@ -44612,14 +44612,14 @@ (define-public rust-rowan-0.13
         (file-name
           (string-append name "-" version ".tar.gz"))
         (sha256
-          (base32
-            "03gh3wa52135mh1an1x4hw6jba64fwfsh4lw3fsmm6jy2i7c1k42"))))
+         (base32 "1ilxrar5npwnsb575gxh2gp8hi3032mm20sapzw72sv58gn8zski"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
+      `(#:rust ,rust-1.57
+        #:skip-build? #t
         #:cargo-inputs
-        (("rust-countme" ,rust-countme-2)
-         ("rust-hashbrown" ,rust-hashbrown-0.9)
+        (("rust-countme" ,rust-countme-3)
+         ("rust-hashbrown" ,rust-hashbrown-0.11)
          ("rust-memoffset" ,rust-memoffset-0.6)
          ("rust-rustc-hash" ,rust-rustc-hash-1)
          ("rust-serde" ,rust-serde-1)
@@ -44634,6 +44634,33 @@ (define-public rust-rowan-0.13
       "This package provides a library for generic lossless syntax trees.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-rowan-0.13
+  (package
+    (inherit rust-rowan-0.15)
+    (name "rust-rowan")
+    (version "0.13.0-pre.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rowan" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03gh3wa52135mh1an1x4hw6jba64fwfsh4lw3fsmm6jy2i7c1k42"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-countme" ,rust-countme-2)
+        ("rust-hashbrown" ,rust-hashbrown-0.9)
+        ("rust-memoffset" ,rust-memoffset-0.6)
+        ("rust-rustc-hash" ,rust-rustc-hash-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-text-size" ,rust-text-size-1))
+       #:cargo-development-inputs
+       (("rust-m-lexer" ,rust-m-lexer-0.0.4))))))
+
 (define-public rust-rspec-1
   (package
     (name "rust-rspec")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:42 2022
Received: from localhost ([127.0.0.1]:58624 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYH-0002E7-Si
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:42 -0500
Received: from out162-62-58-69.mail.qq.com ([162.62.58.69]:34045)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXs-00028X-9C
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001289; bh=W4CG4scAM1cYdcUdpDhz66nug+c1SP3Zobzede340B0=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=tPXSS1zf96YrpgmOvQiovEHgx5kWR9PA3M8JaWurGUyHG73AeTQaHszV7lT4X+FOM
 BiRfbYdRDIr3rDCdOK7Tszzrwe4by6bLG/NOrY7+dGhuBbOA5aIomhBicuCTFx5VNc
 mZQk0NQYUESn3uuXDROQAnBLSnHlVxJKHT+x0uS8=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001288tj56ouauk
Message-ID: <tencent_98B3F4FE9275FECBCD4AA06AB1376753EB09@HIDDEN>
X-QQ-XMAILINFO: N9C/Vpkk5whXOfaywTBOO2jR7PcYzlZiqBbFXDZLp7g5X323XmZqLC7hGNoLQd
 OAptr5Z5t4mJPuL8WQBnWL9lgndCfaHkK1Wa161Tlt7fComnVS+sSjAfdGjomqdN+uw/5q81MjE+
 dGTdBZl6zSNQihRhRv1B7/uoSOBtk7XNQVhrZ7ZvlU7ayqQ02wrhh9bEXr1ROtX4KXT05Z2bDlEG
 wpSPDxIO1Li+4ITr25hol5SguoJfp6TFYdqr9h1K40gi8SJlssNLBdGw9d4VVBIvSfP7ddz+D+5a
 Sdj9sbBNlXGJZ9Y9G7bSW8obIJO3mNKyKggzCEl/It0zhtabr26S/UnfDmeI99TJexxhEkPBsCfs
 K7z4yRgbkX7nPWEcYPhrYyRPKple5ms6jFLD8AXr3GyGSSvRj5XydBcN1tmhZJT3Zz3DBvtyF7At
 QfWma98EygUCduUsCM6PCCPAzPtHUJNXKVXboZ9MN/JhnuJqJIEKoUPHyhGo/lMSVDpr1mEBxdrU
 HDep988HRqGNvND0zVrEOHw7hCrAjES+ykMW96ZqSPAWD+1TfJTySDJT/wVxwtOqkyhTsg0gPiNj
 pwT5Dg8oZvOnbDV27eWX4n7Z5NjC8IKqC3NGFlP0E5lE3QJXjGz5YAfu2wQld6nlrq8FWlWh14uA
 AkjdiapJrYMu1LkyAsRBaIMFGnqnvQMmLrKR60XdgyRkaZ+zQdWjGkYoX+tXveUrcuD9cAV8aNQb
 4zUXLpwO4i0/nR5/wLO5Kz/GckE3uvbBGoZNnwPbq4/wKRewJGZj68XtLrk/pFIirUYMg3RaHQ4y
 2ycaOm4Rx3JrCaMh2Adf7eZOJTSbK+dT6qgvKLS8MpOQ/ItZV8EFVuq72XFERr1AU9qRMF/vnaoH
 D5/yBc/2PJe+Li7LHqLg+ozmKCTpTtvQ==
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 16/39] gnu: rust-tracing-log-0.1: Update to 0.1.2.
Date: Wed, 12 Jan 2022 23:27:36 +0800
X-OQ-MSGID: <b8bb0237f4af0e8fe5bbcbb918a349f53069eca5.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-tracing-log-0.1): Update
 to 0.1.2. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed,
 2 insertions(+), 
 2 deletions(-) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index 0e0322afc1..89f2cbf221 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -59381,7 +59381,7 @@ (defi [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.58.69 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-tracing-log-0.1): Update
    to 0.1.2. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed, 2 insertions(+),
    2 deletions(-) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index 0e0322afc1..89f2cbf221 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -59381,7 +59381,7 @@ (defi [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.58.69 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-tracing-log-0.1): Update to 0.1.2.
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 0e0322afc1..89f2cbf221 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -59381,7 +59381,7 @@ (define-public rust-tracing-fmt-0.1
 (define-public rust-tracing-log-0.1
   (package
     (name "rust-tracing-log")
-    (version "0.1.1")
+    (version "0.1.2")
     (source
      (origin
        (method url-fetch)
@@ -59390,7 +59390,7 @@ (define-public rust-tracing-log-0.1
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1fdr0az98q9m5kiybvdvsb2m9mg86fdidgb5czzq2d71g1qqq3sy"))))
+         "1qv1cwvdqrgvizkszbff4fvkw0m3nn5yz68r3yaw2hcflivk94m6"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:41 2022
Received: from localhost ([127.0.0.1]:58622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYH-0002E0-HX
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:41 -0500
Received: from out162-62-58-69.mail.qq.com ([162.62.58.69]:33877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXr-00028S-AS
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001287; bh=p+lUpNUjhKzpMkYLjOkK2XkRJDkmwlTSpoIlNW4vcGs=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=lbgNuKiobmjfQCRbkIi81cgThysexK7crcEXXJ3yw1mIKfZQaEsjNUDmQ5KuYT8Pf
 eUuc41eFWAXYJeQ6YRy8kfPMqg6pPyXSzBihjEIesz45kpWDesFtehN7sWiFY5AXIl
 NJ8bHNRp00995Z/AaugeS0DtoTJqOuo2UJ9JE6a4=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001286t0b4fgzyy
Message-ID: <tencent_248536135359B23CFE0874BACBEB4A706A09@HIDDEN>
X-QQ-XMAILINFO: Nbfg7k/BAmo/Z5ZpRb3IqBggoVhlIJiw6ColfwaumHZTHIZi/XMFAwQLZvXvjB
 ++sJMobo0ikEnqsTk1fCmrn2yyoUxYunLO97smakco+EieQ4IgGSMcrlKCE8GqQmPs50WWWjrMyc
 anIMtoVukFlpII6iY++AwkojG79r+aI3lNYbq3biMDp/KKkDIWeuZ/MIrhNHbRHoW8Qfq3kmYxzB
 yG1wWIsYnNP5bEfAjfeD+kYyPtFGjpeyZTx1Y6eezQ6HM/1CRqIIMBfVW3WNaRLftVF8aeiSTx3Y
 f4zaapCmO6E3zX7y4SY6rfZW3HZafwOr6BNgLlt9qPZEhzoXxi39EsHz5eA7Dvjkj75D/PWh2mND
 r23eiU04+NgOkA+2EAPb/jRH38nk7OmlykR05InvLxOGV+Kl4kKH+fqhSrbOY2MsXchcSk47XOFh
 gIhcZQPtdN1rlqc5huBPoC8+pvP14IskEC5BisE7glBU1MRKfvLbcw2nlYh0xmzob4WG6qiKc/Nx
 xMTwAFFTdX4kRvMc4V97fTxiBRk8RtXyijV/OdscG8gj6E0Ol0kyofRkuEeUTTLmPvbxI2XiYs0q
 DRXiALoCx2uGYcTpnNr2xvDDBvu1SFIUXUL2oQhIiHWHXtxkOxiLKNsGqORimLqSjbl1LXrixa9J
 0FTf1p410HMNOIs/cRazJRgNEsl0c3/A56AAKAEsSV9oQudz31dxDgv8NYNmieIOI6GhJkWGh/Yk
 R9KPk08FoWJrth/d4mbDqQbpMjyqkoj8FdMv+KT68M76a44bvE3Aat4hcjTdgJTFiL8N3urrQvra
 VUvH7HFZWkC5aQ2wqX/Jsa8IKbsO7jnvHG4BcqXdI+vVE5cNIsyuaHI068yJ4wd2O49WTmnYWFCQ
 ==
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 13/39] gnu: Add rust-rustc-ap-rustc-lexer-725.
Date: Wed, 12 Jan 2022 23:27:33 +0800
X-OQ-MSGID: <2803ebee5713ee285eec027c649da15515e01174.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-rustc-ap-rustc-lexer-725):
 New variable. (rust-rustc-ap-rustc-lexer-721): Inherit from above. ---
 gnu/packages/crates-io.scm
 | 30 ++++++++++++++++++++++++++---- 1 fi [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.58.69 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 TVD_SPACE_RATIO        No description available.
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-rustc-ap-rustc-lexer-725):
    New variable. (rust-rustc-ap-rustc-lexer-721): Inherit from above. --- gnu/packages/crates-io.scm
    | 30 ++++++++++++++++++++++++++---- 1 fi [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.58.69 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 TVD_SPACE_RATIO        No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-rustc-ap-rustc-lexer-725): New variable.
(rust-rustc-ap-rustc-lexer-721): Inherit from above.
---
 gnu/packages/crates-io.scm | 30 ++++++++++++++++++++++++++----
 1 file changed, 26 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 0a86a703f6..6013258625 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -45742,10 +45742,10 @@ (define-public rust-rustc-ap-rustc-index-654
 @url{https://www.github.com/rust-lang/rust}")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-rustc-ap-rustc-lexer-721
+(define-public rust-rustc-ap-rustc-lexer-725
   (package
     (name "rust-rustc-ap-rustc-lexer")
-    (version "721.0.0")
+    (version "725.0.0")
     (source
      (origin
        (method url-fetch)
@@ -45754,10 +45754,11 @@ (define-public rust-rustc-ap-rustc-lexer-721
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1ldk41a4vxgh39p9650vhw1j7fng06pfmvb4xb2pvp22547gd89b"))))
+         "13pnbln1mnv51p1kgf6ljmzypp9q0j4aplxac5val0x2z0p78l7r"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs
+     `(#:skip-build? #t
+       #:cargo-inputs
        (("rust-unicode-xid" ,rust-unicode-xid-0.2))
        #:cargo-development-inputs
        (("rust-expect-test" ,rust-expect-test-1))))
@@ -45769,6 +45770,27 @@ (define-public rust-rustc-ap-rustc-lexer-721
 @url{https://www.github.com/rust-lang/rust}.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-rustc-ap-rustc-lexer-721
+  (package
+    (inherit rust-rustc-ap-rustc-lexer-725)
+    (name "rust-rustc-ap-rustc-lexer")
+    (version "721.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-ap-rustc_lexer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ldk41a4vxgh39p9650vhw1j7fng06pfmvb4xb2pvp22547gd89b"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-unicode-xid" ,rust-unicode-xid-0.2))
+       #:cargo-development-inputs
+       (("rust-expect-test" ,rust-expect-test-1))))))
+
 (define-public rust-rustc-ap-rustc-lexer-654
   (package
     (inherit rust-rustc-ap-rustc-lexer-721)
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:41 2022
Received: from localhost ([127.0.0.1]:58620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYH-0002Ds-84
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:41 -0500
Received: from out162-62-58-69.mail.qq.com ([162.62.58.69]:60791)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXr-00028V-Nc
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001289; bh=5SNyXVN0PnufUWrHCEPRWPmHqvH0CdsJnUJrzJ+0Gjw=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=MjaeSLqAuskCPnm0oBl6sEN0/rEA1+qChWiMCubUYnxqiJqJsciyMdsoi7C7gAKJn
 boDr3EBBHLNo1YoscGow2XHVsuzAer1Z/r0KlBcnSwIB3lReRb8H6AKVd0kmWL0bk4
 tpwjI56fCNx+dIZlQtj17lSXHRYb8HtI7jcN8m1I=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001288tx5mmqnax
Message-ID: <tencent_ED1DBF72D712F45A904DA8D4D6ACB63F0507@HIDDEN>
X-QQ-XMAILINFO: MZH4pq4SEtWX7Z/EKKL9a+jSe1J0ZOParyY0fm91hme/hE/OtywXaTsBmysE19
 pwFJzPyTqy/02orYd8W4R0QgCcOnsrYUtR7Y60YtMjmtb2K3ngxM1y6rzxiJB49NDeG6h3VCOdXg
 +ZyEsciv1Skhnw+eo3lmy/MT4CAiyk0/bUs8Hsexl9oaZ7/o1CH29wqcv669RUv1SOtMf/uXbfDK
 M5KP3xg73DsXeSdlzkZaGEObKy4D9vJvbeyhcRJnzTVrFBBMv4/hM+s1NKo3SAIsMuU2XHH+gM/N
 QUza6fQ74JH2WvH09Et0Yi1ClW1GwWRMbM9j7R2KysqkQSxe8mIR34k7orCLed9pP2tv94IbPeig
 B+UyAdrzcECkNEIXCZb02AtK05sOrFV/Q9vk7jFN8A+aRf5Tpi8H2mxJQt9foz5274N1dHEfQIEt
 hnlOH2Ooxx5tnoVJNgI7iARLnKEGK/1sWAF4aOjchBgDGUULz75Y06q9NmpOXaxkDK9qJd9nw2CZ
 gkHl5kYc+Twh96TKaKg0uitGDL7iysy+VygNC1t9kY/rDgcrcsnyXvfNHpvfuEk2PHE8WqoEHOca
 t2kBXeAA295CQbhPK7DnQEmuQPfLQAqS6PRusfg807cmaXAKcOpqxjyF0kc5S4CM8U3kuO260yD1
 ydAVU9Egz9F0LAkDCyWb3rtIhXEDWeOnhVM7+OQ5vjrIwX44LrrbVDS5k1V6apZ8Rwo6hd/NbJH1
 an+Ji0qLCNpKa5SdxNaE5A+i5Z95W7Zqup7RRZZclOKjp0kUTs1KvjawrV943TdcgkDLzfgqttQ1
 xSpbf5YLH/KVoPosKTE6LIkDPy0E2Ebz4Ee+ciEM3WU1gBrSC8SIOewOGQ1/Ewnp4=
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 15/39] gnu: Add rust-cov-mark-2.
Date: Wed, 12 Jan 2022 23:27:35 +0800
X-OQ-MSGID: <6356e4e2469fe446116c0348d347ba2c85d0011a.1641998631.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-cov-mark-2): New variable.
 (rust-cov-mark-1): Inherit from above. --- gnu/packages/crates-io.scm | 22
 +++++++++++++++++++--- 1 file changed, 19 insertions(+), 3 dele [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.58.69 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-cov-mark-2): New variable.
    (rust-cov-mark-1): Inherit from above. --- gnu/packages/crates-io.scm | 22
    +++++++++++++++++++--- 1 file changed, 19 insertions(+), 3 dele [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.58.69 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-cov-mark-2): New variable.
(rust-cov-mark-1): Inherit from above.
---
 gnu/packages/crates-io.scm | 22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 29ca10ef6f..0e0322afc1 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -11725,10 +11725,10 @@ (define-public rust-core-text-13
         ("rust-foreign-types" ,rust-foreign-types-0.3)
         ("rust-libc" ,rust-libc-0.2))))))
 
-(define-public rust-cov-mark-1
+(define-public rust-cov-mark-2
   (package
     (name "rust-cov-mark")
-    (version "1.1.0")
+    (version "2.0.0-pre.1")
     (source
      (origin
        (method url-fetch)
@@ -11737,7 +11737,7 @@ (define-public rust-cov-mark-1
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1wv75ylrai556m388a40d50fxiyacmvm6qqz6va6qf1q04z3vylz"))))
+         "0jj4yz70k31ax1n3s7iyjv1k5yzrm4hkibrazqciycyrdgvxhj0d"))))
     (arguments `(#:skip-build? #t))
     (build-system cargo-build-system)
     (home-page "https://github.com/matklad/cov-mark")
@@ -11745,6 +11745,22 @@ (define-public rust-cov-mark-1
     (description "This package provides a Manual coverage marks.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-cov-mark-1
+  (package
+    (inherit rust-cov-mark-2)
+    (name "rust-cov-mark")
+    (version "1.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cov-mark" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wv75ylrai556m388a40d50fxiyacmvm6qqz6va6qf1q04z3vylz"))))
+    (arguments `(#:skip-build? #t))))
+
 (define-public rust-countme-3
   (package
     (name "rust-countme")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:41 2022
Received: from localhost ([127.0.0.1]:58618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fYG-0002Dl-Rt
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:41 -0500
Received: from out162-62-58-69.mail.qq.com ([162.62.58.69]:33133)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXs-00028R-3d
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001287; bh=as6LI9mIAV3AYBoP3biGi3svxSqiVa+D+piXLEQ92ao=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=rXeb9K48zvyMMP3vUGN3qXTYECyR7uRcecozepIdPN3V2Yfw2rA2XI2zgDXa1Y1Au
 wEII/Vppy7RUBTjwcOSmUkfL2tp/HkLnpo8d+PGrGnBqt8wS3Iz6lPwKw34U/duRJZ
 RqEbtJ+ZxayUNgIAKuD3XwJx4+jFPlRwslrCbKCE=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001286t6ohm91i1
Message-ID: <tencent_3B029DA5F2E412BEDAA5CDA154F02CEC3F07@HIDDEN>
X-QQ-XMAILINFO: Mq8J1X/raaIMaFR6S2GTxKw15lk0ZpWPo8LwjiT5qQTLpvCZkCwqdNHVb0Ut0S
 81gGqrq42+xDHOctPf8RTUTWeJLkn1XHyIJa4OqMDZ/WEJtK2u0fKHx74ZTlTIV49nidLqMaLLPi
 thihXViY16/a244ykQ7zhJ4VrFQAKnt+DhY6V/fXCPisRDDEeAQORD/TqrEkzQYJd5xgIW+HPc60
 uWyZSB91DBpx7FvYkRtYGLnKrqsQimkXZkALtyzXqX94eMWkzjqQXBznM00N/5PV5Bfqte19E0zz
 hhanePhNr0fDO3jmOD7FcRIWCy+8gtd9mn7kz9uLFMlSR6DZguKD1mxV9PaYKg8b1I8XjGYJ05/y
 JTOdxsQw6wgv9C58QdiI7+G5sq6BABHwN6UDy2xNdHJbIhRSBGtegxk7qHBrd+MOJ63PX2EpyUFA
 5hdqEuI4UOU44p9jpGxZs53vRA6Ax2/MkADhY/xp9/Ned8Hi7rYolbTfrQGn3Z0wnZtfn9+tpItT
 fnjc3srofOThAv99i/gv02xVxl1s1vLiLQJq54rCCYmsw6/rgwRaW46Sa0kve/c3JwTVRRwvQNdK
 5MokROiqNLWhlTfvUhUKG+5SUiFBMFeoNUeYySJiF6KyY+cHI0XUtS24Rx3/Epo4bWi4eseMPex6
 S1c+9Av9BPMScRVP1FneCyfDKw90cmegqnUoDoL/FAt1H7yq5VXx8luhu+2RKEGRe/AYpiWzweqt
 BIUWJwztrohdoIhND69L8JdiK8idgE+LDxS6RzZlVOiJohQZpPrNMdkhWTzEX9kowQUs/nxQviqj
 ZfaW/cdw+3lFhzEDftNcTyB4fRw6/QJbqByTUSe06dxZY6W0XVJZr5dJqbUqY8VYY=
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 12/39] gnu: rust-tracing-core-0.1: Update to 0.1.21.
Date: Wed, 12 Jan 2022 23:27:32 +0800
X-OQ-MSGID: <fe7c993586610a7b5c470a399240cb0a9139b628.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-tracing-core-0.1): Update
 to 0.1.21. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed,
 2 insertions(+), 
 2 deletions(-) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index a0a300fed2..0a86a703f6 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -59237,14 +59237,14 @@ (de [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.58.69 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-tracing-core-0.1): Update
    to 0.1.21. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed, 2 insertions(+),
    2 deletions(-) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index a0a300fed2..0a86a703f6 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -59237,14 +59237,14 @@ (de [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.58.69 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-tracing-core-0.1): Update to 0.1.21.
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a0a300fed2..0a86a703f6 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -59237,14 +59237,14 @@ (define-public rust-tracing-attributes-0.1
 (define-public rust-tracing-core-0.1
   (package
     (name "rust-tracing-core")
-    (version "0.1.17")
+    (version "0.1.21")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "tracing-core" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0pvbgv301vw6dq4krc14yqbyyixb42lcs4s57xw05llkgy9f63gm"))))
+        (base32 "1r262wskhm6wmc5i2bxz44nglyzqaq3x50s0h5q0ffdq6xbdckhz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:40 2022
Received: from localhost ([127.0.0.1]:58616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fY9-0002DW-P3
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:40 -0500
Received: from out203-205-221-202.mail.qq.com ([203.205.221.202]:39691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXn-000287-E4
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001280; bh=6/vVSFAyXHuTlRFAtMT3bOLVV6Rh9rGTZCrwSzLYNX4=;
 h=From:To:Subject:Date;
 b=Hqye5EhWuOJPR7otz+uJHfQenqgXLtRUm6muGMnk2c7uhkrhS3Zx/YByS83WX9TRH
 tZnhS3ofCDWuCbUF4Kv+KMcP1u+HAuTeg7Js5Hqc6B5sxd9yzQJo5mV4FYWF0YQDRl
 AOK+GS2p8oNTakqz+GYnZ9G1u3rNfwLi1Fp2kkcY=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001279ta3qm8m24
Message-ID: <tencent_EC81EB7895BB9674D4DA6DA2A4726519FE0A@HIDDEN>
X-QQ-XMAILINFO: M8o2Od2oQ7Hy7U6TPoNN6TQwkMZiw+Zymjhv+84YzUHv8tVrMmfxdFgf7UYc5w
 K431mLiRJNGspvJqLFXCYmKxTqILcyq1I6myV9ms2hclzkRoBJvOfnUhtIAPnQUArg65a0Bk0CV5
 aM2rD3Fd/lGicnYSXTZs/81J+WGEyUCTjhxxQKfVjNLC6TrHno3r7T6pFRoNY+QJ5GptnaCtCgF2
 CDj5dCT7jzUsiF9G62/kIksqSVAcgdzVLf/HiGxLPgxwvJgWJ1lzjsxsiPN7nF4aDfpqe+VI3yxP
 b2yzxoNSTTn/+NbdI2YLFNL6bqX5lWA5PQfcSx+ZsYQlJRlseNS2v/NZNBf87eHp73JXqlLpuVlL
 7wlB7CcVOWb46Et8vSzzqbJtyzZbj6kQc3MXaRLyht+Iog/cCQgkFytGGdBYusrhsaCANCBspeH1
 nm6RyjH7OIXatW/bqY2lSs4z1cxzCvpkB3iGr93fBvltuM9eRd5/XRCS2GFv6QeY62IU5Bl9nWu8
 mki1fV/qnTm9PtZKu+wu41JxHixn0M1P49UQKX9SqVg8y7IZtEkRncli1d3+DxHPczZ3l6//mLxB
 qtBv6EG4Q27yvnptatJETwjZR1xIwKClVuPKRpS02cYNKnbYQ6cj7jwbKPbWEtZANGaN9oLEOvwl
 mv4eS2C08zzC2BIRKuITGGJ0Ky2Lqh4MV/cPkZc6bBfri7EbV755oAdPy6iGJTHXI/bXpbIQp6rG
 9QhCIs7BHTV/PN5WtFr0iKjFIBpr/wIhZNqjw4RkiSQCTCYue2tjapFHIRivMb1GVeW4glPVN6Em
 A=
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 01/39] gnu: Add rust-typed-arena-2.
Date: Wed, 12 Jan 2022 23:27:21 +0800
X-OQ-MSGID: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-typed-arena-2): New
 variable.
 (rust-typed-arena-1): Inherit from above. --- gnu/packages/crates-io.scm
 | 26 +++++++++++++++++++++----- 1 file changed, 21 insertions( [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.221.202 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.221.202 listed in wl.mailspike.net]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 T_SPF_HELO_TEMPERROR   SPF: test of HELO record failed (temperror)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-typed-arena-2): New variable.
    (rust-typed-arena-1): Inherit from above. --- gnu/packages/crates-io.scm
   | 26 +++++++++++++++++++++----- 1 file changed, 21 insertions( [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-typed-arena-2): New variable.
(rust-typed-arena-1): Inherit from above.
---
 gnu/packages/crates-io.scm | 26 +++++++++++++++++++++-----
 1 file changed, 21 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 15e67d5561..dd91abd5e5 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -14,7 +14,7 @@
 ;;; Copyright © 2020 Antoine Côté <antoine.cote@HIDDEN>
 ;;; Copyright © 2021, 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2021 aecepoglu <aecepoglu@HIDDEN>
-;;; Copyright © 2021 Zheng Junjie <873216071@HIDDEN>
+;;; Copyright © 2021, 2022 Zheng Junjie <873216071@HIDDEN>
 ;;; Copyright © 2021 Alexandru-Sergiu Marton <brown121407@HIDDEN>
 ;;; Copyright © 2021 Antero Mejr <antero@HIDDEN>
 ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
@@ -22,7 +22,6 @@
 ;;; Copyright © 2021 Petr Hodina <phodina@HIDDEN>
 ;;; Copyright © 2021 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2021 Jacob Hrbek <kreyren@HIDDEN>
-;;; Copyright © 2021 Zheng Junjie <873216071@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -60791,10 +60790,10 @@ (define-public rust-typeable-0.1
     (description "Exposes Typeable, for getting TypeIds at runtime.")
     (license license:expat)))
 
-(define-public rust-typed-arena-1
+(define-public rust-typed-arena-2
   (package
     (name "rust-typed-arena")
-    (version "1.4.1")
+    (version "2.0.1")
     (source
      (origin
        (method url-fetch)
@@ -60803,7 +60802,7 @@ (define-public rust-typed-arena-1
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1i8yczhwcy0nnrxqck1lql3i7hvg95l0vw0dbgfb92zkms96mh66"))))
+         "1bnhphrksp9krxhsfhfimrxvkbah2pa6rf9ygmpw5lalbm6wi186"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://github.com/SimonSapin/rust-typed-arena")
@@ -60812,6 +60811,23 @@ (define-public rust-typed-arena-1
      "The arena, a fast but limited type of allocator.")
     (license license:expat)))
 
+(define-public rust-typed-arena-1
+  (package
+    (inherit rust-typed-arena-2)
+    (name "rust-typed-arena")
+    (version "1.4.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "typed-arena" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1i8yczhwcy0nnrxqck1lql3i7hvg95l0vw0dbgfb92zkms96mh66"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))))
+
 (define-public rust-typed-builder-0.5
   (package
     (name "rust-typed-builder")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:33 2022
Received: from localhost ([127.0.0.1]:58614 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fY9-0002DN-Bk
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:33 -0500
Received: from out203-205-221-233.mail.qq.com ([203.205.221.233]:38478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXp-00028N-AH
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001286; bh=FAQJl/fFkE946eg/V27fAUGVbQVC79uRbizD4L4K/Tk=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=KVcOc2cuDpvRuWevGbTgQN1PyB4yOHsbTuPhaA8BK8aZkacl4ggLBVEFO1wM61cfV
 26uGg6yklsYALCo2Umt29WTrXKgG4Rcm9ws6ivkMFKVdTMMVktT0C9NisDkldYQ1+z
 utH9cg7VNcrWW/Q0wzVquLws+L6GVnI/FP/jMkp0=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001285t5dle2kc5
Message-ID: <tencent_B66A6ED6F1DF8DCE56B965494AEDDDA67D06@HIDDEN>
X-QQ-XMAILINFO: MJ0QbbALek+q5LWo+4gGZH+Rs9FfKcPXX0FDOoTD6d/CMThUtTk7NVZ7V6r5kZ
 YZVkF9GyD3kq9cXIenvcYNABxntgRDAPJTIaBlPkr6K0hjr+nm8sv6zcTMXF5y9ziGjPgmZa1KIU
 vNHvdU3KUDPodKhjY/0vcFkRdy/yijOFG/XfgadSwyInw9SdHIii1EQEubzE+zAD+ZZVL+S6odCU
 QxdQz4a7IGN8zhuH03F4eDRzOePoHZpGKY/guotXyzWN8l74kBHpKMjs9vla3SyzRdiuqQGAiGAJ
 zOhRA+ZNqpFeO9vWRmPRjjYcfhmVjvQ2/KWgDLRKVYt7qQbTxndY4KhAKKoQkm+9IUgLFbnmqDKw
 dxkS+6UOQ/sF3mk/pK/MhbBfG5BxvT7tvmQDBlrPQ8uCJ7gZXMbwpbSbPj4BlnMy/2qSczzSnKCV
 YR0kRhQwjp3/iCVb312AIRZdUtJbpGMJuSInxhFl4DfQTtlrhKFT0OdOqx5tWoWy04WHYLR2m/Zy
 knaVFaowEnNfctJQf+lHNDITo88e7K4QlCN49pCQoe4FwnHZeQWoaMdcI4wnnvKsY+Ablm6WKZzS
 nyyKh5l8QCMhykmhMIIO24tD0Fn2UJpahSx/w/pKzxuks/3gK6kjBPigWjx0QIMOH71rffekRUgZ
 XFUba6E2x96xxi6LHprleT4sF18z4RsGkG/9FZzMPOJ57Yv92ImOXfL87IGv6JB1BcsrZ7xZ2+B3
 9HJ41Z0VhfUqY2gZA1WfDYvMx1HGGWAwJGbrBC3udEhkspUTwxYvwDGTVyyPr62IS/0+cLj69uOY
 gwN3K8fedijTvBIICGlVlg
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 10/39] gnu: Add rust-miow-0.4.
Date: Wed, 12 Jan 2022 23:27:30 +0800
X-OQ-MSGID: <5151020b24982532bcfabab139c0400506ffb3c1.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-miow-0.4): New variable.
 (rust-miow-0.3): Inherit from above. --- gnu/packages/crates-io.scm | 31
 +++++++++++++++++++++++++------ 1 file changed, 25 insertions(+), 6 [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.221.233 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.221.233 listed in wl.mailspike.net]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-miow-0.4): New variable.
    (rust-miow-0.3): Inherit from above. --- gnu/packages/crates-io.scm | 31
   +++++++++++++++++++++++++------ 1 file changed, 25 insertions(+), 6 [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.221.233 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.221.233 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-miow-0.4): New variable.
(rust-miow-0.3): Inherit from above.
---
 gnu/packages/crates-io.scm | 31 +++++++++++++++++++++++++------
 1 file changed, 25 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 96449fe37b..a866f80b35 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -31488,24 +31488,24 @@ (define-public rust-mio-uds-0.6
      "Unix domain socket bindings for mio.")
     (license (list license:asl2.0 license:expat))))
 
-(define-public rust-miow-0.3
+(define-public rust-miow-0.4
   (package
     (name "rust-miow")
-    (version "0.3.6")
+    (version "0.4.0")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "miow" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "15sqdhh29dqgw5xh59clwv6scbsbvdkbmdc16hbfvyq7b2sw2css"))))
+        (base32 "03p0dgbahlysgxk0sihhf09k5h13r9aam3d6rfivdbxkj9vpydx7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-       (("rust-socket2" ,rust-socket2-0.3)
-        ("rust-winapi" ,rust-winapi-0.3))
+       (("rust-windows-sys" ,rust-windows-sys-0.28))
        #:cargo-development-inputs
-       (("rust-rand" ,rust-rand-0.4))))
+       (("rust-rand" ,rust-rand-0.8)
+        ("rust-socket2" ,rust-socket2-0.4))))
     (home-page "https://github.com/alexcrichton/miow")
     (synopsis "Rust I/O library for Windows")
     (description
@@ -31514,6 +31514,25 @@ (define-public rust-miow-0.3
     (license (list license:asl2.0
                    license:expat))))
 
+(define-public rust-miow-0.3
+  (package
+    (inherit rust-miow-0.4)
+    (name "rust-miow")
+    (version "0.3.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "miow" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "15sqdhh29dqgw5xh59clwv6scbsbvdkbmdc16hbfvyq7b2sw2css"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-socket2" ,rust-socket2-0.3)
+        ("rust-winapi" ,rust-winapi-0.3))
+       #:cargo-development-inputs
+       (("rust-rand" ,rust-rand-0.4))))))
+
 (define-public rust-miow-0.2
   (package
     (inherit rust-miow-0.3)
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:33 2022
Received: from localhost ([127.0.0.1]:58600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fXz-0002C6-F5
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:33 -0500
Received: from out203-205-221-155.mail.qq.com ([203.205.221.155]:59693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXo-00028M-Ku
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:15 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001285; bh=935bqds+x1bdiNjS25vu2qiW3eKT1HLyi7+blYibQJc=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=sHyEsaJ4yH1Ybi2wJTUpsm0Uy7p+wwx+oXHcdGGWLmm9HeXfBksZSps076sN/tX09
 lCx4gYGiWQW4tTgTFQRpliahTfWtv0KvhrpCqjncJdV1hj0YQ/ciStIc7mYKERHCWL
 Tp9hX/ILQp1caif2bo12xeGS7sUrsM8GHTSpxfyI=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001284thxrdvm4o
Message-ID: <tencent_084C16FE5F81CE7DF9400944EDFEE67AAA06@HIDDEN>
X-QQ-XMAILINFO: MDdVdBv/I9wJxxp22tJ8PRZUN/rjzjMncdHPkRvdveOV9/qZrdJ8qZ961A4OWg
 5Wjapm7ZJSTWO1/nb+WxE2bvcMDty7M+IIICzyrpxyu5d3XyuYxzygTrPgqtW9J3ocrXnq78TdsY
 5F1RFqZ4F5zUBuTl1+MvnWLl57dwJrmvBhCl8oVwVDYE7XFCWz5n86Fr71J9jq8j9j5N8jhuB45+
 8b1OLpbZptzBD6Fuu5gyMqnzOXgSrSN8oN4FA1oKokGN8LSE/fqj7mqlYj3EaLSxTHPMRSyosEz6
 ZQyDvwcPTiI31n+5RdX5bBC22y3BszQySROfjNLPIw2DzmZwTdjUZtN2QhYov8zeRyIhTd24Tu+D
 dChVN0zUmue5pU944vGHwLBeJmN3lMoQPKBvFjMvdz4jB7rDrgSeg3d/jSzNxiUsi2Dk4l/Wm9rY
 Ggyph13/MMuSA8ff0n1RjmpU0Zc0dg/m407Rwuwwbm3Jl9gInKARZehoLC+DxNPdUD91YYgksNm5
 SLegJNdxkzwKurMYOonKZvm3XXFzvltbih/ohwOyf6alh1rRZfQonvlCOjA/loh+N23xo4uQU9gj
 rm1wZA+BgEkDqfsgHgnG21rUUiXc2isXJyYTe5EZCBHwh5PvihuCmdJo6DxNROYW7DCBC+8r84OO
 QHtORTLLD6YXwXhBY/OJKhDmCNV2b+DUP24lg6O/E4o8qW5QsHhFwVIry07lx/OdyMw9LqxS8lEZ
 DcMRTbkmntoTFsC65CzXa+sxN5WEs1LcIgIgFJ7gp7Rbm12t8p+3Px1jvjdPYrXvQHUiEfO2rwNs
 E=
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 09/39] gnu: Add rust-windows-sys-0.28.
Date: Wed, 12 Jan 2022 23:27:29 +0800
X-OQ-MSGID: <971c56343721a1f25a0e6855fab2b25c8276a1a2.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/crates-io.scm (rust-windows-sys-0.28): New
 variable. --- gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++ 1
 file changed,
 26 insertions(+) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index 2d682b3a17..96449fe37b 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -65621,6 +65621,32 @@ (def [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.221.155 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 TVD_SPACE_RATIO        No description available.
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-windows-sys-0.28): New
   variable. --- gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++ 1
    file changed, 26 insertions(+) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index 2d682b3a17..96449fe37b 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -65621,6 +65621,32 @@ (def [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.221.155 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 T_SPF_HELO_TEMPERROR   SPF: test of HELO record failed (temperror)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 TVD_SPACE_RATIO        No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-windows-sys-0.28): New variable.
---
 gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2d682b3a17..96449fe37b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -65621,6 +65621,32 @@ (define-public rust-windows-aarch64-msvc-0.28
     (description "Code gen support for the windows crate")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-sys-0.28
+  (package
+    (name "rust-windows-sys")
+    (version "0.28.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1xkghf343nll9i1yvha1a4spf53mnb5knzmnqj9adgsw5mh3kjl2"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-windows-aarch64-msvc" ,rust-windows-aarch64-msvc-0.28)
+        ("rust-windows-i686-gnu" ,rust-windows-i686-gnu-0.28)
+        ("rust-windows-i686-msvc" ,rust-windows-i686-msvc-0.28)
+        ("rust-windows-x86-64-gnu" ,rust-windows-x86-64-gnu-0.28)
+        ("rust-windows-x86-64-msvc" ,rust-windows-x86-64-msvc-0.28))))
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "Rust for Windows")
+    (description "Rust for Windows")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-windows-gen-0.9
   (package
     (name "rust-windows-gen")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:23 2022
Received: from localhost ([127.0.0.1]:58598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fXz-0002Bs-1g
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:23 -0500
Received: from out203-205-221-250.mail.qq.com ([203.205.221.250]:58224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXp-00028P-R1
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:15 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001286; bh=GsP0M16Ajbe5WPSgdKm++7nAxvyiq0DROn/Il1bc0ns=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=Pcqy8EXXncuSSp+bxZlZ4paTrrWPHnxCvEf+7Ef83C8UlNz+Vjeo925vPuW8PLw2d
 7S1ScJabnTE9jkAX2onm60svD4jQbIYKpk6tCGGbw6iYsCglLFVHUdfnyqHLTLAYQB
 ixYS0bY92Di+G32VyGUjQyd+//+eS3laKqpSGTHE=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001285tfmvygk53
Message-ID: <tencent_85B33415290BF70F5A67BBBCADA4BAB66E05@HIDDEN>
X-QQ-XMAILINFO: NMUFH66yev6FvqYGLFCke6YJz7Mle8qv69JirZOCZ68ACfF/Lvnsso8uicAUfL
 YGcL3uR9TFMMjP5vx22GmrfAXa+fSeknyMIivwCiNZO697mHpXe+0bwC+r0KkZOTUhU6ATMkA0eJ
 IQ6jg+Br32IlgiM8T6mqU2EmoKz1LpcT8pH50IYzoT1OeZew+IZ2RHuJgPq6hbqvUypQThuNp0Rs
 fHcj5BaePvo6BjQGU72HNdNiAT+s3U4FBj6744mkHbUfKrelCCVsfX2n2ojkHeqHUkD1iptUBy46
 EloRAZRuclczziDJ7kNKFFogT3H1LDsUyCYbg97n8uUUls/dYoU1Ph1Cwj8u9BoUE8RvOUZXghEu
 od1J1eMcgqGk2Z6r38BN9Dk04T/8aKMgDKeRAVV882fbXbFAG62Jo/Ie5SAyhFUi6SiOGTSwBWzS
 C80gpV98mCmt3rQu68u5keF2gehB83sms8p3V7S5pkrLLSoCKjQ/FuEKI6S94xWnWvfHQimpZDag
 5PnymANFFUSn7VlsR+OouWqwhK16xMRNlKW6CUE0Aiegu4xIslk4VM2ic04t66cDcFMKWNnKHXbo
 28kkPr28CQehYC+wFrcFZM2KBe3YlMjUWqaCDzXTnmPj+12Ofh+Xx5KOoT21omzoeydWsrhBcqdX
 1Pvf7gZxLtIfCgSil3r1TBgZXxSl8nMTyVvg8zH18guEa7H2qNdr1xd7ifGH0uzfUZqjjpIHMiDj
 bmVb3jtXCIPM2zNMK3c/ThSJADtJM6LBZ1wiCLCuQg7eX1ZG+nDvnczqKllFE2H5VXcJmBycHBTr
 s66QBDwmzjBsqmBoNMTFX3NoL2itGdj22DzyWhy7J+3RtLmWJactymkIuCpy3NHAWCq4a6GGqibw
 ==
X-QQ-SPAM: true
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 11/39] gnu: rust-smol-str-0.1: Update to 0.1.21.
Date: Wed, 12 Jan 2022 23:27:31 +0800
X-OQ-MSGID: <a354aad65325a8eaeb4b8ccc1e371db8f77311ed.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-smol-str-0.1): Update to
 0.1.21. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed, 2 insertions(+),
 2 deletions(-) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index a866f80b35..a0a300fed2 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -51487,7 +51487,7 @@ (defi [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.221.250 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [203.205.221.250 listed in wl.mailspike.net]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-smol-str-0.1): Update to
    0.1.21. --- gnu/packages/crates-io.scm | 4 ++-- 1 file changed, 2 insertions(+),
    2 deletions(-) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index a866f80b35..a0a300fed2 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -51487,7 +51487,7 @@ (defi [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [203.205.221.250 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.221.250 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-smol-str-0.1): Update to 0.1.21.
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a866f80b35..a0a300fed2 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -51487,7 +51487,7 @@ (define-public rust-smol-0.1
 (define-public rust-smol-str-0.1
   (package
     (name "rust-smol-str")
-    (version "0.1.17")
+    (version "0.1.21")
     (source
      (origin
        (method url-fetch)
@@ -51496,7 +51496,7 @@ (define-public rust-smol-str-0.1
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1srj7gd14cllfwh55jwmid425rz2idpvbw7ly08448r97b7gg83c"))))
+         "1gb14a85k6mzpn6s78flwvfl5vy1czsrzlwcgidy7k00wf1mrlb1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:23 2022
Received: from localhost ([127.0.0.1]:58595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fXy-0002BX-Az
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:22 -0500
Received: from out203-205-221-209.mail.qq.com ([203.205.221.209]:57034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXp-00028K-4L
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:15 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001285; bh=OfTDKceTmqZILmPBEB88xGfZUebE0/eKUA1tlC0uMJU=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=PetZinsTpMEYWYZ0pHHFuPiapqaghiWMhtmDPowCAiKTW1vg81Y9XDu9i89XXrOMM
 okAarywAJMuUAbaKLfaJyhykUbNCSZVbSQPaqIWSSw8UwNRBbGdpCzIPS2yHD8mzqU
 WORd1MvrpMYgYqWkwnOuio1PiZI5WfPcc2VoUoC8=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001284tw50732f6
Message-ID: <tencent_8ACEDFA74E65794689526DE766516A511606@HIDDEN>
X-QQ-XMAILINFO: NV9lVvsB36Op6D+bMsByWNqK12ruLR2L48K7l3gBCDcXaAE4S6p9SsVe5Z+p/e
 Ckmq+yvPxae2GKC0YRY3nUQaHvQHyMloKPtK5mJ1GxjAhfMleA30wmiF6Pcp+mfnI6zAzIQvBRqG
 QqLodhaBVO6iCMedDm4NDSUZKxq3TW4jzWGXH6E6PnxtUo7AhB1jJbxJ1OL7JyapmWBO2bRXc4we
 tGzHXwamc7IxCdFY5z5/9XahXCPnYfCIet9TU8hFa2LZiQYIslNTFgrxOuCVUo7ZGbdeNfidHRjC
 X/kGIVwY0pUzggSzpBzr0cM6wTXyMAwBX/vuaa4WI8JRzQTcYmsKv/mL0kFPHRZMfXMX0elzoi5d
 QtAlAJdyBhVgrgc5e8y14rnvg3KscNsk+60rJQETHuyyhJzX68HU4C20tydCCqNM+k54DeIQ4u/S
 rsIj5FoaOEJ2DB6nH/xD6J43nZStHxMZyAKClYIAk+0dLq8DzvrfvDrOVh36V49pJEA031e3zLOk
 iutSMrx/qDN9mPo8pzgVd5yiMcksfRN95rv84NToYphjMznyKuifcExFfQykemERHKT/F1Tq/j+j
 2qfDWN3j405A2BHj+/E19pST+za8M4j0A6yDoHP+Pj5pK3keSdfA9tkTioEoUBktdKJuZSkMmutT
 mUdY8IgvEJqx8X8zdu1KuKGrvLqqaVTkgKpYZqsGI67sxREAZml3f4HRYCHZyfXkAtASY+RS1uWk
 +bVik8dxKzkfoWofynoFtvdw1RaE0pk+G+0pAPsWxN6Y0wobInpk7I8CqA8RwsbIt2QBFGTsOQED
 g7Wcn40i179IM4wTLgTxEUpe6+Z3xZCUMJVbZuaNx3Z/uSmtQjPkBhw3H5+5/q4no=
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 08/39] gnu: Add rust-windows-aarch64-msvc-0.28.
Date: Wed, 12 Jan 2022 23:27:28 +0800
X-OQ-MSGID: <3e4bbc9c804ff4851bc9da480fc4d3ff06f0d9e3.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm
 (rust-windows-aarch64-msvc-0.28):
 New variable. --- gnu/packages/crates-io.scm | 18 ++++++++++++++++++ 1 file
 changed,
 18 insertions(+) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index ca5310dab7..2d682b3a17 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -65603,6 +65603,24 @@ (def [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.221.209 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-windows-aarch64-msvc-0.28):
    New variable. --- gnu/packages/crates-io.scm | 18 ++++++++++++++++++ 1 file
    changed, 18 insertions(+) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index ca5310dab7..2d682b3a17 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -65603,6 +65603,24 @@ (def [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.221.209 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-windows-aarch64-msvc-0.28): New variable.
---
 gnu/packages/crates-io.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index ca5310dab7..2d682b3a17 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -65603,6 +65603,24 @@ (define-public rust-windows-i686-gnu-0.28
     (description "Code gen support for the windows crate")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-aarch64-msvc-0.28
+  (package
+    (name "rust-windows-aarch64-msvc")
+    (version "0.28.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows_aarch64_msvc" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1hpk0n2z0jzzvwlvs98b75sa4q920953nqfc119rv19nwm0mlsaj"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "Code gen support for the windows crate")
+    (description "Code gen support for the windows crate")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-windows-gen-0.9
   (package
     (name "rust-windows-gen")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:22 2022
Received: from localhost ([127.0.0.1]:58591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fXx-0002BK-LU
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:22 -0500
Received: from out203-205-251-72.mail.qq.com ([203.205.251.72]:50840)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXm-00028E-JA
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001283; bh=wB20/9xmUNl3Le5lu6V+wBZx9ow9AbY40i5aWHG6/20=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=aQgpy68u5+KeNJy22K/oJpHy6v7PFDbfx+TsfzaL0R8c0k/qmV2ZkhUh2oF/9V503
 Xd6ETt2cJITPDp0dDVuKGfh/ayg6vZOEhY3wd+2mHVkvOd9Pmm2fGueqjo5P+JVmGP
 ImfMQvvcWZ449mNf02aMTC4mw8Hnz7B1BwmxtNo4=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001282tum4ayz2x
Message-ID: <tencent_05CDA85481ACC2BF0F9DA372B712B85ABE07@HIDDEN>
X-QQ-XMAILINFO: MGLtPVEV0N3gOKue1+Hj1ceRpnJF6xkfyL4RTrcxXBwY+skf2iCPrKdXxEbf7Y
 Li7fa5gYyckB/cu1ECrlzVnUa1oezmhG3ofJS3AHH0TnaDpEuNu16gb0tTI83r/F+hiYXuQ3jCae
 cJFoplrSEwWXnvPB6UKsjp0j8CThiEWIEgW0LYB6j3Gc0syCNYUbETuCnSzOYkxYw0JpuKMAHw+o
 v+8E1A7k8bmLZImu6yXzM7uz7+JUR07HNXJ86qIQbaM5DdXJ+dh5fX1rADqDouzxCeYbXvvihmBy
 s6bMbTWRV1V8BNaEuwonRNPZ7sFzoeVdXGEjUzImSBlPrOktCCdyPYO+KBqHvDgfg3A51i9QynD0
 AuNCh9pjRZmlMY3xFklL7+DYscrFtHQ3TckX08zWE707+RMM57l+S1zNkrRc+c890PqvHBU7q41R
 xZATDjg4jfLFVUXDwij0vNsZr+0KqlMrdgoGJ2cankBrZQrmkze6w/U10wfPzEmLeYvwX9F+S6E3
 31npd/D6HBS9o73wTad7iRQiz+4+ciiaMdIYnKF1bUc31Q8jQUbV4VqeTe3QC2iAhdufrMxDwZYk
 PSD1M1+UlqPLO7iySzdO7RxwIgFhQU6RHSGWtag8Oq6t8n6I1Fc/hq9nG4F740tNvsbpTlYg1u8C
 d/pdVseMKqzpwBoeqvDB62q8uaz2KdLEsVBLydSQohUkBl5QKbt8EHg1etw7LXKrdWOpTb2GMKAe
 nmYoqp0Fpj5d19W1pa7uBtah09KGq/sSd/zhAit3iU8luUH4y8111QEIUMwPFqk7XZCzm4gyww6S
 9Ea9tzdpNNOJ+qbXCPBtgtVDkmeD7KvIQ=
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 05/39] gnu: Add rust-windows-x86-64-gnu-0.28.
Date: Wed, 12 Jan 2022 23:27:25 +0800
X-OQ-MSGID: <fd66de23406926f42b22c4c3aee124ccebd7e554.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-windows-x86-64-gnu-0.28):
 New variable. --- gnu/packages/crates-io.scm | 18 ++++++++++++++++++ 1 file
 changed,
 18 insertions(+) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index ebcf4e26a8..8aa03b6325 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -65549,6 +65549,24 @@ (def [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.251.72 listed in wl.mailspike.net]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.72 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-windows-x86-64-gnu-0.28):
    New variable. --- gnu/packages/crates-io.scm | 18 ++++++++++++++++++ 1 file
    changed, 18 insertions(+) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index ebcf4e26a8..8aa03b6325 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -65549,6 +65549,24 @@ (def [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.251.72 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.72 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-windows-x86-64-gnu-0.28): New variable.
---
 gnu/packages/crates-io.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index ebcf4e26a8..8aa03b6325 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -65549,6 +65549,24 @@ (define-public rust-windows-x86-64-msvc-0.28
     (description "Code gen support for the windows crate")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-x86-64-gnu-0.28
+  (package
+    (name "rust-windows-x86-64-gnu")
+    (version "0.28.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows_x86_64_gnu" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0m79bhdr54g4h4wh2q8wkjlkypb5wvl7xzhc2csiaqb5yl4z8cdw"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "Code gen support for the windows crate")
+    (description "Code gen support for the windows crate")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-windows-gen-0.9
   (package
     (name "rust-windows-gen")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:21 2022
Received: from localhost ([127.0.0.1]:58588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fXx-0002BC-7o
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:21 -0500
Received: from out203-205-221-236.mail.qq.com ([203.205.221.236]:54020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXm-00028B-Io
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001282; bh=gJDoynMKKwzy/rB1hbZTB+I7jziGrSBYGuKIpPvm5bo=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=rdugZOFFqmig9jLB5mQzETp7SxA53kJDrUcvywe4EuJhFhnf75h5wMjXgSfGGD2mV
 OHAl248BxhSl8mzo0VmdHxVdW0ZQdxvYiSsGMYnPT+XryUD69YV2wvt92bUmVbcSQr
 ro5VMf6kjf1fBKcRti/HxOt3HnVjf4+i0i5vDHIs=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001281tb6q73yup
Message-ID: <tencent_69655DFC85EA4895E795A0D4766D8EA51A0A@HIDDEN>
X-QQ-XMAILINFO: MiteqUjxkHx7oiCRxlK4EPlOLJFRxICtOvNmmOOdLBIC9kqZ+7ZO4Y+HbFSDnt
 dHS9IkTJno2l0j6Pxh4WW5Dk+YFEIir6ByxAvSHIWSQiurmHJFKEUQzIxwrwj0jtUYH5AqedN3VA
 Fm89SpQbWLL8JL2mPhuPDrL2W1X7xV8tRTnxK4QEKfAzXICaD1DHZ7CdyWaZBZub2ZoY4jIkTv/b
 VLmoXYuaxSeToZgTi4AJKBeUVB7zxqgt7Fh+PoUHzTNfN2lWM0wPaB/nEz7bmOBBWbV6cxQ9xT2N
 ieKtz44x8Jtm3aRMwXVxX3S3SX6y5cVUNHXqTK3FWrESWVG5zXy1P5r65+MdhMb2yBxSHwC/W7Xa
 bIDPeXIc677VxZ4LtR+OIz0jcuAlx71nnyTRcGXdaOa6OSAWmeh1cT6EyRL7/CiFhsAWg5zl15Id
 EJzHhkH8V23eeBtXyRXgk+52jDcuxEpuUeChbA4UijX2S3/ft9LWx8ePZ0N2n6+rifaahEJBcS9P
 YMR7a7U5cgKDiby9uR0eR/ZHMnDvJS4PBZh5NCYliu1Ezpx/tvI9q8S6g21cOS8MReKkDK9Ye5Kr
 1EIir9k6mMevuj8Rn22qdLNktVVtHouC3OqfLxXHgJsPTd4Wb0Pzs6sfh2aMVEU6stt+EnqtuoSO
 3lm8e7YZm15f+BrIyQ7Ur72dS2HXisP+Zstq0kfogv35kV7Svn/47BKEItrdk4xBDkZj2WUxOfqz
 20MEuRnVySOc8Xl4WF2A/KMMAsYxEBlZ5GyCr0fRQvb8Oval7m/V/5/VbRMpGCMzp+bH5EPmsfCO
 lP0n195/ePxFwPCjPeN/KxrVqVom1H45S34WFdXim6DF5VKJsxQ9BU
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 03/39] gnu: Add rust-countme-3.
Date: Wed, 12 Jan 2022 23:27:23 +0800
X-OQ-MSGID: <bb1aac2e18321e533545c10cd7b8e218def4fbe8.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-countme-3): New variable.
 (rust-countme-2): Inherit from above. --- gnu/packages/crates-io.scm | 27
 ++++++++++++++++++++++++--- 1 file changed, 24 insertions(+), 3 d [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.221.236 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.221.236 listed in wl.mailspike.net]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-countme-3): New variable.
    (rust-countme-2): Inherit from above. --- gnu/packages/crates-io.scm | 27
    ++++++++++++++++++++++++--- 1 file changed, 24 insertions(+), 3 d [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.221.236 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.221.236 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-countme-3): New variable.
(rust-countme-2): Inherit from above.
---
 gnu/packages/crates-io.scm | 27 ++++++++++++++++++++++++---
 1 file changed, 24 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 3d7b407286..a64adda4fc 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -11745,10 +11745,10 @@ (define-public rust-cov-mark-1
     (description "This package provides a Manual coverage marks.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-countme-2
+(define-public rust-countme-3
   (package
     (name "rust-countme")
-    (version "2.0.4")
+    (version "3.0.0")
     (source
      (origin
        (method url-fetch)
@@ -11757,7 +11757,7 @@ (define-public rust-countme-2
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "0n6bzg2g6gsmgabyzbcfkyb9y9mzxsvavng85d04wkdsvhmq52rj"))))
+         "10z4r1xx77sr8axp3lsgc0azidazwgnhpzig2gcx5dfrdl66wx03"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -11771,6 +11771,27 @@ (define-public rust-countme-2
      "This package provides a counts the number of live instances of types.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-countme-2
+  (package
+    (inherit rust-countme-3)
+    (name "rust-countme")
+    (version "2.0.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "countme" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0n6bzg2g6gsmgabyzbcfkyb9y9mzxsvavng85d04wkdsvhmq52rj"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-dashmap" ,rust-dashmap-4)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-rustc-hash" ,rust-rustc-hash-1))))))
+
 (define-public rust-cpp-demangle-0.3
   (package
     (name "rust-cpp-demangle")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:21 2022
Received: from localhost ([127.0.0.1]:58586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fXw-0002Ay-N2
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:21 -0500
Received: from out203-205-251-59.mail.qq.com ([203.205.251.59]:41658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXo-00028F-AP
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001283; bh=ZsN25NCpYxrGyIZW+r72kBfui8eDgk5YesDJHe7YEYQ=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=d7KAVuwcTd15ZHajTafuZ9/njaeRUZd2PclBpVqzUZ+nZaYH21l7QghEL6ztUzmTO
 wRNL6zppFTMdQ2+hVlk30pjFj9gWHq9N37srFRqo9XwZP1WX9MBaXEEXQzK5o7oJ2l
 DWRZGaG6uxhYYqjhXHoiwLlQlACQSjeH0KuGQR9Y=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001282tw5y6l6s1
Message-ID: <tencent_9FB884A4F6617327B53E0BE62F4D67B4FC05@HIDDEN>
X-QQ-XMAILINFO: MR6ooZLJgC3zcXTMhuzDDoKmtLDDe0/YwfsNgq4EtcWR6NR7hdnCVUptmRrpQX
 6I+G/BCUN8FnhZOb0u45Sxy/Pt0Ad5zO7bAZ6teAZFnj8O9E5KZT5iyugdTkeeYWLDF2YRja7F6N
 2aFiolWBr5b9Ae/nD4Rfe4REOjKvdzqR0muQnX5gzpldzWyJbEullbvdIR+siIdVXifqlDg5R9KT
 uHrdh1Borp9CG6+2IJACYm5uWDkLk4HogWZ4VpSYi8rhJAHT+YV9urLtOFI91mjv9I2jqrfizOr3
 YlrlNRXgkvmlwCFM3LWjJfibvDfSzFnF3dN6SDkLdZbCK8gJvstOwjhgfMZ54DhN1QXpA7VU+4fO
 jEDA2/zrfdRUoEcyQwDM5RBuzoEi71VwtuNLR4iYU7IvFTa2v0A4HC+T+hNp8261SwKgeR0K1Z3a
 Aer0VfaUtG/6AXsUj/u36KY7X4ff8Oqhh+49qEjndqWo7eiYrcsq97e8LLAf5MP53rZSzydoOiIV
 Vm6g3r3ZN1mQIUPusVobRW0dP5LVcAz6gcLwfHMkQnqlrommed/quYdoto0vFpS/VMd/fEKxbL3I
 IMgwIR3OUFJhkJNpi18LY1HjI/N/tBZbsAJhWvE0/319TjbNsxwX3/8oqoag12s/+pTjS06l79DB
 dr6bgnqtC/4LVAB+t8Xx0PzVwG6sWjQcFFGGuONpb64kDE0MzC3UroKLt52zu99jNz71+AlvEsKz
 Fp2YlR10Sp5tuDlITGjkXfIjYuL1TWXphtu+cqaxPANYEmSOq5WWGDUq9wl1DmGC/r9Bb3oZPjU3
 YTiNVrKiIk6pM3F1Lb0Dyqs7gM4OQy44zBUfty6Ii78uppKWs0gC617/GxHKvy3QA=
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 06/39] gnu: Add rust-windows-i686-msvc-0.28.
Date: Wed, 12 Jan 2022 23:27:26 +0800
X-OQ-MSGID: <1ac200ac77deab28a19c39752bf403b863e611f9.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-windows-i686-msvc-0.28):
 New variable. --- gnu/packages/crates-io.scm | 18 ++++++++++++++++++ 1 file
 changed,
 18 insertions(+) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index 8aa03b6325..ffc62120fa 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -65567,6 +65567,24 @@ (def [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.59 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [203.205.251.59 listed in wl.mailspike.net]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-windows-i686-msvc-0.28):
    New variable. --- gnu/packages/crates-io.scm | 18 ++++++++++++++++++ 1 file
    changed, 18 insertions(+) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index 8aa03b6325..ffc62120fa 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -65567,6 +65567,24 @@ (def [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [203.205.251.59 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.59 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-windows-i686-msvc-0.28): New variable.
---
 gnu/packages/crates-io.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 8aa03b6325..ffc62120fa 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -65567,6 +65567,24 @@ (define-public rust-windows-x86-64-gnu-0.28
     (description "Code gen support for the windows crate")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-i686-msvc-0.28
+  (package
+    (name "rust-windows-i686-msvc")
+    (version "0.28.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows_i686_msvc" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0r0z8s1wcdwd20azsdfilf2a6bz68xkavl990wy64hyc8f51bmai"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "Code gen support for the windows crate")
+    (description "Code gen support for the windows crate")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-windows-gen-0.9
   (package
     (name "rust-windows-gen")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:20 2022
Received: from localhost ([127.0.0.1]:58583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fXw-0002Av-Dk
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:20 -0500
Received: from out203-205-221-192.mail.qq.com ([203.205.221.192]:39413)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXm-00028C-Qz
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001282; bh=d2iG7JPbl6JjIsGam11m9xq/R+LP80w4/antpGSeHpg=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=bReo2VjX9rLzPFUg+2z3QlxIxo7NFrajUuaaVGry+nOkEwks9eLmzbiNl9dJxKsNR
 UgCyyIQZhQvQYqg1pccQNSn9bfylPRif3SgwQa21+BH/X6LurGLbKcRImCIptGmO8j
 6BRrUZ229OA7Vxq3U7b3+XkBiDp2hQVG7mhbyi5Y=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001281t5dpyuvl9
Message-ID: <tencent_722DC8A675AA52D6F5DF868E56395C894006@HIDDEN>
X-QQ-XMAILINFO: NEoGzTA04D+5XqBSfqpXX49libxlWR+R9907oS7Oh8vsfIPwjbV9M7JDQ8/Jr6
 CUQ4G1Itnu1Wp5mXpgM9/5m56Zl+kR2K35WXI1/R9VQFlCCUMMy6/RqLdEvA8Qc8p/wqTq5u/2xF
 MKEsXIVhNlx7Vl2CRAd/1T8HXdmFZ7+mTEUxGqvE3VnZ1opZk1MFkeoW6NAyFVBrEsdky9wpDmHa
 17oZkh1cAjYA9jl5uw6Tm2pbCl7+NsGhtU3nYfeSNtWxxUKDZcSZsKuhuwf9eCeJom2LBgBga4oU
 je8+nsPAOwnbKg5fFG0hidCyB7v4YonoFHta3s2Y5SUjUc+AKhLZ5+4FBJQbL4q9Y1ix1DoWmdJI
 Yhbgvc3YcZpgpHybHp39KvIfb76FaNxhODEaFWBxZXi/mcGt/yQAaB6oKwGul0Ek55YSrvJ5aCxp
 L7j5+SyK2g1SvcHUkeaPHrBHjVo9hEWVklbTS95iruTIyQvVX8RGr5+0stCyJAA7YNiLVfVHh/tc
 AOKLzIYyPLTcUAymYQS6bcRXlJ7r/LImfp6owRzAE23DpgLn7EOAvZWQ4uJjEIAoq/2Duium8qXm
 XXjb72MyKisOIDeEsZvGat6oDqSBtIWJYgYVsvoCboVtLPEF2PDAhH3QMMKADDdy7evC3DSGIEtH
 IhVYzgVHX0788tXU3peLS6anY0FA6/rwc8O6434WIVdlxkC65RfkYqslrny2gxt/1ycydpBpbts8
 vHnirgqHlQtEaLI/6qJeujpSj0y1iDsrZq+svFo0FPwLd7EwrvEwATR9xBOi1v6iY0CZ0DQ+AFjS
 w=
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 04/39] gnu: Add rust-windows-x86-64-msvc-0.28.
Date: Wed, 12 Jan 2022 23:27:24 +0800
X-OQ-MSGID: <27bca94e279ebf59eb047b69663190c3d455b429.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-windows-x86-64-msvc-0.28):
 New variable. --- gnu/packages/crates-io.scm | 18 ++++++++++++++++++ 1 file
 changed,
 18 insertions(+) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index a64adda4fc..ebcf4e26a8 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -65531,6 +65531,24 @@ (def [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [203.205.221.192 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.221.192 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-windows-x86-64-msvc-0.28):
    New variable. --- gnu/packages/crates-io.scm | 18 ++++++++++++++++++ 1 file
    changed, 18 insertions(+) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index a64adda4fc..ebcf4e26a8 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -65531,6 +65531,24 @@ (def [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [203.205.221.192 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.221.192 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-windows-x86-64-msvc-0.28): New variable.
---
 gnu/packages/crates-io.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a64adda4fc..ebcf4e26a8 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -65531,6 +65531,24 @@ (define-public rust-windows-0.9
     (description "Rust for Windows")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-x86-64-msvc-0.28
+  (package
+    (name "rust-windows-x86-64-msvc")
+    (version "0.28.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows_x86_64_msvc" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "17z8q25pd3dp6b84qm9nlayd3ym78sbryxlqmgcxvz9vpmy8qarz"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "Code gen support for the windows crate")
+    (description "Code gen support for the windows crate")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-windows-gen-0.9
   (package
     (name "rust-windows-gen")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:18 2022
Received: from localhost ([127.0.0.1]:58577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fXt-00029q-6Q
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:18 -0500
Received: from out203-205-221-153.mail.qq.com ([203.205.221.153]:44350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXm-000286-J3
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001281; bh=W5U/XostUGANF8fCZAvpS0ZXVK3x2Uaof9br8/zdArw=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=vUWx0AbxdTHF0lkAiZNDevRG5y97Gz8aaGoA/3mdtBOttJRZ8blFwQ5VXlx4s9IeG
 /jFfEc4KsbaSmBEEUmpiRygnZrX25Yj9xycqSWvhjeRUQOwrwfAAKr27RT7oFmDNM4
 WaAPDcgydqzgmmPYThkP7tzRRA8EpPG2uHSVpEAw=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001280tirseug0b
Message-ID: <tencent_06E9A90459467F413A64E57B2550B5D99B08@HIDDEN>
X-QQ-XMAILINFO: OcXqolb0XZr4/t1q1abtg41vNtNQkAzb6O0MK9NULriurfZsb8HQ+wXIC11cja
 E/N1B6Nj80OuVcquNkkfyBEZx0X6Hs7gAI1qTSem6/fiYYxx5kSBjx9TJr0D0gxiyiM5bzaWrFFY
 ihUfiT89eEU+o5hi2Iw8vsFfYDBbxDAS6uNpkM8NxpkPFceZICjRv66wi0q1LYyYwB0g+PP6rv3Y
 9EgQagBxlN0116Ea/oIqKQCCiyOxvp3oBFGTGyYLYc2YCgU5su74jIb3o17or14IVaQndR6ZgXkJ
 DneSmOWUYHAQkcTtSDsHRH41p6uk1SXNLBjgenHnr2GWe6BAi2/pdTK1oy9x+mv7SDxXQN49JNiO
 vuaYwlv9OGtXhIHc+mXL5r6HPAuPgY31vmTCjWvvQL7rZAjNZx1zEFur7+5+EgWsBrVFTotSHPhM
 bvsrNKVOceSX0knGcHZHKqXdiqNDZvGUxSPw9TjMwS+7Ic8GRkQFXVIMTuuePlTgJIIqbPdxBzmA
 QZcGzJI1yOD9R1So4R6l1OPJ1D1SDQs7NHd8tKAsp2XtFNcjB0mruTA9Bjx1sX9Q5ojcmee4O1sH
 fhCgcbFhwoG6ejsVVr1O2jkrD3iGnHcmD0o5O4pdceWLlVonr2ya4J3Z5TleLyACMohLq9VvFLu1
 YoJShUL19BnzRHJuX4y4wEUrvuAM0WL3HNu9mgCYEWBJJl/NIpPdCB1P+ohQZerd0CSStGkV74gU
 d3IEoXuZb3oDAnGaUNxAHSyAk/6A6p8a2qgWAvQpkSmpZAXII6YSlF5W862Akl/PGicMk1r8uGTx
 ne0Q05zxM2hgTg3GylfRh6
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 02/39] gnu: Add rust-matchers-0.1.
Date: Wed, 12 Jan 2022 23:27:22 +0800
X-OQ-MSGID: <b153cdfe2945b30b96796f5891b04880ac2659a4.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-matchers-0.1): New
 variable.
 (rust-matchers-0.0): Inherit from above. --- gnu/packages/crates-io.scm |
 32 +++++++++++++++++++++++++------- 1 file changed, 25 inserti [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.221.153 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [203.205.221.153 listed in wl.mailspike.net]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-matchers-0.1): New variable.
    (rust-matchers-0.0): Inherit from above. --- gnu/packages/crates-io.scm |
    32 +++++++++++++++++++++++++------- 1 file changed, 25 inserti [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [203.205.221.153 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.221.153 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-matchers-0.1): New variable.
(rust-matchers-0.0): Inherit from above.
---
 gnu/packages/crates-io.scm | 32 +++++++++++++++++++++++++-------
 1 file changed, 25 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index dd91abd5e5..3d7b407286 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -29896,22 +29896,21 @@ (define-public rust-matches-0.1
 whether an expression matches a pattern.")
     (license license:expat)))
 
-(define-public rust-matchers-0.0
+(define-public rust-matchers-0.1
   (package
     (name "rust-matchers")
-    (version "0.0.1")
+    (version "0.1.0")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "matchers" version))
-       (file-name
-        (string-append name "-" version ".tar.gz"))
+       (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32
-         "1q8ckqmkjqkznvdi9x0z769yz2bmvlqcwx51ad2lpk4mfmgpi6gh"))))
+        (base32 "0n2mbk7lg2vf962c8xwzdq96yrc9i0p8dbmm4wa1nnkcp1dhfqw2"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs
+     `(#:skip-build? #t
+       #:cargo-inputs
        (("rust-regex-automata" ,rust-regex-automata-0.1))))
     (home-page "https://github.com/hawkw/matchers")
     (synopsis "Regex matching on character and byte streams")
@@ -29921,6 +29920,25 @@ (define-public rust-matchers-0.0
 matching, not parsing substrings.")
     (license license:expat)))
 
+(define-public rust-matchers-0.0
+  (package
+    (inherit rust-matchers-0.1)
+    (name "rust-matchers")
+    (version "0.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "matchers" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1q8ckqmkjqkznvdi9x0z769yz2bmvlqcwx51ad2lpk4mfmgpi6gh"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-regex-automata" ,rust-regex-automata-0.1))))))
+
 (define-public rust-matrixcompare-core-0.1
   (package
     (name "rust-matrixcompare-core")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at 53208 <at> debbugs.gnu.org:


Received: (at 53208) by debbugs.gnu.org; 12 Jan 2022 15:28:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:28:17 2022
Received: from localhost ([127.0.0.1]:58570 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fXr-00029H-7L
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:17 -0500
Received: from out203-205-251-82.mail.qq.com ([203.205.251.82]:37617)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fXn-00028J-NV
 for 53208 <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:28:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001284; bh=W3jqKos5eAOTqBT29gObbCgW+wGTeKHBORq3M90ZUGs=;
 h=From:To:Subject:Date:In-Reply-To:References;
 b=JCu6LlLp6x4YTuqSV2yB4bbmjNyAT2s8bXrKi5U8AmbWfuoPAcNxKX9V45O3PYSG0
 E3OunV/+AmDh94wB5iCCERchU3TzmVF+vUy9toZwxAQm+P/ERIQULozBfXdYIaVcmM
 quWB9wHjE4nIg6OSRx/y2fDJ1EWkEzbXJIIV31f4=
Received: from localhost.localdomain ([112.10.216.34])
 by newxmesmtplogicsvrsza5.qq.com (NewEsmtp) with SMTP
 id 6FB19A7A; Wed, 12 Jan 2022 23:27:59 +0800
X-QQ-mid: xmsmtpt1642001283tqn1or603
Message-ID: <tencent_64E73759524DB2A2FEB8744ECA094A806A09@HIDDEN>
X-QQ-XMAILINFO: N9C/Vpkk5whX2jOdx2kLDTi9KajabTVm8+Ia+itkEYSUpfCmMBqnCVlAST+Tdu
 n631eybi0NTehYPQdrdyaoNSaXD8zzeBOm+AbHPzg22K0hprtIbryPIY9Mm8efg/OGuAx8QMzVn7
 mWZTIBaEJ4Idyc18gZpAW4tn5XxVlyRzOjqCcbNCAlN/E+itUYnlTMDZn7TPgKoBI1BAicbKLy6B
 S/ThwwM+XXWysTh6H8jycM+z8s/N5fbc0RN7ILyyTKXH4Yx9hCj/+HRpJnqqvpM5uJbEyZKMkH5u
 z30zvMcizppH5i8YZAkbymNB5vXN2Lb6mja0E8r72iHPq2p++oXz98hdKUnUaDEPVU5bd6Qwnb7c
 IHZiWvlSjm5GW6QCBfjgQYm8s4MosOi6bT39HOk8T0c/0pLF2s9UGNVPRpla9zxIgO4VRa012z9S
 Rn+WFgQA35puMFRz0EiMIoVnOv5h4FoNdHgX06DUOUPe9kJO+/cleVA/AvUdbc0qNQYytDqR9y5G
 uWzLmhgUgO8AAVSOX9HyytZVomVzkbUoqu9qtf5QZevO2L7ivz7EVahhs4dLYy2gdJpMZeMuw4E8
 LM/Ow8DcGGeE1t7kr1fb5PucFPz+N2hNksZpjL9Ft81ewrIhOEvnMq+gaLEKkNSEl5Caq2T0h9Km
 vWztQZLDfdF/+V+TQJZzwUmmsH6dkpQYSC7WkaVSwUJEaDQDUTblk90ncnegoB6AJFgtxbGpenHc
 rvzoGHvelF1GpXGYs1cOumbuWv7QiC7cXFcCxYgyeSqgYzr1Ad924f9czvH9/LLRgco0vokPd2Zr
 0JnR54FoSvS3xPAGuRUdyaMBfpscQhSqFTIS4xxq4+dA==
From: Z572 <873216071@HIDDEN>
To: 53208 <at> debbugs.gnu.org
Subject: [PATCH 07/39] gnu: Add rust-windows-i686-gnu-0.28.
Date: Wed, 12 Jan 2022 23:27:27 +0800
X-OQ-MSGID: <c374a1b807ea05cf5a09fcb000d3a0b0fe445a14.1641998630.git.873216071@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
References: <d6f9273c440cb5f31af927622fd8ad086117859b.1641998630.git.873216071@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/crates-io.scm (rust-windows-i686-gnu-0.28):
 New variable. --- gnu/packages/crates-io.scm | 18 ++++++++++++++++++ 1 file
 changed,
 18 insertions(+) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm
 index ffc62120fa..ca5310dab7 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm @@ -65585,6 +65585,24 @@ (def [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [203.205.251.82 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (873216071[at]qq.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (873216071[at]qq.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53208
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/crates-io.scm (rust-windows-i686-gnu-0.28):
    New variable. --- gnu/packages/crates-io.scm | 18 ++++++++++++++++++ 1 file
    changed, 18 insertions(+) diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    index ffc62120fa..ca5310dab7 100644 --- a/gnu/packages/crates-io.scm +++
   b/gnu/packages/crates-io.scm @@ -65585,6 +65585,24 @@ (def [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [203.205.251.82 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (873216071[at]qq.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (873216071[at]qq.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

* gnu/packages/crates-io.scm (rust-windows-i686-gnu-0.28): New variable.
---
 gnu/packages/crates-io.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index ffc62120fa..ca5310dab7 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -65585,6 +65585,24 @@ (define-public rust-windows-i686-msvc-0.28
     (description "Code gen support for the windows crate")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-i686-gnu-0.28
+  (package
+    (name "rust-windows-i686-gnu")
+    (version "0.28.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows_i686_gnu" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "12hx7qpsjg9p7jggfcplqa3mf1mzr7k7s5ybzqwg1zmg4fn2aizm"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "Code gen support for the windows crate")
+    (description "Code gen support for the windows crate")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-windows-gen-0.9
   (package
     (name "rust-windows-gen")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2022 15:24:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 10:24:08 2022
Received: from localhost ([127.0.0.1]:58554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7fTs-00021F-Lk
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:24:08 -0500
Received: from lists.gnu.org ([209.51.188.17]:48072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <873216071@HIDDEN>) id 1n7fTn-000211-ME
 for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 10:24:07 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57582)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <873216071@HIDDEN>) id 1n7fTn-0008Gh-En
 for guix-patches@HIDDEN; Wed, 12 Jan 2022 10:24:03 -0500
Received: from out203-205-221-173.mail.qq.com ([203.205.221.173]:51597)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <873216071@HIDDEN>) id 1n7fTe-0001NO-3r
 for guix-patches@HIDDEN; Wed, 12 Jan 2022 10:23:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1642001023; bh=LAANB0dbpPqi+Xh0OJOrar9AVrXCFJd4TIVPDhZ8xZ8=;
 h=From:To:Subject:Date;
 b=gAz448qfgwoHEke6vk0rlds4LKleiHfMJcEDV7Qj9DIvGBbsd9R1g9kAT1i0DGYQk
 rq/k1El6nUu8+dYva4Jh3KlY9UbYMk/B5RDbmkixqSNK/yeHe3+yaIC9+cdOIS8rf8
 M6STZ6kuDASuPbEOAKk+V8WOpQwnRxWAYPZDpzKw=
Received: from asus ([112.10.216.34])
 by newxmesmtplogicsvrszc6.qq.com (NewEsmtp) with SMTP
 id 51381624; Wed, 12 Jan 2022 23:20:19 +0800
X-QQ-mid: xmsmtpt1642000819t2n3pmqcq
Message-ID: <tencent_A2DE6A853729521FB35CFE3474F8CB3B4A09@HIDDEN>
X-QQ-XMAILINFO: OBvbJS/7aDyUgy3+5/63MQCRhWMXnpm6UA2SLjfe9bJmyTqs2oKdkHdIT+Aiud
 QN74oSCLDcKkpknOeQ72f5fv+SHYJSDlt4PtrXv9Cq7lwU0fVbiARGnrG13/luTjBC+Mb+cwojoF
 rT84sjJqQRT9YVegVKiR2xG2L8VFDBQ5XlT2G3SPfPXZ2DW0R1WL1Ya2J2s2QT5xjs2HHp9YWsCe
 5k5ExgDHkID4E9wHHPxpBDG3dX7sC0E4YVtWPONIy51tTnaaawJwF/fC29ff7HrpCS5yA2+JsLRX
 j/07EwI/4lkfDoC7/oN6cPQ8oDnHIIcPd1Gxvucqw6EQInjz+whZk0LmS6j2h0lRMVm4tN7ObN9n
 ScBFzHr0JV6HOUJCC2yQP70nGK+IFjzekinmFCprYGS3lDkOeRAzllTERczzeG9z8mqSHAcy7lGw
 vuOyiWHGL5pDyJq3FZVmJ49mXckY6c/RYU3sd9nTfvZUiOUGz+wmElJNlCPmb1p6zIUOu8yQuora
 /vhGVmd0+vD8OvzvoAO9kEN0ueebp4quXlozLePATMd9LCzVAiM+8UK4S3mLjaKuR0T7z1ukfUvP
 ULVsOypcOeirLhdTiF19Ts2DMcesEhgYSnHPWp682pjmzrNjOgsMgP3XkvnOYsnYhpoIYAlcSORX
 X9PyrkY6+3fN2tIUiu7WF5I5HBxyM1GRmhdjaleEshVvhnK4xhPKpo81MzcOQmfI+ZqhQJ6dnJTC
 VwxnoIiDc4VmcJiM+/NLwriX0SM1ILmh7NFoujWniF6nw=
User-agent: mu4e 1.6.10; emacs 29.0.50
From: Z572 <873216071@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH]: gnu: rust-analyzer: Update to 2020-01-10.
Date: Wed, 12 Jan 2022 22:47:50 +0800
Message-ID: <87r19d2d70.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=203.205.221.173; envelope-from=873216071@HIDDEN;
 helo=out203-205-221-173.mail.qq.com
X-Spam_score_int: 11
X-Spam_score: 1.1
X-Spam_bar: +
X-Spam_report: (1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_ENVFROM_END_DIGIT=0.25,
 FREEMAIL_FROM=0.001, HELO_DYNAMIC_IPADDR=1.951, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, RDNS_DYNAMIC=0.982, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


Hello,
These patch update rust-analyzer to 2020-01-10, and last patch make
rust-analyzer out of box.


-- 
over




Acknowledgement sent to Z572 <873216071@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53208; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 24 Jan 2022 10:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.